db          2003/02/16 17:54:39 EST	(20030216_4)

  Modified files:
    include              client.h 
    src                  client.c packet.c s_user.c send.c 
  Log:
  - linebuf_donebuf() should be called for every local client.
  - tidied up other code.
  
  Revision  Changes    Path
  7.164     +7 -0      ircd-hybrid-7/include/client.h
  7.331     +13 -9     ircd-hybrid-7/src/client.c
  7.103     +1 -1      ircd-hybrid-7/src/packet.c
  7.223     +2 -3      ircd-hybrid-7/src/s_user.c
  7.225     +1 -1      ircd-hybrid-7/src/send.c



bill        2003/02/16 17:06:48 EST	(20030216_3)

  Modified files:
    contrib              m_whois.c 
    src                  s_conf.c 
  Log:
  - ERR_NOSUCHNICK and RPL_ENDOFWHOIS were reversed in contrib/m_whois.c
  - fixed slight logic error in remove_one_ip()
  
  Revision  Changes    Path
  1.10      +3 -2      ircd-hybrid-7/contrib/m_whois.c
  7.341     +1 -1      ircd-hybrid-7/src/s_conf.c



lusky       2003/02/16 16:22:26 EST	(20030216_2)

  Modified files:
    src                  ircd.c 
  Log:
  - call close_all_connections() before init_netio() otherwise we
    break kqueue
  
  Revision  Changes    Path
  7.252     +5 -5      ircd-hybrid-7/src/ircd.c



db          2003/02/15 19:40:45 EST	(20030216_1)

  Modified files:
    .                    RELNOTES 
  Log:
  - just noted iphash changes
  
  Revision  Changes    Path
  1.65      +1 -0      ircd-hybrid-7/RELNOTES



db          2003/02/15 19:22:24 EST	(20030216_0)

  Modified files:
    include              s_conf.h 
    src                  ircd.c s_conf.c 
  Log:
  - init_ip_hash_table() was a better name than clear_ip_hash_table()
  - removed typedef for IPHASH (obsfuscation)
  - redid memory allocation to use block heap
  - changed > to >= for comparision to throttle time, it was possible for
    a compare to fail and leave 0 count ip_entry(s) in the hash.
  - N.B. subtle bug fixed by this commit.. When the ip hash table was purely
    used to count number of clients on an IP, there could never be more than
    MAXCONNECTIONS ip_entry(s), Once ip throttling was added, it is possible
    to have ip_entry(s) in use that have 0 clients on them, i.e. they are
    "remembering" an ip was recently used. This means it was possible
    (though unlikely) for all ip_entry(s) to be used thus panic'ing the server.
    This could affect a smaller server more easily.
  
  Reviewed by lusky, juli
  
  Revision  Changes    Path
  7.190     +1 -1      ircd-hybrid-7/include/s_conf.h
  7.251     +1 -1      ircd-hybrid-7/src/ircd.c
  7.340     +130 -130  ircd-hybrid-7/src/s_conf.c



lusky       2003/02/15 11:32:47 EST	(20030215_0)

  Modified files:
    .                    RELNOTES configure 
    autoconf             acconfig.h configure.in 
    include              ircd_defs.h setup.h.in setup.h_vms 
    src                  client.c s_bsd.c s_log.c s_serv.c 
  Log:
  - fixed handling of file descriptors 0 through 3
  - remove unused var in client.c
  - updated RELNOTES
  
  Reviewed by:    db
  
  Revision  Changes    Path
  1.64      +7 -0      ircd-hybrid-7/RELNOTES
  7.25      +3 -0      ircd-hybrid-7/autoconf/acconfig.h
  7.150     +12 -0     ircd-hybrid-7/autoconf/configure.in
  7.153     +20 -0     ircd-hybrid-7/configure
  7.32      +2 -0      ircd-hybrid-7/include/ircd_defs.h
  7.58      +3 -0      ircd-hybrid-7/include/setup.h.in
  7.11      +3 -0      ircd-hybrid-7/include/setup.h_vms
  7.330     +0 -1      ircd-hybrid-7/src/client.c
  7.180     +6 -21     ircd-hybrid-7/src/s_bsd.c
  7.46      +4 -0      ircd-hybrid-7/src/s_log.c
  7.280     +2 -5      ircd-hybrid-7/src/s_serv.c



db          2003/02/14 18:01:59 EST	(20030214_0)

  Modified files:
    include              client.h send.h 
    modules              m_capab.c m_cryptlink.c m_motd.c m_post.c 
                         m_svinfo.c 
    modules/core         m_kill.c m_nick.c m_quit.c m_server.c 
                         m_squit.c 
    src                  client.c ircd.c m_error.c packet.c 
                         parse.c s_bsd.c s_conf.c s_serv.c 
                         s_user.c send.c 
  Log:
  - massive revert to rc4 exit_client code. This has been tested
    extensively.
  
  Revision  Changes    Path
  7.163     +4 -7      ircd-hybrid-7/include/client.h
  7.61      +1 -1      ircd-hybrid-7/include/send.h
  1.68      +13 -12    ircd-hybrid-7/modules/core/m_kill.c
  1.100     +38 -39    ircd-hybrid-7/modules/core/m_nick.c
  1.28      +9 -11     ircd-hybrid-7/modules/core/m_quit.c
  1.92      +28 -33    ircd-hybrid-7/modules/core/m_server.c
  1.47      +34 -37    ircd-hybrid-7/modules/core/m_squit.c
  1.31      +4 -5      ircd-hybrid-7/modules/m_capab.c
  1.37      +4 -5      ircd-hybrid-7/modules/m_cryptlink.c
  1.35      +12 -9     ircd-hybrid-7/modules/m_motd.c
  1.14      +2 -2      ircd-hybrid-7/modules/m_post.c
  1.36      +7 -9      ircd-hybrid-7/modules/m_svinfo.c
  7.329     +136 -259  ircd-hybrid-7/src/client.c
  7.250     +6 -3      ircd-hybrid-7/src/ircd.c
  7.28      +34 -6     ircd-hybrid-7/src/m_error.c
  7.102     +23 -33    ircd-hybrid-7/src/packet.c
  7.146     +5 -4      ircd-hybrid-7/src/parse.c
  7.179     +1 -1      ircd-hybrid-7/src/s_bsd.c
  7.339     +8 -9      ircd-hybrid-7/src/s_conf.c
  7.279     +8 -11     ircd-hybrid-7/src/s_serv.c
  7.222     +35 -22    ircd-hybrid-7/src/s_user.c
  7.224     +8 -14     ircd-hybrid-7/src/send.c



db          2003/02/11 21:09:29 EST	(20030212_0)

  Modified files:
    src                  s_serv.c send.c 
  Log:
  - style fix in s_serv.c
  - fix potential linebuf leak in send.c
  
  Revision  Changes    Path
  7.278     +1 -1      ircd-hybrid-7/src/s_serv.c
  7.223     +3 -3      ircd-hybrid-7/src/send.c



db          2003/02/10 19:15:04 EST	(20030211_0)

  Modified files:
    contrib              m_whois.c 
  Log:
  - Missing not found numeric fixed
  
  Revision  Changes    Path
  1.9       +2 -3      ircd-hybrid-7/contrib/m_whois.c



bill        2003/02/08 19:02:29 EST	(20030209_0)

  Modified files:
    modules              m_whois.c 
  Log:
  - send RPL_ENDOFWHOIS numeric even if we send ERR_NOSUCHNICK
    reported by BlackJac
  
  Revision  Changes    Path
  1.87      +4 -4      ircd-hybrid-7/modules/m_whois.c



db          2003/02/08 17:50:48 EST	(20030208_0)

  Modified files:
    src                  client.c 
  Log:
  - found by scuzzy and cryogen. A client already exiting shouldn't be
    killed by kline.
  
  Revision  Changes    Path
  7.328     +6 -0      ircd-hybrid-7/src/client.c



a1kmm       2003/02/07 02:17:03 EST	(20030207_1)

  Modified files:
    tools                encspeed.c 
  Log:
  - Remove a warning caused by a missing const, needed by newer OpenSSL versions.
  
  Revision  Changes    Path
  7.6       +2 -2      ircd-hybrid-7/tools/encspeed.c



a1kmm       2003/02/07 02:09:30 EST	(20030207_0)

  Modified files:
    src                  send.c client.c 
    modules/core         m_nick.c 
    include              send.h 
  Log:
  - Don't send QUIT back to a user on exit.
  - Changed a IsClosing to IsDead so users so ERROR :Closing Link: when they are
    exited.
  
  Revision  Changes    Path
  7.60      +4 -2      ircd-hybrid-7/include/send.h
  1.99      +3 -2      ircd-hybrid-7/modules/core/m_nick.c
  7.327     +5 -3      ircd-hybrid-7/src/client.c
  7.222     +4 -2      ircd-hybrid-7/src/send.c



a1kmm       2003/02/06 05:53:28 EST	(20030206_3)

  Modified files:
    modules              m_capab.c 
  Log:
  - *nitpick* fix a comment on m_capab.c that says it is m_away.c
    (Reported by MetalRock).
  
  Revision  Changes    Path
  1.30      +2 -2      ircd-hybrid-7/modules/m_capab.c



a1kmm       2003/02/06 05:12:40 EST	(20030206_2)

  Modified files:
    src                  channel_mode.c 
  Log:
  - Fixed a desync bug with chm_key when removing keys, thanks to MetalRock for
    reporting this bug.
  
  Revision  Changes    Path
  7.71      +3 -0      ircd-hybrid-7/src/channel_mode.c



a1kmm       2003/02/06 04:57:07 EST	(20030206_1)

  Modified files:
    src                  client.c 
  Log:
  <TimeMr14C> Andrew: in the new exit_client close_connection is called twice.
  Fixed.
  
  Revision  Changes    Path
  7.326     +0 -6      ircd-hybrid-7/src/client.c



a1kmm       2003/02/06 03:46:12 EST	(20030206_0)

  Modified files:
    src                  tools.c send.c s_user.c s_serv.c s_conf.c 
                         s_bsd.c parse.c packet.c m_error.c 
                         client.c channel_mode.c channel.c 
    modules/core         m_squit.c m_server.c m_quit.c m_part.c 
                         m_nick.c m_kill.c 
    modules              m_svinfo.c m_post.c m_motd.c 
                         m_cryptlink.c m_close.c m_capab.c 
    include              client.h config.h ircd.h send.h 
  Log:
  - Changed the dead list into a closing list. exit_client is never called from
    during the parse loop, but it is deferred until after that.
  - A minor optimisation in dlinkAdd that was bothering me.
  
  Revision  Changes    Path
  7.162     +7 -4      ircd-hybrid-7/include/client.h
  7.142     +6 -0      ircd-hybrid-7/include/config.h
  7.54      +1 -2      ircd-hybrid-7/include/ircd.h
  7.59      +1 -1      ircd-hybrid-7/include/send.h
  1.67      +3 -3      ircd-hybrid-7/modules/core/m_kill.c
  1.98      +17 -14    ircd-hybrid-7/modules/core/m_nick.c
  1.63      +4 -32     ircd-hybrid-7/modules/core/m_part.c
  1.27      +3 -3      ircd-hybrid-7/modules/core/m_quit.c
  1.91      +21 -16    ircd-hybrid-7/modules/core/m_server.c
  1.46      +6 -4      ircd-hybrid-7/modules/core/m_squit.c
  1.29      +5 -4      ircd-hybrid-7/modules/m_capab.c
  1.25      +6 -2      ircd-hybrid-7/modules/m_close.c
  1.36      +5 -4      ircd-hybrid-7/modules/m_cryptlink.c
  1.34      +3 -2      ircd-hybrid-7/modules/m_motd.c
  1.13      +2 -2      ircd-hybrid-7/modules/m_post.c
  1.35      +7 -4      ircd-hybrid-7/modules/m_svinfo.c
  7.355     +0 -6      ircd-hybrid-7/src/channel.c
  7.70      +4 -2      ircd-hybrid-7/src/channel_mode.c
  7.325     +324 -159  ircd-hybrid-7/src/client.c
  7.27      +1 -1      ircd-hybrid-7/src/m_error.c
  7.101     +18 -9     ircd-hybrid-7/src/packet.c
  7.145     +5 -4      ircd-hybrid-7/src/parse.c
  7.178     +1 -1      ircd-hybrid-7/src/s_bsd.c
  7.338     +9 -8      ircd-hybrid-7/src/s_conf.c
  7.277     +13 -9     ircd-hybrid-7/src/s_serv.c
  7.221     +22 -28    ircd-hybrid-7/src/s_user.c
  7.221     +14 -9     ircd-hybrid-7/src/send.c
  7.27      +2 -2      ircd-hybrid-7/src/tools.c



db          2003/02/04 00:30:52 EST	(20030204_1)

  Modified files:
    include              client.h 
    src                  client.c ircd.c ircdauth.c s_serv.c 
                         s_user.c 
  Log:
  - make lclient_node part of localClient part. This is a simple
    optimisation. I also cleaned up style
  - Removed a trivial function that is faster to do with dlinkFindDelete()
    it was originally kept there to be able to match up with obsolete hybrid-6
    code, its long outlived its usefulness for that. (remove_server_from_list)
  
  Revision  Changes    Path
  7.161     +3 -0      ircd-hybrid-7/include/client.h
  7.324     +6 -5      ircd-hybrid-7/src/client.c
  7.249     +0 -6      ircd-hybrid-7/src/ircd.c
  7.51      +3 -9      ircd-hybrid-7/src/ircdauth.c
  7.276     +49 -56    ircd-hybrid-7/src/s_serv.c
  7.220     +20 -18    ircd-hybrid-7/src/s_user.c



db          2003/02/03 23:24:06 EST	(20030204_0)

  Modified files:
    modules/core         m_part.c 
  Log:
  - take user off channel before sending channel PART message, else user
    see's PART message twice.
  
  Revision  Changes    Path
  1.62      +6 -7      ircd-hybrid-7/modules/core/m_part.c



bill        2003/02/03 00:25:50 EST	(20030203_2)

  Modified files:
    modules/core         m_message.c 
    src                  client.c s_user.c send.c 
  Log:
  - reverted get_client_name() format to %s[%s@%s]
  - changed possible flooder notices to use get_client_name()
  
     note: the only notice left with the %s [%s@%s] format is the nick change notice,
           which should also eventually be changed to use get_client_name()
  
  Revision  Changes    Path
  1.107     +7 -9      ircd-hybrid-7/modules/core/m_message.c
  7.323     +6 -3      ircd-hybrid-7/src/client.c
  7.219     +1 -1      ircd-hybrid-7/src/s_user.c
  7.220     +2 -2      ircd-hybrid-7/src/send.c



db          2003/02/03 00:08:40 EST	(20030203_1)

  Modified files:
    src                  client.c send.c 
  Log:
  - oops. the move of the SetDead() in client.c exit_client()
    was the real culprit of the double send of ERROR followed by the QUIT
    old code (from hybrid-6 as well btw) set client dead before sending
    message to channel about QUIT, hence client never saw the double message.
  
  Revision  Changes    Path
  7.322     +6 -6      ircd-hybrid-7/src/client.c
  7.219     +5 -8      ircd-hybrid-7/src/send.c



db          2003/02/02 23:33:45 EST	(20030203_0)

  Modified files:
    include              tools.h 
    src                  tools.c 
  Log:
  - fix dlinkFindDelete() for now
    easier to do it this way, then look at the code. code re-use!
  
  Revision  Changes    Path
  1.20      +6 -16     ircd-hybrid-7/include/tools.h
  7.26      +4 -15     ircd-hybrid-7/src/tools.c



db          2003/02/02 15:47:25 EST	(20030202_1)

  Modified files:
    src                  channel.c client.c 
  Log:
  - dlinkFindDelete() has been in tools.c a long time, I've just hesitated
    to change working code. Oh well. It is faster.
  
  Revision  Changes    Path
  7.354     +2 -3      ircd-hybrid-7/src/channel.c
  7.321     +7 -21     ircd-hybrid-7/src/client.c



db          2003/02/02 15:45:01 EST	(20030202_0)

  Modified files:
    src                  send.c 
  Log:
  - sending a linebuf to a client thats dead or closing is not a good idea
    at least, if its not an error message or "you are dead"
  
  Revision  Changes    Path
  7.218     +11 -6     ircd-hybrid-7/src/send.c



db          2003/02/01 15:12:25 EST	(20030201_3)

  Modified files:
    modules/core         m_kick.c 
  Log:
  - same as m_join.c its bad practice to remove a client quitting
  
  Revision  Changes    Path
  1.50      +2 -2      ircd-hybrid-7/modules/core/m_kick.c



db          2003/02/01 15:11:46 EST	(20030201_2)

  Modified files:
    modules              m_join.c 
  Log:
  - Even with an abort list, its still bad practice to try and remove
    a client thats quitting !
  
  Revision  Changes    Path
  1.95      +2 -2      ircd-hybrid-7/modules/m_join.c



db          2003/02/01 14:13:08 EST	(20030201_1)

  Modified files:
    src                  send.c 
  Log:
  - don't send to defunct clients in a list
  
  Revision  Changes    Path
  7.217     +1 -1      ircd-hybrid-7/src/send.c



db          2003/01/31 22:55:22 EST	(20030201_0)

  Modified files:
    src                  client.c send.c 
  Log:
  - this simply removes some redundant code from send.c
  
  Revision  Changes    Path
  7.320     +4 -6      ircd-hybrid-7/src/client.c
  7.216     +31 -77    ircd-hybrid-7/src/send.c



db          2003/01/31 18:00:33 EST	(20030131_3)

  Modified files:
    include              channel.h client.h 
    modules              m_join.c 
    modules/core         m_kick.c m_part.c 
    src                  channel.c client.c 
  Log:
  - While I agree with andrews ideas and he did a good job of finding
    this one, the fix to m_kick.c was a little extreme. I think this
    should take care of it.
    I've added a temporary IsExited() flag. We really don't need it but
    for debugging it could be handy.
  
  Revision  Changes    Path
  7.124     +0 -5      ircd-hybrid-7/include/channel.h
  7.160     +3 -0      ircd-hybrid-7/include/client.h
  1.49      +8 -16     ircd-hybrid-7/modules/core/m_kick.c
  1.61      +124 -1    ircd-hybrid-7/modules/core/m_part.c
  1.94      +4 -2      ircd-hybrid-7/modules/m_join.c
  7.353     +5 -130    ircd-hybrid-7/src/channel.c
  7.319     +13 -7     ircd-hybrid-7/src/client.c



a1kmm       2003/01/31 08:17:58 EST	(20030131_2)

  Modified files:
    src                  channel.c 
    modules/core         m_part.c m_kick.c 
    include              channel.h 
  Log:
  - Move part_one_client to channel.c
  - Convert kicks of yourself to parts. This is the simplest way to stop big
    problems if a user kicks themselves and then exits during the kick.
    Users should be using PART anyway to leave the channel, so this has a nice
    side-effect of sending the right message. If it is discovered that this is
    breaking clients it may need to be redesigned.
  
  Revision  Changes    Path
  7.123     +3 -0      ircd-hybrid-7/include/channel.h
  1.48      +8 -1      ircd-hybrid-7/modules/core/m_kick.c
  1.60      +1 -131    ircd-hybrid-7/modules/core/m_part.c
  7.352     +126 -0    ircd-hybrid-7/src/channel.c



a1kmm       2003/01/31 07:53:10 EST	(20030131_1)

  Modified files:
    src                  channel.c 
    modules/core         m_part.c 
    include              channel.h 
  Log:
  - Kludge around the fact that a channel can be destroyed after
    remove_user_from_channel is called, by incrementing users
    artificially, and calling sub1_from_channel manually later.
    - This would be less of a kludge if we rename users to
      refcount or something(TODO).
  - In order not to break vchans, I had to set the vchan ID when the users count
    is 2 or less, instead of the normal 1. This is an awful kludge, and we need
    a better way to do it.
  
  Revision  Changes    Path
  7.122     +2 -0      ircd-hybrid-7/include/channel.h
  1.59      +4 -2      ircd-hybrid-7/modules/core/m_part.c
  7.351     +2 -3      ircd-hybrid-7/src/channel.c



a1kmm       2003/01/31 07:15:21 EST	(20030131_0)

  Modified files:
    src                  send.c s_bsd.c client.c channel.c 
    modules/core         m_part.c 
  Log:
  - Fixed another exit_client() type bug:
    - A client is closing after exit_client() has started.
    - A client is dead only after exit_client() has completed.
    - Before changing any lists, you must check if a client is dead.
    - Only exit_client() should ever SetDead() or SetClosing().
  
  Revision  Changes    Path
  1.58      +65 -33    ircd-hybrid-7/modules/core/m_part.c
  7.350     +6 -0      ircd-hybrid-7/src/channel.c
  7.318     +18 -11    ircd-hybrid-7/src/client.c
  7.177     +0 -1      ircd-hybrid-7/src/s_bsd.c
  7.215     +2 -0      ircd-hybrid-7/src/send.c



a1kmm       2003/01/30 05:28:48 EST	(20030130_1)

  Modified files:
    src                  listener.c fileio.c .depend 
    modules              .depend 
  Log:
  - Fixed a harmless uninitialised memory bug, to stop "false" alarm in
    valgrind.
  - Fixed a fd_close() that should have been a close() when the system runs out
    of fds(reported by Metalrock).
  
  Revision  Changes    Path
  1.9       +648 -646  ircd-hybrid-7/modules/.depend
  7.8       +418 -429  ircd-hybrid-7/src/.depend
  7.24      +1 -1      ircd-hybrid-7/src/fileio.c
  7.71      +8 -7      ircd-hybrid-7/src/listener.c



lusky       2003/01/30 02:28:58 EST	(20030130_0)

  Modified files:
    include              client.h 
  Log:
  - fix missing \ on line 501 so it'll compile
  
  Revision  Changes    Path
  7.159     +1 -1      ircd-hybrid-7/include/client.h



db          2003/01/28 16:04:07 EST	(20030128_1)

  Modified files:
    include              client.h 
    src                  list.c parse.c 
  Log:
  - cleanup to style in list.c
  - make sure a client marked as Killed is not parsed
  
  Revision  Changes    Path
  7.158     +2 -1      ircd-hybrid-7/include/client.h
  7.48      +38 -31    ircd-hybrid-7/src/list.c
  7.144     +1 -2      ircd-hybrid-7/src/parse.c



db          2003/01/28 00:28:47 EST	(20030128_0)

  Modified files:
    src                  send.c 
  Log:
  - don't send to a dead client.
  
  Revision  Changes    Path
  7.214     +7 -1      ircd-hybrid-7/src/send.c



lusky       2003/01/27 16:01:06 EST	(20030127_1)

  Modified files:
    .                    Hybrid-team 
  Log:
  - fixed cryogen's entry in Hybrid-team
  
  Revision  Changes    Path
  7.59      +1 -1      ircd-hybrid-7/Hybrid-team



lusky       2003/01/26 23:42:18 EST	(20030127_0)

  Modified files:
    include              patchlevel.h 
  Log:
  - rev patchlevel to -7rc8
  
  Revision  Changes    Path
  7.42      +1 -1      ircd-hybrid-7/include/patchlevel.h



lusky       2003/01/26 16:12:23 EST	(20030126_0)

  Modified files:
    contrib              m_whois.c 
    modules              m_whois.c 
  Log:
  - whois idle display logic fix from lee
  
  Revision  Changes    Path
  1.8       +6 -4      ircd-hybrid-7/contrib/m_whois.c
  1.86      +10 -8     ircd-hybrid-7/modules/m_whois.c



lusky       2003/01/25 18:43:22 EST	(20030125_5)

  Modified files:
    .                    RELNOTES 
    src                  s_serv.c 
  Log:
  - set TCPNODELAY before sending SERVER during handshake to make sure
    zipped data doesn't get slammed into the same packet
  
  Revision  Changes    Path
  1.63      +1 -0      ircd-hybrid-7/RELNOTES
  7.275     +16 -1     ircd-hybrid-7/src/s_serv.c



lusky       2003/01/25 17:42:21 EST	(20030125_4)

  Modified files:
    tools/rsa_respond    Makefile respond.c 
  Log:
  - check for getpass() failure so it doesn't core when called incorrectly
    from old ircII
  - add INCLUDES and LDFLAGS to Makefile to make it simpler to build
    for those of us without system-installed OpenSSL
  
  Revision  Changes    Path
  1.8       +10 -2     ircd-hybrid-7/tools/rsa_respond/Makefile
  1.9       +5 -0      ircd-hybrid-7/tools/rsa_respond/respond.c



lusky       2003/01/25 00:00:34 EST	(20030125_3)

  Modified files:
    src                  restart.c 
  Log:
  - unused var in restart
  
  Revision  Changes    Path
  7.23      +0 -1      ircd-hybrid-7/src/restart.c



lusky       2003/01/24 22:59:59 EST	(20030125_2)

  Modified files:
    .                    RELNOTES 
  Log:
  - Updated RELNOTES for rc8
  
  Revision  Changes    Path
  1.62      +6 -0      ircd-hybrid-7/RELNOTES



lusky       2003/01/24 22:41:47 EST	(20030125_1)

  Modified files:
    contrib              README m_whois.c 
    modules              m_whois.c 
  Log:
  - fix for contrib/m_whois core
  - fix for modules/m_whois bogusly showing idle time for non-local clients
  - reiterate in contrib/README that contrib modules may crash
  
  Submitted by:   db
  Reviewed by:    jrl
  
  Revision  Changes    Path
  1.25      +5 -1      ircd-hybrid-7/contrib/README
  1.7       +9 -6      ircd-hybrid-7/contrib/m_whois.c
  1.85      +6 -3      ircd-hybrid-7/modules/m_whois.c



lusky       2003/01/24 20:52:31 EST	(20030125_0)

  Modified files:
    .                    BUGS 
    src                  packet.c 
  Log:
  - mention gettext not working on Solaris 8
  - removed null byte check which was choking on zipped links
  
  Revision  Changes    Path
  7.52      +1 -1      ircd-hybrid-7/BUGS
  7.100     +0 -11     ircd-hybrid-7/src/packet.c



lusky       2003/01/24 02:02:03 EST	(20030124_0)

  Modified files:
    include              ircd.h 
    modules/core         m_die.c 
    src                  ircd.c restart.c 
  Log:
  - fixed a race condition with /restart and check_pidfile.  We now
    unlink the pidfile on /die and /restart, and don't complain if the
    file doesn't exist when starting.
  
  Submitted by:   lusky
  
  Revision  Changes    Path
  7.53      +1 -0      ircd-hybrid-7/include/ircd.h
  1.25      +2 -1      ircd-hybrid-7/modules/core/m_die.c
  7.248     +2 -2      ircd-hybrid-7/src/ircd.c
  7.22      +5 -4      ircd-hybrid-7/src/restart.c



db          2003/01/22 23:24:07 EST	(20030123_0)

  Modified files:
    modules              m_invite.c 
  Log:
  - bah. This is tricky to get right. but you cannot "broadcast" an invite
    to hybrid-6 (presumbably csircd etc.) servers without them getting upset
    about ghosted nick. oops. We reviewed and reviewed and tested... but
    anyway. So, use CAP_PARA to not send the broadcast to non CAP_PARA servers.
    Note, the only easy clean way of not ending up with a double invite notice
    to a target, is to paramertise the INVITE notice. INVITE notice now
    has four parameters if its just a notice of an invite. The normal three
    parameters is used in all other cases. So, in cases of -p, only the
    three parameter version is used.
  
  Revision  Changes    Path
  1.53      +101 -50   ircd-hybrid-7/modules/m_invite.c



bill        2003/01/21 22:29:08 EST	(20030122_0)

  Modified files:
    modules              m_invite.c 
  Log:
  - invites from a local user to a local user were propogated, fixed.
  
  Revision  Changes    Path
  1.52      +9 -22     ircd-hybrid-7/modules/m_invite.c



lusky       2003/01/21 10:42:18 EST	(20030121_2)

  Modified files:
    include              patchlevel.h 
  Log:
  - revved patchlevel to 7rc7
  
  Revision  Changes    Path
  7.41      +1 -1      ircd-hybrid-7/include/patchlevel.h



db          2003/01/21 09:26:52 EST	(20030121_1)

  Modified files:
    src                  modules.c 
  Log:
  - fixed leak found by Michael
  
  Revision  Changes    Path
  7.106     +1 -0      ircd-hybrid-7/src/modules.c



db          2003/01/21 01:13:37 EST	(20030121_0)

  Modified files:
    modules              m_post.c 
  Log:
  - put/get was missing in the init code, so put/get would never trigger exit
  
  Revision  Changes    Path
  1.12      +5 -2      ircd-hybrid-7/modules/m_post.c



db          2003/01/20 07:44:01 EST	(20030120_0)

  Modified files:
    include              client.h 
  Log:
  - fix prototype, no code change.
  
  Revision  Changes    Path
  7.157     +2 -2      ircd-hybrid-7/include/client.h



db          2003/01/19 18:38:55 EST	(20030119_3)

  Modified files:
    .                    BUGS 
  Log:
  - solaris is broken for more than 256 fds when using cryptlinks
  
  Revision  Changes    Path
  7.51      +3 -0      ircd-hybrid-7/BUGS



db          2003/01/19 14:02:38 EST	(20030119_2)

  Modified files:
    src                  client.c 
  Log:
  - if client is exiting don't do anything in dead_link_on_read() its
    already dying/dead
  
  Revision  Changes    Path
  7.317     +2 -2      ircd-hybrid-7/src/client.c



db          2003/01/19 08:25:22 EST	(20030119_1)

  Modified files:
    src                  s_serv.c 
  Log:
  - called dead_link_on_write() with only one parameter.
  
  Revision  Changes    Path
  7.274     +1 -1      ircd-hybrid-7/src/s_serv.c



db          2003/01/19 08:19:54 EST	(20030119_0)

  Modified files:
    include              client.h s_bsd.h 
    src                  client.c packet.c s_bsd.c s_conf.c 
                         s_serv.c send.c 
  Log:
  - renamed dead_link() to dead_link_on_write()
    renamed error_exit_client() to dead_link_on_read()
  - added errno to dead_link_on_write() not used yet
  
    These two functions should be rationalised a bit more still...
  - fixed some style
  
    The notable bug here was.. when a client is exited via read, it has
  to be marked Dead as we did in dead_link(). Otherwise we can try to send
  to it. It really didn't cause major problems but it was potentially
  one.
  
  Revision  Changes    Path
  7.156     +2 -1      ircd-hybrid-7/include/client.h
  7.37      +0 -1      ircd-hybrid-7/include/s_bsd.h
  7.316     +68 -3     ircd-hybrid-7/src/client.c
  7.99      +3 -3      ircd-hybrid-7/src/packet.c
  7.176     +18 -78    ircd-hybrid-7/src/s_bsd.c
  7.337     +2 -1      ircd-hybrid-7/src/s_conf.c
  7.273     +1 -12     ircd-hybrid-7/src/s_serv.c
  7.213     +4 -4      ircd-hybrid-7/src/send.c



db          2003/01/17 20:02:39 EST	(20030118_0)

  Modified files:
    contrib              m_whois.c 
  Log:
  - updated contrib m_whois.c from jack.. with style corrections
  
  Revision  Changes    Path
  1.6       +70 -75    ircd-hybrid-7/contrib/m_whois.c



db          2003/01/17 08:06:20 EST	(20030117_11)

  Modified files:
    .                    RELNOTES 
  Log:
  - RELNOTES comment about +pi channels was slightly wrong
  
  Revision  Changes    Path
  1.61      +1 -1      ircd-hybrid-7/RELNOTES



db          2003/01/17 08:00:55 EST	(20030117_10)

  Modified files:
    modules              m_stats.c m_whois.c m_whowas.c 
    src                  balloc.c channel.c client.c packet.c 
                         s_stats.c vchannel.c 
  Log:
  - committed cleanups from michael
  
  Revision  Changes    Path
  1.115     +1 -7      ircd-hybrid-7/modules/m_stats.c
  1.84      +2 -2      ircd-hybrid-7/modules/m_whois.c
  1.30      +3 -3      ircd-hybrid-7/modules/m_whowas.c
  7.41      +1 -0      ircd-hybrid-7/src/balloc.c
  7.349     +0 -2      ircd-hybrid-7/src/channel.c
  7.315     +3 -3      ircd-hybrid-7/src/client.c
  7.98      +2 -0      ircd-hybrid-7/src/packet.c
  7.23      +2 -2      ircd-hybrid-7/src/s_stats.c
  7.67      +10 -13    ircd-hybrid-7/src/vchannel.c



db          2003/01/17 02:55:19 EST	(20030117_9)

  Modified files:
    src                  client.c 
  Log:
  - please for not be fd using instead of IsDead
  
  Revision  Changes    Path
  7.314     +3 -2      ircd-hybrid-7/src/client.c



db          2003/01/17 00:21:29 EST	(20030117_8)

  Modified files:
    include              config.h config.h.dist 
  Log:
  - updated config.h/config.h.dist as per jack
  
  Revision  Changes    Path
  7.141     +0 -0      ircd-hybrid-7/include/config.h
  7.59      +61 -20    ircd-hybrid-7/include/config.h.dist



db          2003/01/17 00:11:53 EST	(20030117_7)

  Modified files:
    modules              m_list.c 
  Log:
  - ick, I should compile with -Wall more often. Getting lazy
    with Rodder normally running them. Missing return value in an int
    returning function.
  
  Revision  Changes    Path
  1.45      +2 -2      ircd-hybrid-7/modules/m_list.c



db          2003/01/16 23:19:28 EST	(20030117_6)

  Modified files:
    .                    RELNOTES 
  Log:
  - whoops forgot to update RELNOTES
  
  Revision  Changes    Path
  1.60      +1 -0      ircd-hybrid-7/RELNOTES



db          2003/01/16 23:18:21 EST	(20030117_5)

  Modified files:
    include              channel.h 
    src                  channel.c ircd.c 
  Log:
  - vchans fix contributed by michael
  
  Revision  Changes    Path
  7.121     +4 -4      ircd-hybrid-7/include/channel.h
  7.348     +35 -0     ircd-hybrid-7/src/channel.c
  7.247     +3 -0      ircd-hybrid-7/src/ircd.c



db          2003/01/16 22:58:01 EST	(20030117_4)

  Modified files:
    .                    RELNOTES 
    modules              m_help.c 
  Log:
  - fixed fd leak in m_help.c this has been here for a while...
  
  Revision  Changes    Path
  1.59      +1 -0      ircd-hybrid-7/RELNOTES
  1.35      +2 -1      ircd-hybrid-7/modules/m_help.c



db          2003/01/16 22:16:00 EST	(20030117_3)

  Modified files:
    .                    RELNOTES 
    src                  s_conf.c 
  Log:
  - fixed bogus logging
  
  Revision  Changes    Path
  1.58      +1 -0      ircd-hybrid-7/RELNOTES
  7.336     +6 -5      ircd-hybrid-7/src/s_conf.c



db          2003/01/16 21:58:26 EST	(20030117_2)

  Modified files:
    .                    RELNOTES 
    modules/core         m_message.c 
  Added files:
    doc                  example.conf.quick 
  Log:
  - oopsies. old traditional behaviour was to allow non-opers to
    send userhost@server privmsgs. dalnet used nick... probably
    should add an ifdef if we want to change it
  
  Revision  Changes    Path
  1.57      +1 -1      ircd-hybrid-7/RELNOTES
  1.1       +343 -0    ircd-hybrid-7/doc/example.conf.quick (new)
  1.106     +102 -142  ircd-hybrid-7/modules/core/m_message.c



db          2003/01/16 20:10:00 EST	(20030117_1)

  Modified files:
    modules              m_lljoin.c 
  Log:
  - removed double include of hash.h
  
  Revision  Changes    Path
  1.58      +1 -2      ircd-hybrid-7/modules/m_lljoin.c



db          2003/01/16 19:01:03 EST	(20030117_0)

  Modified files:
    .                    RELNOTES 
  Log:
  - updated RELNOTES
  
  Revision  Changes    Path
  1.56      +1 -0      ircd-hybrid-7/RELNOTES



db          2003/01/16 18:54:03 EST	(20030116_6)

  Modified files:
    modules              m_who.c 
  Log:
  - removed silly #ifdef. this meant serverhiding would only work on who
    if ANONOPS was defined. why? spotted by Michael
  
  Revision  Changes    Path
  1.67      +1 -3      ircd-hybrid-7/modules/m_who.c



db          2003/01/16 18:13:40 EST	(20030116_5)

  Modified files:
    src                  client.c 
  Log:
  - another bug fix from Michael missing return(0); instead of return;
    in exit_client()
  
  Revision  Changes    Path
  7.313     +1 -1      ircd-hybrid-7/src/client.c



db          2003/01/16 18:10:57 EST	(20030116_4)

  Modified files:
    .                    RELNOTES 
    src                  messages.tab s_conf.c 
  Log:
  Two quick bug fixes passed on by michael <michael@phat-net.de>
  
  - fakename in aconf could leak, fixed.
  - missing : in messages.tab numeric 513 ERR_WRONGPONG
  
  Revision  Changes    Path
  1.55      +2 -0      ircd-hybrid-7/RELNOTES
  7.73      +1 -1      ircd-hybrid-7/src/messages.tab
  7.335     +2 -1      ircd-hybrid-7/src/s_conf.c



db          2003/01/16 13:56:31 EST	(20030116_3)

  Modified files:
    .                    RELNOTES 
    modules/core         m_message.c 
  Log:
  - allow non opers to message nick@server, "opers" is reserved for opers only
    I thought bill did this already, but my email is =still= out. sorry.
  
  Revision  Changes    Path
  1.54      +1 -0      ircd-hybrid-7/RELNOTES
  1.105     +68 -1     ircd-hybrid-7/modules/core/m_message.c



db          2003/01/16 07:25:43 EST	(20030116_2)

  Modified files:
    .                    Hybrid-team RELNOTES 
  Log:
  - added cryogen (Stuart Walsh) to contributors list. He has helped
    considerably with testing.
  - added note about fix to broken ip limiting to RELNOTES
  
  Revision  Changes    Path
  7.58      +1 -0      ircd-hybrid-7/Hybrid-team
  1.53      +1 -0      ircd-hybrid-7/RELNOTES



db          2003/01/15 23:08:02 EST	(20030116_1)

  Modified files:
    src                  ircd.c ircd_signal.c 
  Log:
  - zombies should be caught with a SIGCHLD handler.
  
  Revision  Changes    Path
  7.246     +0 -15     ircd-hybrid-7/src/ircd.c
  7.14      +17 -0     ircd-hybrid-7/src/ircd_signal.c



db          2003/01/15 22:28:23 EST	(20030116_0)

  Modified files:
    include              s_conf.h 
    src                  ircd.c s_conf.c 
  Log:
  - remove the expiration code. Having this destroys the code checking
    for too many clients on one IP.
  
  Revision  Changes    Path
  7.189     +0 -1      ircd-hybrid-7/include/s_conf.h
  7.245     +0 -5      ircd-hybrid-7/src/ircd.c
  7.334     +8 -39     ircd-hybrid-7/src/s_conf.c



db          2003/01/13 11:35:40 EST	(20030113_0)

  Modified files:
    .                    Hybrid-team 
    src                  client.c 
  Log:
  - added Yusuf Iskenderaglu to contributors
  
  Revision  Changes    Path
  7.57      +1 -0      ircd-hybrid-7/Hybrid-team
  7.312     +1 -1      ircd-hybrid-7/src/client.c



db          2003/01/10 22:52:32 EST	(20030111_0)

  Modified files:
    include              client.h 
    src                  channel_mode.c client.c packet.c parse.c 
                         s_bsd.c s_serv.c s_user.c send.c 
  Log:
  - Even more cleanups of the exit code, but this gets rid of the
    abort_list.
  
  Revision  Changes    Path
  7.155     +0 -1      ircd-hybrid-7/include/client.h
  7.69      +1 -1      ircd-hybrid-7/src/channel_mode.c
  7.311     +11 -77    ircd-hybrid-7/src/client.c
  7.97      +11 -19    ircd-hybrid-7/src/packet.c
  7.143     +2 -2      ircd-hybrid-7/src/parse.c
  7.175     +1 -1      ircd-hybrid-7/src/s_bsd.c
  7.272     +22 -20    ircd-hybrid-7/src/s_serv.c
  7.218     +2 -2      ircd-hybrid-7/src/s_user.c
  7.212     +11 -11    ircd-hybrid-7/src/send.c



db          2003/01/10 15:22:48 EST	(20030110_3)

  Modified files:
    modules              m_invite.c 
  Log:
  - correct my tired code, after some code review work .
  
  Revision  Changes    Path
  1.51      +18 -28    ircd-hybrid-7/modules/m_invite.c



db          2003/01/10 11:00:06 EST	(20030110_2)

  Modified files:
    modules              m_invite.c 
  Log:
  - be consistent!
  
  Revision  Changes    Path
  1.50      +3 -3      ircd-hybrid-7/modules/m_invite.c



db          2003/01/10 00:11:25 EST	(20030110_1)

  Modified files:
    .                    RELNOTES 
    modules              m_invite.c 
    src                  send.c 
  Log:
  - m_invite failed to send an invite if the channel was +p to
    all servers that needed the invite, hence invites were blocked
    in some cases. Always send an invite, send a NOTICE to channel
    about the invite to servers that do NO support CAP_PARA
    It can be finessed later. I'm tired.
  
  Revision  Changes    Path
  1.52      +1 -0      ircd-hybrid-7/RELNOTES
  1.49      +27 -25    ircd-hybrid-7/modules/m_invite.c
  7.211     +2 -2      ircd-hybrid-7/src/send.c



db          2003/01/09 22:47:36 EST	(20030110_0)

  Modified files:
    .                    RELNOTES 
    modules/core         m_server.c 
  Log:
  - squit the uplink as hybrid-6 does, not the source if
    a server introduces a leaf or wrong masked server. This seriously
    breaks things!
  
  Revision  Changes    Path
  1.51      +1 -0      ircd-hybrid-7/RELNOTES
  1.90      +2 -2      ircd-hybrid-7/modules/core/m_server.c



db          2003/01/09 03:04:56 EST	(20030109_3)

  Modified files:
    src                  client.c 
  Log:
  - d'uh return 0; from a void function. fixed
  
  Revision  Changes    Path
  7.310     +1 -1      ircd-hybrid-7/src/client.c



db          2003/01/09 02:48:44 EST	(20030109_2)

  Modified files:
    .                    RELNOTES 
    src                  s_conf.c 
  Log:
  - fixed broken throttling code. There was a decrement that should
    not have been there. all fixed. tested.
  
  Revision  Changes    Path
  1.50      +1 -0      ircd-hybrid-7/RELNOTES
  7.333     +17 -18    ircd-hybrid-7/src/s_conf.c



db          2003/01/09 01:20:08 EST	(20030109_1)

  Modified files:
    modules              m_wallops.c 
  Log:
  - trivial change to remove a duplicate #include "client.h"
  
  Revision  Changes    Path
  1.30      +1 -2      ircd-hybrid-7/modules/m_wallops.c



db          2003/01/09 01:15:56 EST	(20030109_0)

  Modified files:
    .                    RELNOTES 
    include              client.h 
    src                  channel.c channel_mode.c client.c 
                         ircdauth.c packet.c parse.c s_bsd.c 
                         s_serv.c s_user.c send.c 
  Log:
  - rationalised the exit_client code.
    IsClosing() is used to keep clients from being added to the abort_list twice
    IsDead() is now used to keep clients from being added to the dead_list twice
    IsDefunct() is used to check whether a client is dying ie.
    IsClosing() || IsDead()
    exit_client() is no longer called in some cases if a client/server
    is already IsDefunct().
    This removes the possibility of a double free of a client and removes
    the possibility of accessing memory after it has been freed.
  - Also removed a "bare" access to FLAGS_IPHASH
  
  Revision  Changes    Path
  1.49      +4 -0      ircd-hybrid-7/RELNOTES
  7.154     +4 -0      ircd-hybrid-7/include/client.h
  7.347     +1 -3      ircd-hybrid-7/src/channel.c
  7.68      +5 -1      ircd-hybrid-7/src/channel_mode.c
  7.309     +60 -24    ircd-hybrid-7/src/client.c
  7.50      +1 -1      ircd-hybrid-7/src/ircdauth.c
  7.96      +11 -11    ircd-hybrid-7/src/packet.c
  7.142     +2 -2      ircd-hybrid-7/src/parse.c
  7.174     +1 -1      ircd-hybrid-7/src/s_bsd.c
  7.271     +30 -14    ircd-hybrid-7/src/s_serv.c
  7.217     +5 -5      ircd-hybrid-7/src/s_user.c
  7.210     +12 -12    ircd-hybrid-7/src/send.c



gregp       2002/12/29 16:42:48 EST	(20021229_1)

  Added files:
    contrib              challenge.irc 
  Log:
  - ahem, actually add challenge.irc
  
  Revision  Changes    Path
  1.1       +75 -0     ircd-hybrid-7/contrib/challenge.irc (new)



gregp       2002/12/29 16:42:08 EST	(20021229_0)

  Modified files:
    tools/rsa_respond    respond.c 
  Log:
  - added challenge.irc to contrib/, compliments of BlackJac@EFNet
    script for EPIC (and apparently BitchX too) to support opering via /challenge
  - cosmetic change in respond.c, don't append a \n to stuff we puts()
  
  Revision  Changes    Path
  1.8       +1 -1      ircd-hybrid-7/tools/rsa_respond/respond.c



bill        2002/12/28 02:02:39 EST	(20021228_0)

  Modified files:
    modules              m_gline.c 
  Log:
  - removed duplicated DupString() call, pointed out by Michael W.
  
  Revision  Changes    Path
  1.85      +1 -2      ircd-hybrid-7/modules/m_gline.c



lusky       2002/12/20 23:40:37 EST	(20021221_0)

  Modified files:
    include              patchlevel.h 
  Log:
  revved patchlevel to rc6
  
  Revision  Changes    Path
  7.40      +1 -1      ircd-hybrid-7/include/patchlevel.h



db          2002/12/19 00:58:17 EST	(20021219_1)

  Modified files:
    .                    Hybrid-team 
  Log:
  - Jack Low. so there.
  
  Revision  Changes    Path
  7.56      +1 -1      ircd-hybrid-7/Hybrid-team



db          2002/12/18 22:51:36 EST	(20021219_0)

  Modified files:
    .                    Hybrid-team RELNOTES 
    src                  channel_mode.c 
  Log:
  - fixed a very nasty buffer overflow in ban handling.
    ban strings cannot be longer than MODEBUFLEN (200 chars)
    this fix to channel_mode.c ensures this happens.
  - updated RELNOTES to note this change
  - added MetalRock to the team listing, he's done more than a lot of
    folk at helping us find bugs.
  
  Revision  Changes    Path
  7.55      +1 -0      ircd-hybrid-7/Hybrid-team
  1.48      +1 -0      ircd-hybrid-7/RELNOTES
  7.67      +86 -52    ircd-hybrid-7/src/channel_mode.c



bill        2002/12/18 12:03:46 EST	(20021218_2)

  Modified files:
    .                    RELNOTES 
  Log:
  - finished updating RELNOTES in preparation for rc6
  
  Revision  Changes    Path
  1.47      +1 -0      ircd-hybrid-7/RELNOTES



db          2002/12/18 00:33:29 EST	(20021218_1)

  Modified files:
    contrib              m_tburst.c 
  Log:
  - committed metalrocks change
  
  Revision  Changes    Path
  1.12      +3 -3      ircd-hybrid-7/contrib/m_tburst.c



db          2002/12/17 23:44:36 EST	(20021218_0)

  Modified files:
    src                  client.c 
  Log:
  - removed a redundant free_client(), this was placed just before
    exit_one_client() which caused localClient part to go to NULL.
    This confused MyConnect() etc. so clients were not being removed
    from channel lists properly. The free_client() call is being called
    after exit_client() anyway.
  - tidied up a bit the formatting in one place...
  
  Revision  Changes    Path
  7.308     +7 -8      ircd-hybrid-7/src/client.c



androsyn    2002/12/17 07:35:09 EST	(20021217_0)

  Modified files:
    adns                 parse.c 
  Log:
  Allow '_' in hostnames per rfc1033 recommendations
  
  Revision  Changes    Path
  1.6       +1 -1      ircd-hybrid-7/adns/parse.c



db          2002/12/16 17:43:30 EST	(20021216_5)

  Modified files:
    src                  packet.c 
  Log:
  - I have a sneaking suspicion the file descriptor is still on the
    poll/select etc. list... this should be dug into further.. In any case
    its better to be a bit defensive about poking at a client anyway.
  
  Revision  Changes    Path
  7.95      +4 -1      ircd-hybrid-7/src/packet.c



db          2002/12/16 15:53:01 EST	(20021216_4)

  Modified files:
    src                  packet.c 
  Log:
  - localClient can go NULL after a parse here as well.
  
  Revision  Changes    Path
  7.94      +2 -0      ircd-hybrid-7/src/packet.c



db          2002/12/16 02:18:50 EST	(20021216_3)

  Modified files:
    .                    RELNOTES 
    src                  kdparse.c 
  Log:
  - cleaned up getfield() field code. I obviously did it in a hurry last time.
    this fixes bug with , in a reason field.
  - updated RELNOTES again
  
  Revision  Changes    Path
  1.46      +4 -1      ircd-hybrid-7/RELNOTES
  7.9       +35 -23    ircd-hybrid-7/src/kdparse.c



db          2002/12/16 01:44:46 EST	(20021216_2)

  Modified files:
    .                    RELNOTES 
  Log:
  - started updating RELNOTES in preparation for one more rc
  
  Revision  Changes    Path
  1.45      +11 -0     ircd-hybrid-7/RELNOTES



db          2002/12/16 01:30:51 EST	(20021216_1)

  Modified files:
    src                  channel.c 
  Log:
  - add some sanity tests to not try to use who->user if user is NULL
  
  Revision  Changes    Path
  7.346     +21 -15    ircd-hybrid-7/src/channel.c



db          2002/12/16 00:00:40 EST	(20021216_0)

  Modified files:
    src                  channel.c 
  Log:
  - Don't decrement the joined count unless actually succeeded in removing
    a channel join!
  
  Revision  Changes    Path
  7.345     +2 -3      ircd-hybrid-7/src/channel.c



db          2002/12/15 18:50:18 EST	(20021215_0)

  Modified files:
    doc/technical        send.txt 
    modules              m_invite.c 
    src                  packet.c 
  Log:
  - updated the send docs. a couple of functions disapeared to be replaced
    with one function in its place. oops.
  - a client can have a localClient part of NULL when we go try to read from it
    oops. We can't do that. Notably this happened when a server was unauthed,
    coring the server.
  - m_invite was not sending invites properly when +p was on. I admit
    this code could be finessed, but I wanted to get it working first.
  
  Revision  Changes    Path
  1.17      +11 -15    ircd-hybrid-7/doc/technical/send.txt
  1.48      +124 -13   ircd-hybrid-7/modules/m_invite.c
  7.93      +8 -0      ircd-hybrid-7/src/packet.c



db          2002/12/14 02:37:10 EST	(20021214_1)

  Modified files:
    src                  send.c 
  Log:
  - be careful with IsCapable() when the state of localClient is not known
    if its NULL, it will panic the server.
  
  Revision  Changes    Path
  7.209     +6 -3      ircd-hybrid-7/src/send.c



db          2002/12/13 23:08:39 EST	(20021214_0)

  Modified files:
    src                  channel_mode.c 
  Log:
  - allow "op cookies" *ugh*
    mode * +o-b nick cookie will now work. its an exception for this
    case only. ugh ugh ugh ugh ugh
  - cleaned up some of the table code. Mode table of 512 is a tad large
    but will fix later...
  
  Revision  Changes    Path
  7.66      +19 -2     ircd-hybrid-7/src/channel_mode.c



bill        2002/12/13 00:38:48 EST	(20021213_1)

  Modified files:
    src                  client.c s_user.c send.c 
  Log:
  - changed all instances of nick[user@host] to nick [user@host] .. this fixes a nasty bug that can be described by this:
  
     wheres[the[nick@start.com]
  
  Revision  Changes    Path
  7.307     +3 -3      ircd-hybrid-7/src/client.c
  7.216     +1 -1      ircd-hybrid-7/src/s_user.c
  7.208     +3 -3      ircd-hybrid-7/src/send.c



db          2002/12/12 22:21:14 EST	(20021213_0)

  Modified files:
    src                  packet.c 
  Log:
  - *sigh* a client can be set dead (IsDead()) in a number of places
    while parsing. In all cases, if exit_client() is called,
    and the client is local (which it is here) then localClient goes *poof*
    and its set dead. You can't read data from something that aint there scotty!
    SHE'S GONNA BLOW CAPTAIN!
  
  Revision  Changes    Path
  7.92      +12 -8     ircd-hybrid-7/src/packet.c



bill        2002/12/12 15:16:19 EST	(20021212_1)

  Modified files:
    .                    Hybrid-team 
  Log:
  Submitted by:   vx0
  - updated vx0's email address, per his request
  
  Revision  Changes    Path
  7.54      +1 -1      ircd-hybrid-7/Hybrid-team



db          2002/12/12 01:33:01 EST	(20021212_0)

  Modified files:
    src                  client.c packet.c 
  Log:
  - client can be SetDead() after parsing a message, if this happens
    don't try to parse any outstanding buffers for it!
  
  Revision  Changes    Path
  7.306     +1 -1      ircd-hybrid-7/src/client.c
  7.91      +28 -22    ircd-hybrid-7/src/packet.c



bill        2002/12/10 16:29:11 EST	(20021210_1)

  Modified files:
    src                  client.c 
  Log:
  - fixed missing )
  
  Revision  Changes    Path
  7.305     +1 -1      ircd-hybrid-7/src/client.c



androsyn    2002/12/09 22:10:57 EST	(20021210_0)

  Modified files:
    src                  client.c 
  Log:
  This is the correct fix for the linebuf leak.  Basically close_connection()
  wasn't setting MyConnect() == FALSE as doing so would have caused a core
  dump further down.  More the close_connection() call towards the end of the
  function where localClient is no longer needed.  Add a free_local_client()
  function that actually does the free and sets localClient = NULL
  
  Revision  Changes    Path
  7.304     +29 -40    ircd-hybrid-7/src/client.c



jmallett    2002/12/03 21:42:21 EST	(20021204_0)

  Modified files:
    .                    configure 
    autoconf             configure.in 
    include              setup.h.in 
    src                  dynlink.c 
  Log:
  Use dlfunc(3) if we have it, fake it otherwise, at least abstracting out the
  hideousness of data pointer integral casts.
  
  Revision  Changes    Path
  7.149     +1 -0      ircd-hybrid-7/autoconf/configure.in
  7.152     +76 -0     ircd-hybrid-7/configure
  7.57      +3 -0      ircd-hybrid-7/include/setup.h.in
  7.4       +29 -11    ircd-hybrid-7/src/dynlink.c



androsyn    2002/11/30 08:39:51 EST	(20021130_0)

  Modified files:
    src                  client.c 
  Log:
    Fixed the leaking linebuf issue.  Basically what would happen is that upon
    exit_one_client() we never called linebuf_donebuf for the clients sendq and
    recvq..oops.
  
  Revision  Changes    Path
  7.303     +6 -2      ircd-hybrid-7/src/client.c



db          2002/11/28 12:36:59 EST	(20021128_1)

  Modified files:
    src                  channel.c 
  Log:
  - revert to 7.342 for now, until have time to figure out the "all members
    in channel names have @" bug.
  
  Revision  Changes    Path
  7.344     +2 -5      ircd-hybrid-7/src/channel.c



db          2002/11/27 21:18:03 EST	(20021128_0)

  Modified files:
    src                  balloc.c 
  Log:
  - I was in a hurry to get groceries before ok? :-)
  
  Revision  Changes    Path
  7.40      +1 -4      ircd-hybrid-7/src/balloc.c



db          2002/11/27 17:54:13 EST	(20021127_3)

  Modified files:
    src                  balloc.c 
  Log:
  - As pointed out by TimeMr14C...
  
  Revision  Changes    Path
  7.39      +1 -1      ircd-hybrid-7/src/balloc.c



db          2002/11/27 10:46:25 EST	(20021127_2)

  Modified files:
    include              numeric.h 
  Log:
  - grrrr KNOCKDISABLED needs to use 715 (thank you Michael)
  
  Revision  Changes    Path
  7.31      +1 -1      ircd-hybrid-7/include/numeric.h



jmallett    2002/11/26 22:56:25 EST	(20021127_1)

  Modified files:
    src                  Makefile.in 
  Log:
  Take the easy way out for non-GNU compilers, and make people make sure tools.c
  always compiles with whatever changes they're making - roll-back revision
  7.113's unexplained delta here, and compile it always.  If we really do care
  enough to rip it out of the build where it isn't needed, there are other ways
  to do that, like we do for @SPRINTF@.
  
  Revision  Changes    Path
  7.114     +1 -2      ircd-hybrid-7/src/Makefile.in



jmallett    2002/11/26 22:46:59 EST	(20021127_0)

  Modified files:
    src                  s_bsd_devpoll.c s_bsd_kqueue.c 
                         s_bsd_poll.c s_bsd_select.c s_bsd_sigio.c 
  Log:
  Fix compilation (mostly) with TenDRA 4.1.2 on FreeBSD 5.0-CURRENT, by
  not letting unused s_bsd_*.c become empty compilation units.
  
  Revision  Changes    Path
  7.16      +5 -1      ircd-hybrid-7/src/s_bsd_devpoll.c
  1.28      +5 -0      ircd-hybrid-7/src/s_bsd_kqueue.c
  7.55      +5 -1      ircd-hybrid-7/src/s_bsd_poll.c
  7.27      +5 -0      ircd-hybrid-7/src/s_bsd_select.c
  7.24      +5 -1      ircd-hybrid-7/src/s_bsd_sigio.c



db          2002/11/26 15:34:59 EST	(20021126_0)

  Modified files:
    src                  channel.c 
  Log:
  - reverse chanops+voice clients with peons in names listing
  
  Revision  Changes    Path
  7.343     +5 -2      ircd-hybrid-7/src/channel.c



jmallett    2002/11/24 03:27:16 EST	(20021124_0)

  Modified files:
    servlink             servlink.h 
    src                  md5.c 
  Log:
  Repeat after me "char isn't signed"...  "on reasonable UNIX systems".
  Checking for "<derived-char> > -1" is broken, when you mean "<derived-char> !=
  (char) -1" [~0, 0xff on most machines].
  
  That table is all-but begging to be int8_t or similar.
  
  Also, match the constness returned by the _cfp functions, since discarding it
  is evil, and we don't seem to need to.
  
  Revision  Changes    Path
  1.21      +1 -1      ircd-hybrid-7/servlink/servlink.h
  1.15      +4 -4      ircd-hybrid-7/src/md5.c



db          2002/11/23 12:12:56 EST	(20021123_0)

  Modified files:
    include              defaults.h 
  Log:
  - should be #error not error as pointed out by michael@phat-net.de
  
  Revision  Changes    Path
  7.6       +1 -1      ircd-hybrid-7/include/defaults.h



bill        2002/11/20 22:35:09 EST	(20021121_0)

  Modified files:
    modules              m_connect.c 
  Log:
  - fixed typo that caused leaking of hidden server IPs
  
  Revision  Changes    Path
  1.39      +2 -2      ircd-hybrid-7/modules/m_connect.c



bill        2002/11/20 13:00:05 EST	(20021120_2)

  Modified files:
    contrib              m_operspy.c 
  Log:
  - duplicate previous fix in m_operspy() .. just in case.
  
  Revision  Changes    Path
  1.13      +6 -3      ircd-hybrid-7/contrib/m_operspy.c



bill        2002/11/20 00:55:13 EST	(20021120_1)

  Modified files:
    contrib              m_operspy.c 
  Log:
  - fix a potential core. this does create a detection vulnerability, but being stable is more important
  
  Revision  Changes    Path
  1.12      +6 -3      ircd-hybrid-7/contrib/m_operspy.c



db          2002/11/19 19:18:32 EST	(20021120_0)

  Modified files:
    src                  channel_mode.c 
  Log:
  - fixes buffer overflow with +a -a channel mode
  
  found and patch submitted by Jack L. xxjack12xx@doramail.com
  
  Revision  Changes    Path
  7.65      +3 -0      ircd-hybrid-7/src/channel_mode.c



db          2002/11/18 14:54:59 EST	(20021118_0)

  Modified files:
    modules              m_unkline.c 
  Log:
  - oops. forgot some continues'
  
  Revision  Changes    Path
  1.51      +5 -1      ircd-hybrid-7/modules/m_unkline.c



db          2002/11/13 08:15:07 EST	(20021113_4)

  Modified files:
    modules              m_unkline.c 
  Log:
  - These variables now not needed. (error_on_write)
  
  Revision  Changes    Path
  1.50      +3 -3      ircd-hybrid-7/modules/m_unkline.c



db          2002/11/13 08:12:03 EST	(20021113_3)

  Modified files:
    modules              m_kline.c 
  Log:
  - I stared at this until my eyeballs nearly fell out. Anyway, fixed typo
    spotted by michael@phat-net.de
  
  Revision  Changes    Path
  1.111     +2 -2      ircd-hybrid-7/modules/m_kline.c



db          2002/11/13 00:30:42 EST	(20021113_2)

  Modified files:
    modules              m_unkline.c 
  Log:
  As the result of a nasty core on hemmet I re-examined this code.
  I'd truly like to know what kind of drugs I was on when I first
  did this. really. Anyway, this makes more sense to me.
  
  Revision  Changes    Path
  1.49      +41 -62    ircd-hybrid-7/modules/m_unkline.c



jmallett    2002/11/12 23:33:02 EST	(20021113_1)

  Modified files:
    .                    README.PLATFORMS 
  Log:
  Well, I can't look after some platforms I used to be able to since I moved
  to Kansas, but I can look after OpenBSD/macppc now!  Hopefully more to come,
  but not just yet :/
  
  (I'm back!)
  
  Revision  Changes    Path
  7.15      +1 -7      ircd-hybrid-7/README.PLATFORMS



wiz         2002/11/12 20:59:00 EST	(20021113_0)

  Modified files:
    help/opers           rehash 
  Log:
  - Removed CHANNELS from the rehash help
  
  Revision  Changes    Path
  1.3       +0 -1      ircd-hybrid-7/help/opers/rehash



db          2002/11/12 08:45:43 EST	(20021112_2)

  Modified files:
    include              modules.h 
    src                  ircd.c ircd_parser.y modules.c 
  Log:
  - UMODE_ALL -> FLAGS_ALL (motd rehash patch)
  
  It seems to be that there exist a problem with the dynamic core modules,
  afaik it  should be  impossible to unload a  core  module, that is
  true..... MODUNLOAD can't  unload a core module at all, BUT if you
  MODRELOAD'ing a core module first, you're able to MODUNLOAD a core
  module afterwards.
  
  michael@phat-net.de
  
  Revision  Changes    Path
  7.32      +1 -1      ircd-hybrid-7/include/modules.h
  7.244     +1 -1      ircd-hybrid-7/src/ircd.c
  1.262     +1 -1      ircd-hybrid-7/src/ircd_parser.y
  7.105     +9 -6      ircd-hybrid-7/src/modules.c



db          2002/11/12 08:12:42 EST	(20021112_1)

  Modified files:
    modules/core         m_part.c 
  Log:
  Just a small bug I came across by chance, if you haven't got it
  already :-)
  
  In modules/core/m_part.c (line 178) there is an extra space in the
  format string "%s PART %s  :%s".  This was using hybrid 7-rc4.
  
  submitted by tfarrell@frogbert.queens.unimelb.edu.au
  
  Revision  Changes    Path
  1.57      +2 -2      ircd-hybrid-7/modules/core/m_part.c



db          2002/11/12 08:09:51 EST	(20021112_0)

  Modified files:
    src                  s_user.c 
  Log:
  %S -> %s as noted by Michael <michael@phat-net.de>
  
  Revision  Changes    Path
  7.215     +1 -1      ircd-hybrid-7/src/s_user.c



db          2002/11/11 18:25:17 EST	(20021111_1)

  Modified files:
    include              ircd.h 
    src                  ircd.c ircd_signal.c 
  Log:
  patch contributed by wcampbel@botbay.net
  
  Revision  Changes    Path
  7.52      +1 -0      ircd-hybrid-7/include/ircd.h
  7.243     +8 -0      ircd-hybrid-7/src/ircd.c
  7.13      +13 -0     ircd-hybrid-7/src/ircd_signal.c



bill        2002/11/11 15:43:19 EST	(20021111_0)

  Modified files:
    modules              m_motd.c m_stats.c 
  Log:
  Submitted by:   Lee H
  - reverted previous fix.  treating remote requests the same as local oper requests
    is in fact correct, at the msgtab level.  each mo_() function triggered by server
    will have to do a sanity check looking for IsOper() before giving out any
    sensitive data.
  
  Revision  Changes    Path
  1.33      +9 -17     ircd-hybrid-7/modules/m_motd.c
  1.114     +2 -7      ircd-hybrid-7/modules/m_stats.c



bill        2002/11/10 14:53:07 EST	(20021110_0)

  Modified files:
    contrib              m_operspy.c 
  Log:
  Submitted by:   metalrock
  - fixed core in m_operspy.c caused by doing a WHOIS on a linked server
  
  Revision  Changes    Path
  1.11      +2 -2      ircd-hybrid-7/contrib/m_operspy.c



wiz         2002/11/06 16:18:00 EST	(20021106_0)

  Modified files:
    modules              m_challenge.c m_oper.c 
  Log:
  - Cleaned up failed oper/challenge notices, clarified
    error messages... yes I am bored, greg.
  
  Reviewed by:    xyst, billy-jon
  
  Revision  Changes    Path
  1.40      +27 -13    ircd-hybrid-7/modules/m_challenge.c
  1.58      +28 -21    ircd-hybrid-7/modules/m_oper.c



bill        2002/11/05 09:49:51 EST	(20021105_0)

  Modified files:
    contrib              m_operspy.c 
  Log:
  - replaced 'unique case' detection fix with a slightly more robust one
  
  Revision  Changes    Path
  1.10      +12 -4     ircd-hybrid-7/contrib/m_operspy.c



wiz         2002/11/02 12:09:48 EST	(20021102_0)

  Modified files:
    modules              m_challenge.c 
  Log:
  - Changed misleading failed oper notice from /challenge
    This error is not always caused by host mismatch.
  
  Revision  Changes    Path
  1.39      +4 -4      ircd-hybrid-7/modules/m_challenge.c



bill        2002/11/01 09:38:04 EST	(20021101_1)

  Modified files:
    modules              m_motd.c m_oper.c m_stats.c m_whowas.c 
  Log:
  - remote STATS and MOTD requests always treated the source as an oper, fixed.
  - whowas now gives correct reply when 'null nick' is provided
  - fixed trivial bug that would skew oper count
  
  Revision  Changes    Path
  1.32      +19 -4     ircd-hybrid-7/modules/m_motd.c
  1.57      +3 -6      ircd-hybrid-7/modules/m_oper.c
  1.113     +7 -2      ircd-hybrid-7/modules/m_stats.c
  1.29      +3 -3      ircd-hybrid-7/modules/m_whowas.c



db          2002/11/01 08:24:42 EST	(20021101_0)

  Modified files:
    contrib              m_force.c m_operspy.c 
  Log:
  - fixes by adx
  
  Revision  Changes    Path
  1.17      +2 -2      ircd-hybrid-7/contrib/m_force.c
  1.9       +2 -1      ircd-hybrid-7/contrib/m_operspy.c



lusky       2002/10/31 00:31:38 EST	(20021031_2)

  Modified files:
    include              patchlevel.h 
  Log:
  - revved patchlevel to 7rc5
  
  Revision  Changes    Path
  7.39      +1 -1      ircd-hybrid-7/include/patchlevel.h



db          2002/10/31 00:30:36 EST	(20021031_1)

  Modified files:
    .                    RELNOTES 
  Log:
  - updated RELNOTES
  
  Revision  Changes    Path
  1.44      +20 -0     ircd-hybrid-7/RELNOTES



wiz         2002/10/30 22:12:31 EST	(20021031_0)

  Modified files:
    include              hook.h 
    src                  hook.c 
  Log:
  - Fixed compile time errors from missing ) and missing proto
    in hook.c/hook.h (hi bill!)
  
  Revision  Changes    Path
  1.15      +1 -0      ircd-hybrid-7/include/hook.h
  7.19      +2 -2      ircd-hybrid-7/src/hook.c



androsyn    2002/10/30 16:53:31 EST	(20021030_8)

  Modified files:
    src                  s_user.c 
  Log:
  Second half of the USER/PING cookie fix
  
  Revision  Changes    Path
  7.214     +9 -10     ircd-hybrid-7/src/s_user.c



androsyn    2002/10/30 16:44:54 EST	(20021030_7)

  Modified files:
    src                  s_user.c 
  Log:
  Fix the USER/PING cookie bug properly..
  
  Revision  Changes    Path
  7.213     +12 -4     ircd-hybrid-7/src/s_user.c



db          2002/10/30 16:31:22 EST	(20021030_6)

  Modified files:
    .                    configure 
    autoconf             configure.in 
  Log:
  - apparently, the -ggdb option blows up gcc 3.0 or something
    so its not specific to just OSX
    Pointed out by Alex Strange (I can't find his email atm)
  
  Revision  Changes      Path
  7.148     +2 -2        ircd-hybrid-7/autoconf/configure.in
  7.151     +7090 -3086  ircd-hybrid-7/configure



androsyn    2002/10/30 16:23:52 EST	(20021030_5)

  Modified files:
    src                  s_user.c 
  Log:
  Fix dumb bug that caused the USER response to be taken instead of the identd
  response..
  
  Revision  Changes    Path
  7.212     +3 -12     ircd-hybrid-7/src/s_user.c



bill        2002/10/30 15:24:21 EST	(20021030_4)

  Modified files:
    src                  hook.c 
  Log:
  Submitted by:   AndroSyn
  - this one should be DLINK_FOREACH_SAFE
  
  Revision  Changes    Path
  7.18      +3 -5      ircd-hybrid-7/src/hook.c



bill        2002/10/30 14:59:13 EST	(20021030_3)

  Modified files:
    src                  hook.c 
  Log:
  - style cleanups
  - implemented DLINK_FOREACH wherever possible
  
  Revision  Changes    Path
  7.17      +25 -23    ircd-hybrid-7/src/hook.c



wiz         2002/10/30 12:44:58 EST	(20021030_2)

  Modified files:
    doc                  example.conf example.efnet.conf 
    include              client.h s_conf.h 
    modules/core         m_message.c 
    src                  ircd_lexer.l ircd_parser.y packet.c 
                         s_conf.c s_user.c 
  Log:
  - Added can_flood option in auth {} blocks
  - Added true_oper_no_flood in general {} block
  
  Reviewed by: xyst
  Approved by: Diane
  
  Revision  Changes    Path
  7.169     +5 -0      ircd-hybrid-7/doc/example.conf
  7.9       +5 -0      ircd-hybrid-7/doc/example.efnet.conf
  7.153     +4 -0      ircd-hybrid-7/include/client.h
  7.188     +3 -0      ircd-hybrid-7/include/s_conf.h
  1.104     +3 -3      ircd-hybrid-7/modules/core/m_message.c
  1.146     +2 -0      ircd-hybrid-7/src/ircd_lexer.l
  1.261     +24 -1     ircd-hybrid-7/src/ircd_parser.y
  7.90      +8 -4      ircd-hybrid-7/src/packet.c
  7.332     +1 -0      ircd-hybrid-7/src/s_conf.c
  7.211     +7 -0      ircd-hybrid-7/src/s_user.c



bill        2002/10/29 22:33:26 EST	(20021030_1)

  Modified files:
    contrib              m_operspy.c m_whois.c 
    include              numeric.h 
    modules              m_whois.c 
    src                  messages.tab 
  Log:
  - removed RPL_WHOISADMIN, as it is un-needed, and wreaks of vanity.
    stats p still distinguishes admins, but maybe it shouldn't .. ?
  
  Revision  Changes    Path
  1.8       +1 -6      ircd-hybrid-7/contrib/m_operspy.c
  1.5       +3 -9      ircd-hybrid-7/contrib/m_whois.c
  7.30      +0 -2      ircd-hybrid-7/include/numeric.h
  1.83      +1 -7      ircd-hybrid-7/modules/m_whois.c
  7.72      +1 -1      ircd-hybrid-7/src/messages.tab



androsyn    2002/10/29 21:56:20 EST	(20021030_0)

  Modified files:
    adns                 adns.h internal.h query.c types.c 
    src                  adns.c s_auth.c s_bsd.c 
  Log:
  Fix the NULL ipv6 hostname bug..
  
  Revision  Changes    Path
  1.8       +2 -1      ircd-hybrid-7/adns/adns.h
  1.11      +2 -1      ircd-hybrid-7/adns/internal.h
  1.14      +5 -2      ircd-hybrid-7/adns/query.c
  1.7       +82 -0     ircd-hybrid-7/adns/types.c
  7.48      +11 -8     ircd-hybrid-7/src/adns.c
  7.103     +2 -34     ircd-hybrid-7/src/s_auth.c
  7.173     +13 -2     ircd-hybrid-7/src/s_bsd.c



wiz         2002/10/29 17:53:10 EST	(20021029_2)

  Modified files:
    .                    Hybrid-team 
  Log:
  Hi everybody, I'm wiz.
  
  Revision  Changes    Path
  7.53      +1 -0      ircd-hybrid-7/Hybrid-team



db          2002/10/29 15:14:37 EST	(20021029_1)

  Modified files:
    doc                  challenge.txt 
  Log:
  - updated challenge.txt, this never got updated properly
  
  Revision  Changes    Path
  1.10      +333 -333  ircd-hybrid-7/doc/challenge.txt



bill        2002/10/29 14:38:22 EST	(20021029_0)

  Modified files:
    src                  channel.c 
  Log:
  - oops, completed removal of persistent channels
  
  Revision  Changes    Path
  7.342     +1 -0      ircd-hybrid-7/src/channel.c



bill        2002/10/28 16:09:26 EST	(20021028_1)

  Modified files:
    doc                  convertconf-example.conf example.conf 
                         example.efnet.conf whats-new.txt 
    include              channel.h channel_mode.h s_conf.h 
    modules              m_info.c m_join.c 
    src                  channel.c hash.c ircd.c ircd_lexer.l 
                         ircd_parser.y s_conf.c 
  Log:
  - ripped persistent channels.  this should be re-thoughtout and re-implemented from scratch at a later date.
  
  Revision  Changes    Path
  7.7       +1 -10     ircd-hybrid-7/doc/convertconf-example.conf
  7.168     +1 -10     ircd-hybrid-7/doc/example.conf
  7.8       +1 -13     ircd-hybrid-7/doc/example.efnet.conf
  7.37      +0 -15     ircd-hybrid-7/doc/whats-new.txt
  7.120     +0 -6      ircd-hybrid-7/include/channel.h
  7.13      +0 -3      ircd-hybrid-7/include/channel_mode.h
  7.187     +0 -1      ircd-hybrid-7/include/s_conf.h
  1.61      +1 -7      ircd-hybrid-7/modules/m_info.c
  1.93      +7 -23     ircd-hybrid-7/modules/m_join.c
  7.341     +2 -113    ircd-hybrid-7/src/channel.c
  7.47      +4 -1      ircd-hybrid-7/src/hash.c
  7.242     +0 -3      ircd-hybrid-7/src/ircd.c
  1.145     +0 -1      ircd-hybrid-7/src/ircd_lexer.l
  1.260     +0 -7      ircd-hybrid-7/src/ircd_parser.y
  7.331     +0 -3      ircd-hybrid-7/src/s_conf.c



gregp       2002/10/27 20:08:41 EST	(20021028_0)

  Modified files:
    modules              m_challenge.c 
  Log:
  - fixing m_challenge.so braindeath, reported by wiz
    - we were trying to log source_p->challenge stuffs directly after we'd
      freed it a few lines above (oops)
    - prehaps we should announce it to locops sometimes too!
  
  Reveiwed by:     my pet donkey, wiz
  Submitted by:    wiz, various bovines
  
  Revision  Changes    Path
  1.38      +11 -4     ircd-hybrid-7/modules/m_challenge.c



bill        2002/10/24 16:54:53 EDT	(20021024_3)

  Modified files:
    src                  channel.c 
  Log:
  - better commented expire_channels() (sheesh, these things are more trouble than they're worth)
  - added some continue statements, make things a bit more robust
  
  Revision  Changes    Path
  7.340     +8 -0      ircd-hybrid-7/src/channel.c



bill        2002/10/24 14:16:42 EDT	(20021024_2)

  Modified files:
    modules/core         m_message.c 
    src                  channel.c parse.c 
  Log:
  - opers can no longer over-ride umode +g
  - made expire_channels() use DLINK_FOREACH_SAFE
  - made HELP use MFLG_HIDDEN when listing commands
  
  Revision  Changes    Path
  1.103     +2 -3      ircd-hybrid-7/modules/core/m_message.c
  7.339     +2 -2      ircd-hybrid-7/src/channel.c
  7.141     +4 -3      ircd-hybrid-7/src/parse.c



bill        2002/10/23 23:35:59 EDT	(20021024_1)

  Modified files:
    contrib              m_operspy.c 
    include              msg.h 
    src                  parse.c 
  Log:
  - added MFLG_HIDDEN, to hide commands from stats m
  - updated m_operspy.c to use MFLG_HIDDEN
  
  Revision  Changes    Path
  1.7       +2 -2      ircd-hybrid-7/contrib/m_operspy.c
  7.42      +2 -0      ircd-hybrid-7/include/msg.h
  7.140     +6 -5      ircd-hybrid-7/src/parse.c



bill        2002/10/23 21:16:38 EDT	(20021024_0)

  Modified files:
    src                  m_error.c 
  Log:
  - no longer show all opers every time a user issues the ERROR command.  too much potential for abuse, especially since the ip is not shown, and it can be done pre-registration.
  
  Revision  Changes    Path
  7.26      +1 -27     ircd-hybrid-7/src/m_error.c



bill        2002/10/23 18:12:17 EDT	(20021023_0)

  Modified files:
    src                  channel.c list.c 
  Log:
  - added additional sanity checking in expire_channels(), which fixes a core
  - removed extra ; in make_dlink_node()
  
  Revision  Changes    Path
  7.338     +27 -4     ircd-hybrid-7/src/channel.c
  7.47      +1 -1      ircd-hybrid-7/src/list.c



androsyn    2002/10/22 14:47:27 EDT	(20021022_0)

  Modified files:
    src                  ircd_parser.y 
  Log:
  Wrap the fallback stuff in #ifdef IPV6
  
  Revision  Changes    Path
  1.259     +4 -0      ircd-hybrid-7/src/ircd_parser.y



androsyn    2002/10/19 18:36:25 EDT	(20021019_2)

  Modified files:
    src                  adns.c 
  Log:
  Make char *domain IPV6 only
  
  Revision  Changes    Path
  7.47      +2 -0      ircd-hybrid-7/src/adns.c



androsyn    2002/10/19 18:35:21 EDT	(20021019_1)

  Modified files:
    src                  s_conf.c 
  Log:
  Make fallback to ip6.int support the default
  
  Revision  Changes    Path
  7.330     +5 -2      ircd-hybrid-7/src/s_conf.c



androsyn    2002/10/19 18:32:53 EDT	(20021019_0)

  Modified files:
    include              res.h s_auth.h s_conf.h 
    src                  adns.c ircd_lexer.l ircd_parser.y 
                         s_auth.c s_conf.c 
  Log:
  Added support for ip6.arpa and fallback support for ip6.int.  Also fixed a
  buglet where the server would spit out a failed host lookup message twice
  when compiled for IPv6.
  
  Revision  Changes    Path
  7.21      +1 -1      ircd-hybrid-7/include/res.h
  7.17      +3 -0      ircd-hybrid-7/include/s_auth.h
  7.186     +3 -0      ircd-hybrid-7/include/s_conf.h
  7.46      +17 -7     ircd-hybrid-7/src/adns.c
  1.144     +1 -0      ircd-hybrid-7/src/ircd_lexer.l
  1.258     +11 -0     ircd-hybrid-7/src/ircd_parser.y
  7.102     +16 -3     ircd-hybrid-7/src/s_auth.c
  7.329     +1 -1      ircd-hybrid-7/src/s_conf.c



bill        2002/10/17 13:06:33 EDT	(20021017_2)

  Modified files:
    contrib              m_jupe.c 
  Log:
  - cosmetic fix.  if we're not a hub, tell user why we fail
  
  Revision  Changes    Path
  1.36      +6 -2      ircd-hybrid-7/contrib/m_jupe.c



bill        2002/10/16 23:20:34 EDT	(20021017_1)

  Modified files:
    contrib              m_operspy.c 
  Log:
  - kludged small bug that allowed detection of m_operspy.c module
  
  Revision  Changes    Path
  1.6       +10 -7     ircd-hybrid-7/contrib/m_operspy.c



bill        2002/10/16 22:28:52 EDT	(20021017_0)

  Modified files:
    modules              m_rehash.c 
  Log:
  - updated rehash usage notice
  
  Revision  Changes    Path
  1.42      +2 -2      ircd-hybrid-7/modules/m_rehash.c



bill        2002/10/16 16:52:39 EDT	(20021016_2)

  Modified files:
    modules              m_who.c 
    modules/core         m_message.c 
    src                  channel.c 
  Log:
  - reverted un-needed previous m_who.c commit
  - notices to user@server were being changed to PRIVMSG.  fixed.
  - reset idle times following a succesful msg to user@server
  - redid initilization of expiring_channels to be consistent with
    lazylinks_channels
  - redid expire_channels() to walk the linked list forwards, and
    have channels be added to the list with dlinkAddTail() rather
    than dlinkAdd().  functionality should be the same, this is
    just cleaner.
  
  Revision  Changes    Path
  1.102     +19 -3     ircd-hybrid-7/modules/core/m_message.c
  1.66      +3 -1      ircd-hybrid-7/modules/m_who.c
  7.337     +16 -16    ircd-hybrid-7/src/channel.c



db          2002/10/16 00:18:01 EDT	(20021016_1)

  Modified files:
    modules              m_who.c 
  Log:
  - with --enable-efnet ptr was undefined in m_who.c
  
  Revision  Changes    Path
  1.65      +1 -3      ircd-hybrid-7/modules/m_who.c



db          2002/10/15 22:23:24 EDT	(20021016_0)

  Modified files:
    src                  ircd_parser.y 
  Log:
  Modifications as suggested by
  Michael <michael@phat-net.de>
  
  Revision  Changes    Path
  1.257     +5 -3      ircd-hybrid-7/src/ircd_parser.y



bill        2002/10/13 21:26:09 EDT	(20021014_0)

  Modified files:
    src                  channel.c 
  Log:
  - typo in expire_channels() comment, pointed out by metalrock
  
  Revision  Changes    Path
  7.336     +1 -1      ircd-hybrid-7/src/channel.c



db          2002/10/12 06:39:07 EDT	(20021012_3)

  Modified files:
    modules              m_cryptlink.c 
    src                  s_conf.c 
  Log:
  - "Unauthorised" vs. "Unauthorized" ircnet spells it the second way,
    so guess hybrid will too.
  
  Revision  Changes    Path
  1.35      +6 -6      ircd-hybrid-7/modules/m_cryptlink.c
  7.328     +1 -1      ircd-hybrid-7/src/s_conf.c



db          2002/10/12 00:33:32 EDT	(20021012_2)

  Modified files:
    src                  channel_mode.c 
  Log:
  - fixed another bug. When more than four modes happened locally in a mode change
    the code was not placing a new + or - on the next line
    so ended up with "bare" modes with no + or - in front. fixed.
  
  Revision  Changes    Path
  7.64      +2 -0      ircd-hybrid-7/src/channel_mode.c



db          2002/10/11 23:38:16 EDT	(20021012_1)

  Modified files:
    modules              m_ping.c 
    src                  channel_mode.c 
  Log:
  - I hate server hostmasking. I really hate it.
    In any case, the match() in m_ping.c should have been an irccmp()
    ping is looking for an exact match on "me.name" not a wild card match.
  
  Revision  Changes    Path
  1.32      +3 -3      ircd-hybrid-7/modules/m_ping.c
  7.63      +3 -3      ircd-hybrid-7/src/channel_mode.c



db          2002/10/11 21:33:00 EDT	(20021012_0)

  Modified files:
    modules              m_rehash.c 
  Log:
  - I won't ask why rehash CHANNELS was there
  
  Revision  Changes    Path
  1.41      +2 -9      ircd-hybrid-7/modules/m_rehash.c



db          2002/10/11 15:57:50 EDT	(20021011_0)

  Modified files:
    contrib              m_force.c 
    src                  channel.c ircd.c s_auth.c 
  Log:
  - fixed bogus expiry code
  - fixed typo in s_auth.c
  
  Revision  Changes    Path
  1.16      +4 -4      ircd-hybrid-7/contrib/m_force.c
  7.335     +46 -111   ircd-hybrid-7/src/channel.c
  7.241     +0 -2      ircd-hybrid-7/src/ircd.c
  7.101     +3 -2      ircd-hybrid-7/src/s_auth.c



bill        2002/10/10 18:17:22 EDT	(20021010_3)

  Modified files:
    include              channel.h channel_mode.h tools.h 
    src                  channel.c ircd.c 
  Log:
  - redid persistent channels
  
  Revision  Changes    Path
  7.119     +5 -0      ircd-hybrid-7/include/channel.h
  7.12      +3 -0      ircd-hybrid-7/include/channel_mode.h
  1.19      +22 -0     ircd-hybrid-7/include/tools.h
  7.334     +70 -4     ircd-hybrid-7/src/channel.c
  7.240     +3 -0      ircd-hybrid-7/src/ircd.c



androsyn    2002/10/10 14:49:33 EDT	(20021010_2)

  Modified files:
    src                  channel_mode.c client.c hash.c motd.c 
                         resv.c s_auth.c s_conf.c s_serv.c 
                         scache.c whowas.c 
  Log:
  More strlcpy() cleanups.  Also fixed a buffer overflow.
  
  Revision  Changes    Path
  7.62      +1 -1      ircd-hybrid-7/src/channel_mode.c
  7.302     +3 -3      ircd-hybrid-7/src/client.c
  7.46      +2 -2      ircd-hybrid-7/src/hash.c
  7.26      +2 -2      ircd-hybrid-7/src/motd.c
  7.17      +2 -2      ircd-hybrid-7/src/resv.c
  7.100     +5 -6      ircd-hybrid-7/src/s_auth.c
  7.327     +5 -5      ircd-hybrid-7/src/s_conf.c
  7.270     +2 -2      ircd-hybrid-7/src/s_serv.c
  7.17      +1 -1      ircd-hybrid-7/src/scache.c
  7.20      +1 -1      ircd-hybrid-7/src/whowas.c



androsyn    2002/10/10 14:30:32 EDT	(20021010_1)

  Modified files:
    src                  s_user.c 
  Log:
  Clean up a number of strlcpy()'s that have magic numbers stuck in them
  
  Revision  Changes    Path
  7.210     +6 -6      ircd-hybrid-7/src/s_user.c



db          2002/10/10 11:44:06 EDT	(20021010_0)

  Modified files:
    src                  s_user.c 
  Log:
  REALLEN + 1 as spotted by adx
  
  Revision  Changes    Path
  7.209     +1 -1      ircd-hybrid-7/src/s_user.c



androsyn    2002/10/09 12:59:50 EDT	(20021009_1)

  Modified files:
    modules/core         m_server.c 
  Log:
  Move this allocation down a bit.
  
  Revision  Changes    Path
  1.89      +5 -6      ircd-hybrid-7/modules/core/m_server.c



db          2002/10/09 11:08:33 EDT	(20021009_0)

  Modified files:
    contrib              m_force.c 
    modules/core         m_server.c 
    src                  channel.c client.c linebuf.c 
  Log:
  - as noted by adx. There were a few unnecessary checks for NULL pointer
    as we already have called outofmemory(), its pointless.
    adx also spotted an unfreed server struct.
  
  Revision  Changes    Path
  1.15      +11 -11    ircd-hybrid-7/contrib/m_force.c
  1.88      +3 -1      ircd-hybrid-7/modules/core/m_server.c
  7.333     +9 -13     ircd-hybrid-7/src/channel.c
  7.301     +0 -2      ircd-hybrid-7/src/client.c
  7.93      +0 -3      ircd-hybrid-7/src/linebuf.c



db          2002/10/08 17:06:56 EDT	(20021008_1)

  Modified files:
    src                  channel.c 
  Log:
  - an oopsies here. if we have a zero persist time, then the channel
    disapears immediately if no one is left in it.
  
  Revision  Changes    Path
  7.332     +2 -2      ircd-hybrid-7/src/channel.c



db          2002/10/07 20:23:46 EDT	(20021008_0)

  Modified files:
    modules              m_motd.c 
  Log:
      With hide_servers=yes and disable_remote=no, the servername is removed
  from the 312 numeric when you /whois nick, but you can just do /motd nick
  and see the server they are on. This patch fixes that vulnerability...
  ...
  wiz
  --
  Jason Dambrosio       |
  Software Engineer     |    "It's a good thing."
  ITS Solutions, Inc.   |
  808.372.6823          |         -- Martha Stewart
  
  Revision  Changes    Path
  1.31      +2 -2      ircd-hybrid-7/modules/m_motd.c



bill        2002/10/07 13:03:13 EDT	(20021007_0)

  Modified files:
    modules              m_ping.c 
  Log:
  - repeat of previous fix
  
  Revision  Changes    Path
  1.31      +2 -2      ircd-hybrid-7/modules/m_ping.c



bill        2002/10/06 11:02:16 EDT	(20021006_1)

  Modified files:
    modules              m_ping.c 
  Log:
  - fixed logic error in ms_ping()
  
  Revision  Changes    Path
  1.30      +2 -2      ircd-hybrid-7/modules/m_ping.c



androsyn    2002/10/05 20:14:46 EDT	(20021006_0)

  Modified files:
    modules              m_who.c 
  Log:
  Fix a bug in WHO that would leak a channel the user was in regardless of
  +s/+p or +i modes.
  
  Revision  Changes    Path
  1.64      +5 -1      ircd-hybrid-7/modules/m_who.c



db          2002/10/04 00:18:39 EDT	(20021004_0)

  Modified files:
    src                  hash.c 
  Log:
  - fixed comment in header. No coding change
  
  Revision  Changes    Path
  7.45      +1 -1      ircd-hybrid-7/src/hash.c



bill        2002/10/03 11:33:47 EDT	(20021003_0)

  Modified files:
    doc                  convertconf-example.conf example.conf 
                         example.efnet.conf 
    include              s_conf.h 
    modules              m_info.c m_join.c 
    modules/core         m_nick.c 
    src                  channel.c ircd_lexer.l ircd_parser.y 
                         s_conf.c 
  Log:
  - added channel {} config entry 'oper_pass_resv', allows opers to pass RESVs.  suggested by DrmWEaver
  
  Revision  Changes    Path
  7.6       +3 -0      ircd-hybrid-7/doc/convertconf-example.conf
  7.167     +3 -0      ircd-hybrid-7/doc/example.conf
  7.7       +3 -0      ircd-hybrid-7/doc/example.efnet.conf
  7.185     +1 -0      ircd-hybrid-7/include/s_conf.h
  1.97      +5 -3      ircd-hybrid-7/modules/core/m_nick.c
  1.60      +7 -1      ircd-hybrid-7/modules/m_info.c
  1.92      +3 -2      ircd-hybrid-7/modules/m_join.c
  7.331     +3 -1      ircd-hybrid-7/src/channel.c
  1.143     +1 -0      ircd-hybrid-7/src/ircd_lexer.l
  1.256     +11 -0     ircd-hybrid-7/src/ircd_parser.y
  7.326     +1 -0      ircd-hybrid-7/src/s_conf.c



bill        2002/10/02 19:09:40 EDT	(20021002_1)

  Modified files:
    contrib              m_operspy.c 
    src                  s_conf.c 
  Log:
  - redid operspy who to emmulate actual who
  - added operspy topic
  - fixed small oversight in oper_privs_as_string with nick_changes = no;
  
  Revision  Changes    Path
  1.5       +329 -180  ircd-hybrid-7/contrib/m_operspy.c
  7.325     +2 -0      ircd-hybrid-7/src/s_conf.c



bill        2002/10/01 22:13:06 EDT	(20021002_0)

  Modified files:
    contrib              m_jupe.c 
  Log:
  - WALLOPS warning broadcast to remove servers used oper as source, changed to server
  
  Revision  Changes    Path
  1.35      +2 -2      ircd-hybrid-7/contrib/m_jupe.c



bill        2002/09/24 12:33:06 EDT	(20020924_0)

  Modified files:
    contrib              README 
  Log:
  - added m_operspy.c to contrib/ notes
  
  Revision  Changes    Path
  1.24      +3 -0      ircd-hybrid-7/contrib/README



db          2002/09/20 01:31:56 EDT	(20020920_0)

  Modified files:
    include              event.h 
    src                  event.c 
  Log:
  - major major bug here. There is the potential of overflowing
    the event_table[]. Range checking was not being done. <g>
  
  Revision  Changes    Path
  1.13      +0 -1      ircd-hybrid-7/include/event.h
  7.29      +24 -28    ircd-hybrid-7/src/event.c



bill        2002/09/19 12:14:34 EDT	(20020919_2)

  Modified files:
    .                    INSTALL 
    contrib              m_opme.c 
    modules              m_connect.c 
  Log:
  - added fbsd note to ipv6 install notes
  - made OPME send LOCOPS rather than WALLOPS for &channels
  - fixed potential leak of hub IP
  
  Revision  Changes    Path
  7.31      +4 -1      ircd-hybrid-7/INSTALL
  1.28      +37 -17    ircd-hybrid-7/contrib/m_opme.c
  1.38      +3 -1      ircd-hybrid-7/modules/m_connect.c



bill        2002/09/19 00:22:57 EDT	(20020919_1)

  Modified files:
    modules              m_unkline.c 
    modules/core         m_message.c 
  Log:
  - another speed enhancement noted by lee
  - change ungline notice to be consistent with undline and unkline
  
  Revision  Changes    Path
  1.101     +15 -5     ircd-hybrid-7/modules/core/m_message.c
  1.48      +3 -3      ircd-hybrid-7/modules/m_unkline.c



bill        2002/09/18 23:12:02 EDT	(20020919_0)

  Modified files:
    include              send.h 
    modules              m_who.c 
    modules/core         m_message.c 
    src                  send.c 
  Log:
  - fixed compiletime error when ANONOPS was disabled
  - fixed @# notices to not echo back to sender
  - removed redundant if()s in sendto_list_local() and sendto_list_local_butone() (thanks to ratbox for this one)
  
  Revision  Changes    Path
  7.58      +3 -0      ircd-hybrid-7/include/send.h
  1.100     +4 -4      ircd-hybrid-7/modules/core/m_message.c
  1.63      +4 -1      ircd-hybrid-7/modules/m_who.c
  7.207     +99 -2     ircd-hybrid-7/src/send.c



lusky       2002/09/17 23:23:01 EDT	(20020918_0)

  Modified files:
    include              patchlevel.h 
  Log:
  - rev patchlevel to 7rc4
  
  Revision  Changes    Path
  7.38      +1 -1      ircd-hybrid-7/include/patchlevel.h



db          2002/09/16 22:13:50 EDT	(20020917_0)

  Modified files:
    tools/rsa_respond    README respond.c 
  Log:
  applied Wendys patch to rsa_respond to allow epic to work properly
  
  Revision  Changes    Path
  1.7       +8 -4      ircd-hybrid-7/tools/rsa_respond/README
  1.7       +33 -3     ircd-hybrid-7/tools/rsa_respond/respond.c



db          2002/09/11 18:01:06 EDT	(20020911_2)

  Modified files:
    modules              m_kline.c m_testline.c 
  Log:
  - ok I goofed and forgot about these modules
  
  Revision  Changes    Path
  1.110     +2 -2      ircd-hybrid-7/modules/m_kline.c
  1.26      +2 -2      ircd-hybrid-7/modules/m_testline.c



db          2002/09/11 11:27:10 EDT	(20020911_1)

  Modified files:
    .                    RELNOTES 
    include              hostmask.h 
    src                  client.c hostmask.c s_bsd.c s_conf.c 
  Log:
  - tiny fix to speed up kline processing slightly. Instead of checking for I lines
    as well as klines from find_kill(), only check for klines. This adds find_kline_conf()
    to hostmask.c, I also changed find_dline() to find_dline_conf() for consistency.
    Noted by Lee Hardy (The goat man)
  
  Revision  Changes    Path
  1.43      +1 -0      ircd-hybrid-7/RELNOTES
  1.23      +3 -1      ircd-hybrid-7/include/hostmask.h
  7.300     +5 -5      ircd-hybrid-7/src/client.c
  7.73      +28 -4     ircd-hybrid-7/src/hostmask.c
  7.172     +4 -2      ircd-hybrid-7/src/s_bsd.c
  7.324     +5 -4      ircd-hybrid-7/src/s_conf.c



db          2002/09/10 22:24:53 EDT	(20020911_0)

  Modified files:
    src                  channel.c 
  Log:
  - fix bug +I+ introduced in invites. I hate !ptr logic.
  
  Revision  Changes    Path
  7.330     +1 -1      ircd-hybrid-7/src/channel.c



db          2002/09/10 15:58:34 EDT	(20020910_2)

  Modified files:
    modules              m_oper.c 
    modules/core         m_nick.c 
  Log:
  - This is the better fix for the ~ nick bug. Look at clean_nick_name() in hybrid-6
    this fix duplicates the behaviour of hybrid-6 clean_nick_name better.
  
  Revision  Changes    Path
  1.96      +5 -11     ircd-hybrid-7/modules/core/m_nick.c
  1.56      +69 -69    ircd-hybrid-7/modules/m_oper.c



androsyn    2002/09/10 14:50:30 EDT	(20020910_1)

  Modified files:
    modules/core         m_nick.c 
  Log:
  Fix another NULL nick bug that Lee found
  
  Revision  Changes    Path
  1.95      +9 -1      ircd-hybrid-7/modules/core/m_nick.c



db          2002/09/09 22:25:52 EDT	(20020910_0)

  Modified files:
    src                  hostmask.c 
  Log:
  - conf->status not conf->flags for CONF_ILLEGAL
  
  Revision  Changes    Path
  7.72      +4 -4      ircd-hybrid-7/src/hostmask.c



db          2002/09/09 09:43:49 EDT	(20020909_2)

  Modified files:
    src                  ircd_parser.y s_conf.c s_log.c 
  Log:
  - having ircd_parser.y put a string into ->host, then having s_conf immediately
    moving it from host to name,just seemed too silly for me. (conf_add_x_conf)
    Also cleaned up some style.
  
  Revision  Changes    Path
  1.255     +6 -7      ircd-hybrid-7/src/ircd_parser.y
  7.323     +1 -5      ircd-hybrid-7/src/s_conf.c
  7.45      +14 -15    ircd-hybrid-7/src/s_log.c



db          2002/09/09 09:32:20 EDT	(20020909_1)

  Modified files:
    modules              m_oper.c 
  Log:
  - fixed typo umodes not umode
  
  Revision  Changes    Path
  1.55      +2 -2      ircd-hybrid-7/modules/m_oper.c



db          2002/09/08 23:05:28 EDT	(20020909_0)

  Modified files:
    modules              m_oper.c 
  Log:
  - source_p->umode not source_p->flags, not that it seems to matter.
    tbh, I don't think ms_oper() is ever ever called.
  
  Revision  Changes    Path
  1.54      +2 -2      ircd-hybrid-7/modules/m_oper.c



bill        2002/09/08 17:09:37 EDT	(20020908_0)

  Modified files:
    contrib              m_operspy.c 
  Log:
  - fixed non-oper-issued to properly respond with Unknown command
    side note: there should be a way for a msgtab-triggered function to access the command that triggered it
  
  Revision  Changes    Path
  1.4       +14 -7     ircd-hybrid-7/contrib/m_operspy.c



androsyn    2002/09/07 02:34:15 EDT	(20020907_1)

  Modified files:
    src                  channel.c 
  Log:
  This needs to be TOPICLEN+1, otherwise we'll chop the last byte off.  We
  already allocate TOPICLEN+1 so..
  
  Revision  Changes    Path
  7.329     +1 -1      ircd-hybrid-7/src/channel.c



db          2002/09/06 22:18:58 EDT	(20020907_0)

  Modified files:
    .                    RELNOTES 
  Log:
  - updated release notes with bugs fixed since last release
  
  Revision  Changes    Path
  1.42      +10 -0     ircd-hybrid-7/RELNOTES



db          2002/09/06 15:37:15 EDT	(20020906_0)

  Modified files:
    include              s_log.h 
    modules              m_challenge.c m_oper.c 
    src                  s_log.c send.c 
  Log:
  - fixed bug with operlog and foperlog handling. The ConfigFile entries were being
    treated as char filename pointers, instead of strings.
    There was missing log_failed_oper() code.
    log_oper() code was not being called when it should have been.
  
  Revision  Changes    Path
  7.11      +1 -0      ircd-hybrid-7/include/s_log.h
  1.37      +52 -49    ircd-hybrid-7/modules/m_challenge.c
  1.53      +4 -2      ircd-hybrid-7/modules/m_oper.c
  7.44      +83 -49    ircd-hybrid-7/src/s_log.c
  7.206     +0 -1      ircd-hybrid-7/src/send.c



db          2002/09/05 11:07:14 EDT	(20020905_5)

  Modified files:
    modules              m_whois.c 
  Log:
  - fixed /whois * bug. minor bug, but technically wrong. when doing a /whois *
    it missed the fact it was successful, and promptly whinged about there being
    no user *.
  
  Revision  Changes    Path
  1.82      +169 -169  ircd-hybrid-7/modules/m_whois.c



db          2002/09/05 10:06:18 EDT	(20020905_4)

  Modified files:
    src                  Makefile.in channel.c class.c client.c 
                         s_conf.c send.c 
  Log:
  - convert these to use DLINK_FOREACH DLINK_FOREACH_SAFE
  
  Revision  Changes    Path
  7.113     +2 -1      ircd-hybrid-7/src/Makefile.in
  7.328     +52 -55    ircd-hybrid-7/src/channel.c
  7.37      +75 -65    ircd-hybrid-7/src/class.c
  7.299     +306 -312  ircd-hybrid-7/src/client.c
  7.322     +72 -72    ircd-hybrid-7/src/s_conf.c
  7.205     +11 -22    ircd-hybrid-7/src/send.c



db          2002/09/05 02:05:41 EDT	(20020905_3)

  Modified files:
    modules              m_accept.c m_close.c m_knock.c m_who.c 
                         m_whois.c 
  Log:
  - converted a pile of for() to DLINK_NEXT
  - cleaned up m_who (idea from Androsyn)
  
  Revision  Changes    Path
  1.33      +2 -2      ircd-hybrid-7/modules/m_accept.c
  1.24      +5 -5      ircd-hybrid-7/modules/m_close.c
  1.52      +81 -85    ircd-hybrid-7/modules/m_knock.c
  1.62      +153 -199  ircd-hybrid-7/modules/m_who.c
  1.81      +8 -11     ircd-hybrid-7/modules/m_whois.c



db          2002/09/04 22:48:43 EDT	(20020905_2)

  Modified files:
    modules              m_gline.c 
    src                  s_gline.c 
  Log:
  - If a local oper votes twice on a gline, don't
    do the send-realops, don't send it off of the server, just notice the oper
    and continue.
  
  Revision  Changes    Path
  1.84      +185 -224  ircd-hybrid-7/modules/m_gline.c
  1.23      +35 -35    ircd-hybrid-7/src/s_gline.c



db          2002/09/04 21:30:10 EDT	(20020905_1)

  Modified files:
    include              s_stats.h 
    src                  s_stats.c 
  Log:
  - removed another never used statistic. It wasn't used in hybrid-6 either <g>
  
  Revision  Changes    Path
  7.9       +0 -1      ircd-hybrid-7/include/s_stats.h
  7.22      +2 -2      ircd-hybrid-7/src/s_stats.c



db          2002/09/04 21:10:27 EDT	(20020905_0)

  Modified files:
    include              s_stats.h 
    modules              m_stats.c m_trace.c 
    src                  s_gline.c s_stats.c 
  Log:
  - removed statistics variables never ever used (udp and local client)
    Early versions of hybrid (based on irc2.8) had udp ping port which was removed.
    This is obviously no longer needed.
  - re-worked m_stats to separate stats g from stats G, pending glines vs. placed glines
    also reworked the style. Its a PITA fixing the style, but ever so much easier for editing...
  - cleaned up style in m_trace.c also started introducing DLINK_FOREACH. It does
    not change the code at all, its just a macro. No point doing it all at once.
  
  Revision  Changes    Path
  7.8       +3 -2      ircd-hybrid-7/include/s_stats.h
  1.112     +152 -101  ircd-hybrid-7/modules/m_stats.c
  1.51      +14 -10    ircd-hybrid-7/modules/m_trace.c
  1.22      +4 -6      ircd-hybrid-7/src/s_gline.c
  7.21      +17 -16    ircd-hybrid-7/src/s_stats.c



db          2002/09/03 17:30:52 EDT	(20020903_5)

  Modified files:
    contrib              m_whois.c 
  Log:
  - As pointed out by Lee, fix server hide
  
  Revision  Changes    Path
  1.4       +2 -2      ircd-hybrid-7/contrib/m_whois.c



db          2002/09/03 13:15:44 EDT	(20020903_4)

  Modified files:
    src                  channel_mode.c 
  Log:
  - allow more than four "simple modes" i.e. +isntp but allow only
    one per. i.e. only one +i is allowed, only one -p etc. this matches
    behaviour of hybrid-6
  
  Revision  Changes    Path
  7.61      +6 -2      ircd-hybrid-7/src/channel_mode.c



bill        2002/09/03 10:44:39 EDT	(20020903_3)

  Modified files:
    contrib              m_operspy.c 
  Log:
  - final cleanups
  - added warning for use
  - changed copyright to primarily me, so that no one else gets blamed for this thing =)
  
  Revision  Changes    Path
  1.3       +13 -4     ircd-hybrid-7/contrib/m_operspy.c



bill        2002/09/03 10:27:26 EDT	(20020903_2)

  Modified files:
    contrib              m_operspy.c 
  Log:
  - fixed compiletime warnings
  
  Revision  Changes    Path
  1.2       +9 -7      ircd-hybrid-7/contrib/m_operspy.c



db          2002/09/03 07:24:07 EDT	(20020903_1)

  Modified files:
    src                  messages.tab 
  Log:
  - missing ':' (I thought I fixed this already...)
  
  Revision  Changes    Path
  7.71      +1 -1      ircd-hybrid-7/src/messages.tab



bill        2002/09/03 01:43:38 EDT	(20020903_0)

  Modified files:
    contrib              Makefile.in 
  Added files:
    contrib              m_operspy.c 
  Log:
  - added a neat little toy that I made tonight.  extreme caution should be
    exercised when using this module.
  - modified Makefile to compile operspy automatically
  
  Revision  Changes    Path
  1.35      +1 -0      ircd-hybrid-7/contrib/Makefile.in
  1.1       +552 -0    ircd-hybrid-7/contrib/m_operspy.c (new)



db          2002/09/02 02:34:29 EDT	(20020902_2)

  Modified files:
    src                  s_conf.c 
  Log:
  - ircnet spells it "unauthorized" so I guess we should too.
  
  Revision  Changes    Path
  7.321     +2 -2      ircd-hybrid-7/src/s_conf.c



db          2002/09/02 02:06:49 EDT	(20020902_1)

  Modified files:
    contrib              m_whois.c 
  Log:
  - fixed stupid bug in contrib m_whois.c
    check entire if() for MyConnect() first, this means the glob flag
    is useless. cleaned up.
  
  Revision  Changes    Path
  1.3       +14 -7     ircd-hybrid-7/contrib/m_whois.c



db          2002/09/02 01:34:23 EDT	(20020902_0)

  Modified files:
    contrib              README 
    modules              m_gline.c m_join.c 
    src                  channel_mode.c s_auth.c 
  Log:
  - strengthened warning in README in contrib
  - cleaned up logic in m_join.c to be somewhat saner
  - burst proper channel modes in m_join for persistent channels
  - removed superflous MODE when the SJOIN can do it anyway
  - chm_simple() was missing mode_limit check, thus allowing clients
    to core the server with a pile of +nt-nt+nt etc.
  - commented s_auth.c madness better
  - corrected style in s_auth.c
  
  Revision  Changes    Path
  1.23      +4 -0      ircd-hybrid-7/contrib/README
  1.83      +2 -2      ircd-hybrid-7/modules/m_gline.c
  1.91      +109 -101  ircd-hybrid-7/modules/m_join.c
  7.60      +3 -0      ircd-hybrid-7/src/channel_mode.c
  7.99      +24 -18    ircd-hybrid-7/src/s_auth.c



db          2002/08/28 14:13:36 EDT	(20020828_1)

  Modified files:
    src                  channel_mode.c 
  Log:
  - committed fix as spotted by lee hardy, I also commented a function
    to make it clear
  
  Revision  Changes    Path
  7.59      +17 -11    ircd-hybrid-7/src/channel_mode.c



androsyn    2002/08/28 13:00:15 EDT	(20020828_0)

  Modified files:
    include              irc_string.h 
    src                  channel.c match.c 
  Added files:
    doc                  README.cidr_bans 
  Removed files:
    contrib              README.cidr_bans cidr_bans.diff 
  Log:
  Add CIDR bans.  This does both ipv4 and ipv6 cidr bans
  
  Revision  Changes    Path
  1.2       +0 -17     ircd-hybrid-7/contrib/README.cidr_bans (dead)
  1.4       +0 -142    ircd-hybrid-7/contrib/cidr_bans.diff (dead)
  1.1       +17 -0     ircd-hybrid-7/doc/README.cidr_bans (new)
  7.37      +2 -0      ircd-hybrid-7/include/irc_string.h
  7.327     +8 -3      ircd-hybrid-7/src/channel.c
  7.21      +69 -0     ircd-hybrid-7/src/match.c



androsyn    2002/08/26 19:27:27 EDT	(20020826_0)

  Removed files:
    contrib              README.LMH lmh.diff 
  Log:
  Remove Lee's patch at his request.
  
  Revision  Changes    Path
  1.4       +0 -168    ircd-hybrid-7/contrib/README.LMH (dead)
  1.13      +0 -2580   ircd-hybrid-7/contrib/lmh.diff (dead)



androsyn    2002/08/25 12:21:46 EDT	(20020825_2)

  Modified files:
    adns                 query.c 
  Log:
    Fix a stupid bug that could have potentially overflowed the heap.  This
    never could have happened though, because the zone we are checking is always
    ip6.int.
  
  Revision  Changes    Path
  1.13      +1 -1      ircd-hybrid-7/adns/query.c



lusky       2002/08/25 00:30:09 EDT	(20020825_1)

  Modified files:
    doc                  example.efnet.conf 
  Log:
  - corrected disclaimer in example.efnet.com to per Disciple's rant
  
  Revision  Changes    Path
  7.6       +2 -5      ircd-hybrid-7/doc/example.efnet.conf



lusky       2002/08/25 00:19:53 EDT	(20020825_0)

  Modified files:
    src                  client.c 
  Log:
  - client IPs on exits were always masked (fl)
  
  Revision  Changes    Path
  7.298     +2 -3      ircd-hybrid-7/src/client.c



db          2002/08/22 23:30:31 EDT	(20020823_1)

  Modified files:
    modules              m_whois.c 
  Log:
  - m_whois was also wrong.
    same reasons as m_nick.
  
  Revision  Changes    Path
  1.80      +32 -30    ircd-hybrid-7/modules/m_whois.c



db          2002/08/22 22:26:11 EDT	(20020823_0)

  Modified files:
    modules/core         m_nick.c 
    src                  parse.c 
  Log:
  - the parse fix is incorrect. really that entire parser needs to be
    torn apart and re-thought/re-written. *sigh* the protocol apparently
    =relies= upon empty parv[1] in some cases! we cannot simply blast
    it away as the original fix did. m_nick now checks using BadPtr
    that parv[1] is not NULL or parv[1][0] != '\0' .
    I bet there are other functions that should do the same thing. *ugh*
  
  Revision  Changes    Path
  1.94      +31 -17    ircd-hybrid-7/modules/core/m_nick.c
  7.139     +1 -3      ircd-hybrid-7/src/parse.c



db          2002/08/22 19:08:41 EDT	(20020822_4)

  Modified files:
    src                  tools.c 
  Log:
  - I typoed it here too
  
  Revision  Changes    Path
  7.25      +1 -1      ircd-hybrid-7/src/tools.c



db          2002/08/22 19:06:44 EDT	(20020822_3)

  Modified files:
    include              tools.h 
  Log:
  typoed -> as _
  
  Revision  Changes    Path
  1.18      +1 -1      ircd-hybrid-7/include/tools.h



db          2002/08/22 17:33:57 EDT	(20020822_2)

  Modified files:
    include              tools.h 
    src                  tools.c 
  Log:
  make tools.h match tools.c and correct a bug in dlinkmove
  
  Revision  Changes    Path
  1.17      +9 -1      ircd-hybrid-7/include/tools.h
  7.24      +2 -0      ircd-hybrid-7/src/tools.c



db          2002/08/22 12:08:22 EDT	(20020822_1)

  Modified files:
    src                  s_user.c 
  Log:
  - fixed typo which had 'S' (capital S) instead of lowercase 's'
    reported by Justin Hammond
  
  Revision  Changes    Path
  7.208     +1 -1      ircd-hybrid-7/src/s_user.c



lusky       2002/08/21 22:01:39 EDT	(20020822_0)

  Modified files:
    src                  parse.c 
  Log:
  - check for null arg after :
  
  Revision  Changes    Path
  7.138     +2 -0      ircd-hybrid-7/src/parse.c



lusky       2002/08/21 01:58:04 EDT	(20020821_1)

  Modified files:
    .                    TODO 
  Log:
  - Test commit for new cvsweb
  
  Revision  Changes    Path
  7.74      +0 -1      ircd-hybrid-7/TODO



lusky       2002/08/20 22:01:48 EDT	(20020821_0)

  Modified files:
    .                    RELNOTES 
  Log:
  - Updated RELNOTES for rc3
  
  Revision  Changes    Path
  1.41      +9 -0      ircd-hybrid-7/RELNOTES



db          2002/08/20 15:25:31 EDT	(20020820_5)

  Modified files:
    src                  channel_mode.c 
  Log:
  - more cleanups
  
  Revision  Changes    Path
  7.58      +5 -8      ircd-hybrid-7/src/channel_mode.c



androsyn    2002/08/20 14:03:33 EDT	(20020820_4)

  Modified files:
    src                  hostmask.c 
  Log:
  Set the default ipv6 bitmask to 128
  
  Revision  Changes    Path
  7.71      +1 -1      ircd-hybrid-7/src/hostmask.c



db          2002/08/20 12:42:02 EDT	(20020820_3)

  Modified files:
    include              channel.h patchlevel.h s_conf.h tools.h 
    src                  channel.c channel_mode.c client.c 
                         s_conf.c tools.c 
  Log:
  - fixed ipv6 hash klines
  - cleaned up for() loops with macro
  
  Revision  Changes    Path
  7.118     +3 -1      ircd-hybrid-7/include/channel.h
  7.37      +1 -1      ircd-hybrid-7/include/patchlevel.h
  7.184     +1 -1      ircd-hybrid-7/include/s_conf.h
  1.16      +29 -20    ircd-hybrid-7/include/tools.h
  7.326     +0 -15     ircd-hybrid-7/src/channel.c
  7.57      +14 -14    ircd-hybrid-7/src/channel_mode.c
  7.297     +1 -2      ircd-hybrid-7/src/client.c
  7.320     +15 -17    ircd-hybrid-7/src/s_conf.c
  7.23      +79 -61    ircd-hybrid-7/src/tools.c



db          2002/08/20 01:49:55 EDT	(20020820_2)

  Modified files:
    include              s_conf.h 
    src                  client.c s_conf.c 
  Log:
  - ip_hash() has to know whether its IPV4 or IPV6 form of ip
    so this has to be passed all the way down.
  
  Revision  Changes    Path
  7.183     +1 -1      ircd-hybrid-7/include/s_conf.h
  7.296     +2 -1      ircd-hybrid-7/src/client.c
  7.319     +12 -11    ircd-hybrid-7/src/s_conf.c



db          2002/08/19 21:32:19 EDT	(20020820_1)

  Modified files:
    contrib              m_whois.c 
    include              numeric.h 
  Log:
  - included RPL_WHOISACTUALLY in numeric.h
  - modified contrib version of m_whois.c to use RPL_WHOISACTUALLY
  
  Revision  Changes    Path
  1.2       +2 -12     ircd-hybrid-7/contrib/m_whois.c
  7.29      +1 -0      ircd-hybrid-7/include/numeric.h



db          2002/08/19 21:02:30 EDT	(20020820_0)

  Modified files:
    include              patchlevel.h 
    src                  channel_mode.c messages.tab 
  Log:
  - added 338 to messages.tab
  - add some buffer overflow checks to channel_mode.c
  
  Revision  Changes    Path
  7.36      +1 -1      ircd-hybrid-7/include/patchlevel.h
  7.56      +11 -6     ircd-hybrid-7/src/channel_mode.c
  7.70      +1 -1      ircd-hybrid-7/src/messages.tab



androsyn    2002/08/19 02:42:11 EDT	(20020819_3)

  Modified files:
    src                  s_conf.c 
  Log:
  A slightly less retarded version of hash_ip()
  
  Revision  Changes    Path
  7.318     +22 -12    ircd-hybrid-7/src/s_conf.c



db          2002/08/19 02:06:53 EDT	(20020819_2)

  Modified files:
    src                  hostmask.c 
  Log:
  - cosmetic cleanup. wrapped declarations make my skin itch.
  
  Revision  Changes    Path
  7.70      +6 -2      ircd-hybrid-7/src/hostmask.c



androsyn    2002/08/19 01:24:05 EDT	(20020819_1)

  Modified files:
    contrib              cidr_bans.diff 
  Log:
  Fix a NULL ptr bug in cidr bans
  
  Revision  Changes    Path
  1.3       +7 -9      ircd-hybrid-7/contrib/cidr_bans.diff



db          2002/08/19 01:23:15 EDT	(20020819_0)

  Modified files:
    contrib              Makefile.in README 
  Added files:
    contrib              m_whois.c 
  Log:
  Added Gozems m_whois.c to contrib. It looks better than ours,
  but we have to wait until more testing is done before making it
  the official m_whois, so it will have to wait until 7.1
  
  Revision  Changes    Path
  1.34      +1 -0      ircd-hybrid-7/contrib/Makefile.in
  1.22      +4 -0      ircd-hybrid-7/contrib/README
  1.1       +751 -0    ircd-hybrid-7/contrib/m_whois.c (new)



a1kmm       2002/08/17 03:16:34 EDT	(20020817_1)

  Modified files:
    modules              m_oper.c 
  Log:
  - Re-add the code to look for oper confs by IP as opposed to by host.
  
  Revision  Changes    Path
  1.52      +7 -4      ircd-hybrid-7/modules/m_oper.c



lusky       2002/08/17 01:04:08 EDT	(20020817_0)

  Modified files:
    .                    TODO 
  Log:
  Test commit, new repo should be working now.
  
  Revision  Changes    Path
  7.73      +1 -0      ircd-hybrid-7/TODO



db          2002/08/16 07:07:23 EDT	(20020816_1)

  Modified files:
    modules              m_oper.c 
  Log:
  - thats a major stupid. spotted by wiz/stu
  
  Revision  Changes    Path
  1.51      +12 -16    ircd-hybrid-7/modules/m_oper.c



lusky       2002/08/15 23:16:15 EDT	(20020816_0)

  Modified files:
    include              patchlevel.h 
  Log:
  - revved patchlevel to 7rc2
  
  Revision  Changes    Path
  7.35      +1 -1      ircd-hybrid-7/include/patchlevel.h



db          2002/08/15 15:49:29 EDT	(20020815_5)

  Modified files:
    include              numeric.h 
  Log:
  - last minute update. add some documentation for numerics
    from other networks. courtesy Kev and numeric.h from ircu.
  
  Revision  Changes    Path
  7.28      +189 -10   ircd-hybrid-7/include/numeric.h



db          2002/08/15 14:44:27 EDT	(20020815_4)

  Modified files:
    .                    RELNOTES 
  Log:
  - updated release notes. There are a few other changes we made but
    cannot remember them.
  
  Revision  Changes    Path
  1.40      +2 -0      ircd-hybrid-7/RELNOTES



adx         2002/08/15 11:01:04 EDT	(20020815_3)

  Modified files:
    modules              m_cjoin.c m_list.c m_names.c m_whois.c 
                         m_whowas.c 
    modules/core         m_kick.c 
  Log:
  Patch against messages like 401  :No such nick/channel (without nickname specified)
  
  Revision  Changes    Path
  1.47      +13 -7     ircd-hybrid-7/modules/core/m_kick.c
  1.55      +6 -2      ircd-hybrid-7/modules/m_cjoin.c
  1.44      +6 -10     ircd-hybrid-7/modules/m_list.c
  1.44      +6 -2      ircd-hybrid-7/modules/m_names.c
  1.79      +6 -2      ircd-hybrid-7/modules/m_whois.c
  1.28      +7 -5      ircd-hybrid-7/modules/m_whowas.c



db          2002/08/15 10:15:41 EDT	(20020815_2)

  Modified files:
    modules              m_cryptlink.c m_gline.c m_kline.c 
                         m_pong.c 
    src                  client.c hash.c ircdauth.c s_conf.c 
                         s_serv.c s_user.c scache.c 
  Log:
  - pile of corrections to strlcpy() use. the size includes the null byte.
    This was caught by bill. I have done a quicky one pass review while
    applying the patch. need another review.
  
  Revision  Changes    Path
  1.34      +4 -4      ircd-hybrid-7/modules/m_cryptlink.c
  1.82      +69 -114   ircd-hybrid-7/modules/m_gline.c
  1.109     +13 -13    ircd-hybrid-7/modules/m_kline.c
  1.28      +12 -10    ircd-hybrid-7/modules/m_pong.c
  7.295     +3 -3      ircd-hybrid-7/src/client.c
  7.44      +1 -1      ircd-hybrid-7/src/hash.c
  7.49      +2 -2      ircd-hybrid-7/src/ircdauth.c
  7.317     +2 -2      ircd-hybrid-7/src/s_conf.c
  7.269     +2 -2      ircd-hybrid-7/src/s_serv.c
  7.207     +7 -7      ircd-hybrid-7/src/s_user.c
  7.16      +1 -1      ircd-hybrid-7/src/scache.c



db          2002/08/15 09:32:45 EDT	(20020815_1)

  Modified files:
    src                  ircd_parser.y 
  Log:
  - patch submitted by adx to get rid of some compile warnings
  
  Revision  Changes    Path
  1.254     +30 -45    ircd-hybrid-7/src/ircd_parser.y



db          2002/08/15 03:32:15 EDT	(20020815_0)

  Modified files:
    src                  s_serv.c 
  Log:
  Came across some code that has hard coded timeouts instead of the
  CONNECTTIMEOUT, so I thought I'd let you know and include a .diff for
  your convenience :)
  
  ...
  
  Stuart Walsh - stu@ipng.org.uk
  IPng UK      - info@ipng.org.uk - http://ipng.org.uk
  
  Revision  Changes    Path
  7.268     +4 -4      ircd-hybrid-7/src/s_serv.c



db          2002/08/13 15:35:10 EDT	(20020813_1)

  Modified files:
    modules              m_oper.c 
  Log:
  - clean up formatting, compress an if
  
  Revision  Changes    Path
  1.50      +26 -21    ircd-hybrid-7/modules/m_oper.c



db          2002/08/12 22:23:54 EDT	(20020813_0)

  Modified files:
    doc                  example.efnet.conf 
  Log:
  - bunch of fallacies in this document corrected.
  
    NUMBER one, a reconnect time of five minutes on efnet WILL cause
    nick collides.
    NUMBER two, a longer ping time is not a help for a client or server
    as it means more possibility for ghosting etc.
    NUMBER three, a vchan cannot possibly cause any problem at all on efnet
    except look "weird" to the rest of the network.
  
  Revision  Changes    Path
  7.5       +38 -15    ircd-hybrid-7/doc/example.efnet.conf



db          2002/08/12 15:06:36 EDT	(20020812_1)

  Modified files:
    modules              m_info.c 
  Log:
  - remote info is sent for a reason.
    remote admins need to see whats on another server. Perhaps this
    should be limited to an IsAdmin()
  
  Revision  Changes    Path
  1.59      +2 -7      ircd-hybrid-7/modules/m_info.c



androsyn    2002/08/12 12:09:44 EDT	(20020812_0)

  Modified files:
    src                  channel_mode.c 
  Log:
  The send_oplist prototype was wrapped in the wrong ifdef
  
  Revision  Changes    Path
  7.55      +1 -1      ircd-hybrid-7/src/channel_mode.c



androsyn    2002/08/11 11:13:13 EDT	(20020811_2)

  Modified files:
    src                  send.c 
  Log:
  Undo that last commit..
  
  Revision  Changes    Path
  7.204     +3 -3      ircd-hybrid-7/src/send.c



androsyn    2002/08/11 10:46:24 EDT	(20020811_1)

  Modified files:
    src                  send.c 
  Log:
  Fixed a off by one error in send_trim().  If you are using indexes remember
  you start counting at 0 NOT 1
  
  Revision  Changes    Path
  7.203     +3 -3      ircd-hybrid-7/src/send.c



db          2002/08/10 22:29:52 EDT	(20020811_0)

  Modified files:
    doc                  example.efnet.conf 
  Log:
  - disable persistent channels in the efnet conf example
    due to some slight synchronisation problems.
  - reworded slightly "knock" wording.
  - fixed wide line
  
  Revision  Changes    Path
  7.4       +17 -8     ircd-hybrid-7/doc/example.efnet.conf



bill        2002/08/09 11:56:37 EDT	(20020809_2)

  Modified files:
    src                  s_user.c 
  Log:
  Submitted by:   Lee H
  - erm yeah, spoof spoofed users, not everyone.
  
  Revision  Changes    Path
  7.206     +1 -1      ircd-hybrid-7/src/s_user.c



wcampbel    2002/08/08 19:58:19 EDT	(20020809_1)

  Modified files:
    src                  channel_mode.c 
  Log:
  Missed a change from before
  
  Revision  Changes    Path
  7.54      +1 -1      ircd-hybrid-7/src/channel_mode.c



wcampbel    2002/08/08 19:52:10 EDT	(20020809_0)

  Modified files:
    src                  channel_mode.c 
  Log:
  Fix for bans, spotted by users on irc6.qeast and irc.ipv6.homelien.
  This would cause the ban to have to be issued twice in order for the ban
  to take effect.  Unbans were fine.
  
  Submitted by:   Lee
  
  Revision  Changes    Path
  7.53      +7 -7      ircd-hybrid-7/src/channel_mode.c



bill        2002/08/08 13:45:05 EDT	(20020808_2)

  Modified files:
    src                  client.c s_user.c 
  Log:
  - with HIDE_SPOOF_IPS on, mask the ip in the client connect/disconnect notice
  
  Revision  Changes    Path
  7.294     +6 -1      ircd-hybrid-7/src/client.c
  7.205     +4 -0      ircd-hybrid-7/src/s_user.c



bill        2002/08/08 11:43:30 EDT	(20020808_1)

  Modified files:
    modules              m_join.c 
    src                  s_conf.c s_user.c 
  Log:
  Submitted by:   Lee H <lee@leeh.co.uk>
  Reviewed by:    me
  Approved by:    Lee H <lee@leeh.co.uk>
  - fixed inverted IsMember()
  - added lee's gline exemption patch.  this should fix it.
  
  Revision  Changes    Path
  1.90      +2 -2      ircd-hybrid-7/modules/m_join.c
  7.316     +1 -1      ircd-hybrid-7/src/s_conf.c
  7.204     +10 -0     ircd-hybrid-7/src/s_user.c



androsyn    2002/08/07 19:27:30 EDT	(20020808_0)

  Modified files:
    .                    TODO 
  Log:
  test commit
  
  Revision  Changes    Path
  7.63      +0 -0      ircd-hybrid-7/TODO



androsyn    2002/08/07 17:12:40 EDT	(20020807_6)

  Modified files:
    .                    TODO 
  Log:
  test commit..ignore
  
  Revision  Changes    Path
  7.62      +0 -0      ircd-hybrid-7/TODO



androsyn    2002/08/07 13:59:21 EDT	(20020807_5)

  Modified files:
    modules              m_join.c 
  Log:
  Patch from adx, basically don't send any message about a user being in too
  many channels if they attempt to rejoin one they are already on.
  
  Revision  Changes    Path
  1.89      +5 -8      ircd-hybrid-7/modules/m_join.c



bill        2002/08/07 12:53:02 EDT	(20020807_4)

  Modified files:
    modules              m_kline.c 
  Log:
  - cosmetic fix to temporary kline notice
  
  Revision  Changes    Path
  1.108     +2 -2      ircd-hybrid-7/modules/m_kline.c



androsyn    2002/08/06 20:52:35 EDT	(20020807_3)

  Modified files:
    contrib              cidr_bans.diff 
  Log:
  Fix a buglet..
  
  Revision  Changes    Path
  1.2       +1 -1      ircd-hybrid-7/contrib/cidr_bans.diff



androsyn    2002/08/06 20:48:20 EDT	(20020807_2)

  Added files:
    contrib              README.cidr_bans cidr_bans.diff 
  Log:
  Adds support for cidr style ban, exception and invex lists.
  
  Revision  Changes    Path
  1.1       +17 -0     ircd-hybrid-7/contrib/README.cidr_bans (new)
  1.1       +144 -0    ircd-hybrid-7/contrib/cidr_bans.diff (new)



androsyn    2002/08/06 20:26:35 EDT	(20020807_1)

  Modified files:
    src                  linebuf.c 
  Log:
  I thought it was broken because of my stupidity..
  
  Revision  Changes    Path
  7.92      +37 -41    ircd-hybrid-7/src/linebuf.c



androsyn    2002/08/06 20:24:12 EDT	(20020807_0)

  Modified files:
    src                  linebuf.c 
  Log:
  Back out my last linebuf patch..
  
  Revision  Changes    Path
  7.91      +41 -37    ircd-hybrid-7/src/linebuf.c



androsyn    2002/08/05 12:30:41 EDT	(20020805_0)

  Modified files:
    src                  linebuf.c 
  Log:
  This *should* fix linebuf_copy_raw() to work correctly.  Lets hope those old
  issues with ziplinks don't show up again.
  
  Revision  Changes    Path
  7.90      +37 -41    ircd-hybrid-7/src/linebuf.c



androsyn    2002/08/03 18:42:28 EDT	(20020803_2)

  Modified files:
    src                  balloc.c 
  Log:
  Make BlockHeapAlloc() call outofmemory() instead of returning NULL..we
  really want to die if we have a failure here like we do with MyMalloc()
  
  Revision  Changes    Path
  7.38      +2 -2      ircd-hybrid-7/src/balloc.c



androsyn    2002/08/03 18:33:34 EDT	(20020803_1)

  Modified files:
    src                  client.c 
  Log:
  Added a defensive NULL ptr check
  
  Revision  Changes    Path
  7.293     +2 -0      ircd-hybrid-7/src/client.c



androsyn    2002/08/03 17:45:10 EDT	(20020803_0)

  Modified files:
    src                  linebuf.c 
  Log:
  Add a NULL pointer check to linebuf_allocate
  
  Revision  Changes    Path
  7.89      +4 -1      ircd-hybrid-7/src/linebuf.c



leeh        2002/08/02 17:59:01 EDT	(20020802_0)

  Modified files:
    modules              m_knock.c 
  Log:
  - moved knock-disable to +p, +s doesnt make sense.
  
  Revision  Changes    Path
  1.51      +2 -2      ircd-hybrid-7/modules/m_knock.c



leeh        2002/08/01 09:55:09 EDT	(20020801_1)

  Modified files:
    .                    RELNOTES 
    modules              m_kline.c 
  Log:
  - updated relnotes
  - adxs fix for klines such as @foo and foo@
  
  Revision  Changes    Path
  1.39      +6 -2      ircd-hybrid-7/RELNOTES
  1.107     +9 -3      ircd-hybrid-7/modules/m_kline.c



leeh        2002/08/01 09:22:17 EDT	(20020801_0)

  Modified files:
    src                  channel_mode.c 
  Log:
  - allow +/-b desync modes that originate on remote servers to help stop
    problems with desyncs.
  
  Revision  Changes    Path
  7.52      +15 -6     ircd-hybrid-7/src/channel_mode.c



leeh        2002/07/31 18:52:59 EDT	(20020731_5)

  Modified files:
    contrib              m_ltrace.c 
  Log:
  - fixed ltrace wrt HIDE_SPOOF_IPS
  
  Revision  Changes    Path
  1.4       +9 -2      ircd-hybrid-7/contrib/m_ltrace.c



db          2002/07/31 18:52:14 EDT	(20020731_4)

  Modified files:
    src                  parse.c 
  Log:
  - I will double review this when I get back from concert :-)
  - Anyway, this should stop dumping over the end of an input buffer
    I'll test later...
  - Also even if we don't log local clients, we should log remote IMO
  
  Revision  Changes    Path
  7.137     +19 -5     ircd-hybrid-7/src/parse.c



leeh        2002/07/31 14:17:44 EDT	(20020731_3)

  Modified files:
    modules              m_gline.c 
  Log:
  - trigger glines using the original reason.
  
  Revision  Changes    Path
  1.81      +8 -3      ircd-hybrid-7/modules/m_gline.c



leeh        2002/07/31 13:35:33 EDT	(20020731_2)

  Modified files:
    modules              m_gline.c 
  Log:
  - if a user requests a gline for "@host", use "*@host"
  
  Revision  Changes    Path
  1.80      +5 -1      ircd-hybrid-7/modules/m_gline.c



leeh        2002/07/31 13:30:59 EDT	(20020731_1)

  Modified files:
    src                  hostmask.c 
  Log:
  - dont show kline exempt status to remote opers.
  - show spoofed I:, just put the u@h as user@255.255.255.255
  
  Revision  Changes    Path
  7.69      +7 -8      ircd-hybrid-7/src/hostmask.c



leeh        2002/07/31 12:24:11 EDT	(20020731_0)

  Modified files:
    modules              m_admin.c m_away.c m_invite.c m_join.c 
                         m_links.c m_lusers.c m_motd.c m_names.c 
                         m_stats.c m_whois.c 
  Log:
  - allow opers to join channels on split to be consistent with hyb6 (ugh)
  - audited the ms_*() functions for stuff coming from hacked servers that
    should never happen.
  
  Revision  Changes    Path
  1.35      +3 -2      ircd-hybrid-7/modules/m_admin.c
  1.31      +4 -9      ircd-hybrid-7/modules/m_away.c
  1.47      +2 -3      ircd-hybrid-7/modules/m_invite.c
  1.88      +4 -3      ircd-hybrid-7/modules/m_join.c
  1.37      +12 -9     ircd-hybrid-7/modules/m_links.c
  1.23      +4 -2      ircd-hybrid-7/modules/m_lusers.c
  1.30      +2 -2      ircd-hybrid-7/modules/m_motd.c
  1.43      +3 -2      ircd-hybrid-7/modules/m_names.c
  1.111     +3 -2      ircd-hybrid-7/modules/m_stats.c
  1.78      +4 -1      ircd-hybrid-7/modules/m_whois.c



leeh        2002/07/30 07:12:43 EDT	(20020730_3)

  Modified files:
    src                  parse.c 
  Log:
  - return -1 on error from client, -2 on error from server so we dont log
    everytime a client sends a command with invalid parms.
  
  Revision  Changes    Path
  7.136     +4 -3      ircd-hybrid-7/src/parse.c



db          2002/07/29 21:43:45 EDT	(20020730_2)

  Modified files:
    src                  packet.c parse.c 
  Log:
  - cleaned up style in packet.c
  - cleaned up style in parse.c
  - added logging of complete input buffer if insufficient parms received.
    We might have a bogus \0 or something, we need to see what we have.
  
  Revision  Changes    Path
  7.89      +9 -5      ircd-hybrid-7/src/packet.c
  7.135     +118 -92   ircd-hybrid-7/src/parse.c



androsyn    2002/07/29 20:47:30 EDT	(20020730_1)

  Modified files:
    src                  channel_mode.c 
  Log:
  The declaration on dir probably shouldn't be wrapped in #ifdef HALFOPS
  
  Revision  Changes    Path
  7.51      +0 -2      ircd-hybrid-7/src/channel_mode.c



greg        2002/07/29 20:31:46 EDT	(20020730_0)

  Modified files:
    src                  client.c 
  Log:
  gcc -I../include -I../adns   -I/usr/local/include -O2 -g -ggdb -DNDEBUG -DIRCD_PREFIX=\"/usr/local/ircd\" -c client.c
  client.c: In function `dead_link':
  client.c:1170: `to' undeclared (first use in this function)
  client.c:1170: (Each undeclared identifier is reported only once
  client.c:1170: for each function it appears in.)
  *** Error code 1
  
  Replaced to with client_p.
  
  Submitted by:   Random EFNet (l)user
  Reviewed by:    make all
  Approved by:    goats
  
  Revision  Changes    Path
  7.292     +1 -1      ircd-hybrid-7/src/client.c



androsyn    2002/07/28 21:08:17 EDT	(20020729_2)

  Modified files:
    src                  channel_mode.c 
  Log:
  Fill in the UID in the mode_changes array..
  
  Revision  Changes    Path
  7.50      +3 -3      ircd-hybrid-7/src/channel_mode.c



androsyn    2002/07/28 20:27:30 EDT	(20020729_1)

  Modified files:
    src                  channel_mode.c 
  Log:
  Allow for -o+o nick nick as well as -h+h and -v+v
  
  Revision  Changes    Path
  7.49      +0 -25     ircd-hybrid-7/src/channel_mode.c



leeh        2002/07/28 19:43:10 EDT	(20020729_0)

  Modified files:
    src                  channel_mode.c client.c 
  Log:
  - replaced find_client() calls with find_chasing()
  
  Revision  Changes    Path
  7.48      +3 -15     ircd-hybrid-7/src/channel_mode.c
  7.291     +1 -1      ircd-hybrid-7/src/client.c



leeh        2002/07/28 17:37:22 EDT	(20020728_1)

  Modified files:
    src                  channel_mode.c 
  Log:
  - removed some unused vars.
  
  Revision  Changes    Path
  7.47      +1 -7      ircd-hybrid-7/src/channel_mode.c



leeh        2002/07/28 15:19:05 EDT	(20020728_0)

  Modified files:
    include              channel_mode.h 
    src                  channel_mode.c 
  Log:
  - commited the first half of the desync fixes.  this will allow users to
    set +b-b on channels.
  
  Revision  Changes    Path
  7.11      +8 -4      ircd-hybrid-7/include/channel_mode.h
  7.46      +504 -698  ircd-hybrid-7/src/channel_mode.c



androsyn    2002/07/27 15:51:20 EDT	(20020727_1)

  Modified files:
    src                  s_bsd.c 
  Log:
  Don't kick out the errno, just the result of the strerror()
  
  Revision  Changes    Path
  7.171     +2 -2      ircd-hybrid-7/src/s_bsd.c



leeh        2002/07/27 09:27:15 EDT	(20020727_0)

  Modified files:
    modules/core         m_kill.c 
  Log:
  - we were testing IsOperGlobalKill instead of IsOperK in m_kill.c which
    prevented "Ko" opers being able to kill local users.  reported
    by kenny <kenny@psdnetworks.co.uk>
  
  Revision  Changes    Path
  1.66      +3 -3      ircd-hybrid-7/modules/core/m_kill.c



leeh        2002/07/26 12:37:15 EDT	(20020726_1)

  Modified files:
    .                    RELNOTES 
    modules/core         m_nick.c 
    src                  parse.c 
  Log:
  - updated RELNOTES
  - added an ilog() when we drop a server for invalid params
  - extended the 'protection' to ms_nick(), which has varying degrees of
    parameters (3 for nickchange, 9 for introduction)
  
  Revision  Changes    Path
  1.38      +17 -8     ircd-hybrid-7/RELNOTES
  1.93      +20 -2     ircd-hybrid-7/modules/core/m_nick.c
  7.134     +6 -4      ircd-hybrid-7/src/parse.c



leeh        2002/07/26 10:03:30 EDT	(20020726_0)

  Modified files:
    src                  channel_mode.c 
  Log:
  - commited by +eI anti-desync fixes.
  
  Revision  Changes    Path
  7.45      +12 -13    ircd-hybrid-7/src/channel_mode.c



db          2002/07/22 21:01:01 EDT	(20020723_0)

  Modified files:
    src                  channel_mode.c 
  Log:
  - correct bug where users were able to apply such lovely bans as
    !@ yes, thats right you saw it here first. bans and exceptions and invexex
    you too can get one too by ordering a channel_mode.c from K-TEL
    ONLY the best!
  
  Revision  Changes    Path
  7.44      +22 -8     ircd-hybrid-7/src/channel_mode.c



leeh        2002/07/22 18:23:04 EDT	(20020722_3)

  Modified files:
    help/opers           kline 
  Log:
  - documented oper reason.
  
  Revision  Changes    Path
  1.2       +8 -3      ircd-hybrid-7/help/opers/kline



leeh        2002/07/22 17:37:25 EDT	(20020722_2)

  Modified files:
    contrib              lmh.diff 
  Log:
  - made my patch work.
  
  Revision  Changes    Path
  1.12      +110 -90   ircd-hybrid-7/contrib/lmh.diff



db          2002/07/22 01:08:04 EDT	(20020722_1)

  Modified files:
    src                  ircd_lexer.l s_conf.c 
  Log:
  - This fixes the \" case in QSTRING. (an admin wanted this one)
    This allows you to set email as "db@db.net" for example.
  
  Revision  Changes    Path
  1.142     +42 -5     ircd-hybrid-7/src/ircd_lexer.l
  7.315     +41 -43    ircd-hybrid-7/src/s_conf.c



leeh        2002/07/21 20:40:43 EDT	(20020722_0)

  Modified files:
    modules              m_info.c 
  Log:
  - wrapped the "Compiled on" info in #ifndef EFNET
  
  Revision  Changes    Path
  1.58      +3 -1      ircd-hybrid-7/modules/m_info.c



leeh        2002/07/21 17:06:21 EDT	(20020721_7)

  Modified files:
    src                  packet.c 
  Log:
  - parse the data first then check for excess flood, else the whole grace
    period becomes useless.
  
  Revision  Changes    Path
  7.88      +10 -4     ircd-hybrid-7/src/packet.c



leeh        2002/07/21 15:22:10 EDT	(20020721_6)

  Modified files:
    contrib              lmh.diff 
  Log:
  - fixed my diff with the latest commits
  
  Revision  Changes    Path
  1.11      +121 -115  ircd-hybrid-7/contrib/lmh.diff



leeh        2002/07/21 13:53:17 EDT	(20020721_5)

  Modified files:
    src                  packet.c 
  Log:
  - the second half of my flood fixes that splits parsing into three
    loops instead of two.
  
  Revision  Changes    Path
  7.87      +43 -9     ircd-hybrid-7/src/packet.c



db          2002/07/21 13:15:35 EDT	(20020721_4)

  Modified files:
    src                  ircd_lexer.l s_conf.c 
  Log:
  2002-07-21 17:43:31+0200, gozem ->
  > Included is two patches which makes tracking errors in your ircd.conf a bit
  > easier. First one adds a print of which .include we are in and formats the
  > error in yyerror() a little better. Second gives you a warning when using
  > #include instead of .include so don't have to stratch your head wondering
  > why your file is ignored.
  >
  > Output for the first patch is now:
  > -server- "opers.conf", line 185: parse error:  admin_is_a_monkey = yes;
  >
  > And output from second patch:
  > -server- "file.conf", line 87: You probably meant '.include', skipping: #inclu
  de "links.conf"
  >
  > There is a drawback on the first patch. Since we only know the full path to
  > the first file 'ircd.conf' the full patch will be displayed in the error.
  >
  >
  > One more error/miss to report but not fixed. ircd_lexer.l ircd_parser.y
  > s_conf.c randomly uses ilog() and/or sendto_realops_flags() to report
  > errors. This means some errors get visable in ircd.log and some gets visable
  > for the opers online. Sometimes both. A wrapper funtion is needed that
  > always sends to both.
  
  Revision  Changes    Path
  1.141     +18 -1     ircd-hybrid-7/src/ircd_lexer.l
  7.314     +13 -4     ircd-hybrid-7/src/s_conf.c



db          2002/07/21 13:11:21 EDT	(20020721_3)

  Modified files:
    src                  s_conf.c 
  Log:
  - pure and simple style fixes
  
  Revision  Changes    Path
  7.313     +25 -19    ircd-hybrid-7/src/s_conf.c



leeh        2002/07/21 12:17:47 EDT	(20020721_2)

  Modified files:
    modules/core         m_mode.c 
  Log:
  - should be checking parv[n-1][1] is \0, not [0]
  
  Revision  Changes    Path
  1.55      +2 -2      ircd-hybrid-7/modules/core/m_mode.c



a1kmm       2002/07/21 00:55:22 EDT	(20020721_1)

  Modified files:
    src                  linebuf.c packet.c 
  Log:
  - Kill unknowns/servers that send NULL in packets, and notify clients that
    they are.
  
  Revision  Changes    Path
  7.88      +47 -37    ircd-hybrid-7/src/linebuf.c
  7.86      +7 -2      ircd-hybrid-7/src/packet.c



a1kmm       2002/07/20 22:59:43 EDT	(20020721_0)

  Modified files:
    src                  s_serv.c 
  Log:
  - Fixed a core with servers dying while they are being established.
  
  Revision  Changes    Path
  7.267     +2 -1      ircd-hybrid-7/src/s_serv.c



leeh        2002/07/20 11:51:55 EDT	(20020720_3)

  Modified files:
    include              packet.h 
    modules              m_invite.c m_oper.c m_time.c 
    modules/core         m_kick.c m_mode.c 
    src                  packet.c 
  Log:
  - commited the first half of the floodcode fixes.
    - end the grace period in a few more places
    - raise the rate at which we parse commands above the level of flooding
      to 2 per second
    - raise the burst level slightly
  
  Revision  Changes    Path
  7.17      +1 -1      ircd-hybrid-7/include/packet.h
  1.46      +5 -1      ircd-hybrid-7/modules/core/m_kick.c
  1.54      +7 -2      ircd-hybrid-7/modules/core/m_mode.c
  1.46      +5 -1      ircd-hybrid-7/modules/m_invite.c
  1.47      +6 -1      ircd-hybrid-7/modules/m_oper.c
  1.26      +6 -1      ircd-hybrid-7/modules/m_time.c
  7.85      +1 -7      ircd-hybrid-7/src/packet.c



leeh        2002/07/20 11:47:55 EDT	(20020720_2)

  Modified files:
    src                  s_user.c 
  Log:
  - fixed a missing (
  - you cant just detach an oper conf if you dont put anything back in its
    place else youre leaving a user with no class whatsoever, so just dont
    detach the conf at all, as my patch does.
  
  Revision  Changes    Path
  7.203     +1 -6      ircd-hybrid-7/src/s_user.c



db          2002/07/20 09:07:56 EDT	(20020720_1)

  Modified files:
    src                  s_user.c 
  Log:
  - This fixes the deop of oper causing an oper to be tossed off the server
    if they don't have a matching auth{} for their deopered client.
    Note that we have attached a new conf to the client already, so this
    has to be removed in case they re-oper, else we could end up with a link
    list of new confs. (unlikely an oper would be rude but still)
  
  - cleaned up some style() return should always have a ()
    function names should start at the left most char
  
  Revision  Changes    Path
  7.202     +34 -37    ircd-hybrid-7/src/s_user.c



leeh        2002/07/20 06:07:43 EDT	(20020720_0)

  Modified files:
    modules              m_gline.c 
  Log:
  - fix to show oper or server already voted after the gline request.
  
  Revision  Changes    Path
  1.79      +18 -17    ircd-hybrid-7/modules/m_gline.c



androsyn    2002/07/19 11:51:36 EDT	(20020719_5)

  Modified files:
    src                  s_auth.c 
  Log:
  Some extra paranoia in the auth_dns_callback code.
  
  Revision  Changes    Path
  7.98      +10 -10    ircd-hybrid-7/src/s_auth.c



ejb         2002/07/19 09:22:05 EDT	(20020719_4)

  Modified files:
    src                  hostmask.c 
  Log:
  - commited gozem's patch to hostmask.c that should fix the
    ipv6 iline bug.
  
  Submitted by:   Gozem <gozem@linux.nu>
  Reviewed by:    ejb db
  Approved by:    db
  
  Revision  Changes    Path
  7.68      +10 -8     ircd-hybrid-7/src/hostmask.c



leeh        2002/07/19 08:31:49 EDT	(20020719_3)

  Modified files:
    src                  ircd.c 
  Log:
  - helps if I set split_users to the users splitcount and servers to the
    servers splitcount, not the other way round..
  
  Revision  Changes    Path
  7.239     +2 -2      ircd-hybrid-7/src/ircd.c



leeh        2002/07/19 06:56:03 EDT	(20020719_2)

  Modified files:
    modules/core         m_kill.c 
  Log:
  - bitchx determines foreign/local operkill based on the amount of !'s in
    a path, so for remote kills send server!host!user!nick as path.
  
  Revision  Changes    Path
  1.65      +7 -3      ircd-hybrid-7/modules/core/m_kill.c



leeh        2002/07/19 06:11:43 EDT	(20020719_1)

  Modified files:
    modules/core         m_kick.c 
  Log:
  - adxs fix to allow halfops to kick other halfops on -p channels, to sync
    things up with +/-h.
  
  Revision  Changes    Path
  1.45      +7 -3      ircd-hybrid-7/modules/core/m_kick.c



ejb         2002/07/19 00:34:26 EDT	(20020719_0)

  Modified files:
    src                  parse.c 
  Log:
  - reworded invalid arguments message.
  
  Revision  Changes    Path
  7.133     +3 -3      ircd-hybrid-7/src/parse.c



ejb         2002/07/18 12:24:09 EDT	(20020718_7)

  Modified files:
    modules/core         m_server.c 
    src                  parse.c 
  Log:
  - print more verbose notice for servers which send less arguments
    to a command than is required.
  - drop local servers which do this.
  - make m_server require 4 arguments, not 3.
  
  Revision  Changes    Path
  1.87      +2 -2      ircd-hybrid-7/modules/core/m_server.c
  7.132     +23 -7     ircd-hybrid-7/src/parse.c



db          2002/07/18 11:43:18 EDT	(20020718_6)

  Modified files:
    src                  parse.c 
  Log:
  - fixed typo
  
  Revision  Changes    Path
  7.131     +1 -1      ircd-hybrid-7/src/parse.c



db          2002/07/18 11:28:29 EDT	(20020718_5)

  Modified files:
    tools                convertconf.c 
  Log:
  - converted Q line was incorrectly using name= instead of nick= for
    nick jupes. Added code to convert channel jupes into channel=
  
  Revision  Changes    Path
  1.36      +3 -2      ircd-hybrid-7/tools/convertconf.c



leeh        2002/07/18 05:49:07 EDT	(20020718_4)

  Modified files:
    tools                convertconf.c 
  Log:
  - missing a break; that broke things
  
  Revision  Changes    Path
  1.35      +2 -1      ircd-hybrid-7/tools/convertconf.c



db          2002/07/18 03:13:48 EDT	(20020718_3)

  Modified files:
    src                  modules.c 
  Log:
  - This adds (core) to any module listed that is a core module
  
  Revision  Changes    Path
  7.104     +2 -2      ircd-hybrid-7/src/modules.c



db          2002/07/18 03:12:53 EDT	(20020718_2)

  Modified files:
    src                  messages.tab 
  Log:
  - This adds (core) to any module listed that is a core module
  
  Revision  Changes    Path
  7.69      +1 -1      ircd-hybrid-7/src/messages.tab



leeh        2002/07/17 19:31:13 EDT	(20020718_1)

  Modified files:
    doc                  challenge.txt 
  Log:
  - hwys updated challenge.txt
  
  Revision  Changes    Path
  1.9       +333 -191  ircd-hybrid-7/doc/challenge.txt



leeh        2002/07/17 19:09:11 EDT	(20020718_0)

  Modified files:
    modules              m_version.c 
  Log:
  - wrapped 'T' in #ifdef IGNORE_BOGUS_TS
  
  Revision  Changes    Path
  1.39      +3 -1      ircd-hybrid-7/modules/m_version.c



db          2002/07/17 18:02:36 EDT	(20020717_3)

  Modified files:
    modules              m_help.c 
  Log:
  - fixed formatting
  - use fbgets and friends not gets, we have them for a reason
  - log path names of failures. having to use gdb to find a bogus path
    is silly.
  
  Revision  Changes    Path
  1.34      +20 -12    ircd-hybrid-7/modules/m_help.c



leeh        2002/07/17 12:34:48 EDT	(20020717_2)

  Modified files:
    contrib              lmh.diff 
  Log:
  - helps if I run diff with -N.
  
  Revision  Changes    Path
  1.10      +180 -31   ircd-hybrid-7/contrib/lmh.diff



leeh        2002/07/17 12:29:08 EDT	(20020717_1)

  Modified files:
    contrib              lmh.diff 
  Log:
  - fixed my patch to work with current tree
  
  Revision  Changes    Path
  1.9       +114 -297  ircd-hybrid-7/contrib/lmh.diff



leeh        2002/07/17 09:59:01 EDT	(20020717_0)

  Modified files:
    src                  s_conf.c 
  Log:
  - dont allow local admins to see ips in stats c if HIDE_SERVERS_IPS is
    defined, only local admins would have been given the ip, noone else.
  
  Revision  Changes    Path
  7.312     +1 -0      ircd-hybrid-7/src/s_conf.c



db          2002/07/16 18:30:22 EDT	(20020716_3)

  Modified files:
    tools                convertilines.c 
  Log:
  - end of an auth{} block should have a trailing ';'
    uncovered in the rc1
  
  Revision  Changes    Path
  7.3       +1 -1      ircd-hybrid-7/tools/convertilines.c



leeh        2002/07/16 16:26:49 EDT	(20020716_2)

  Modified files:
    include              supported.h 
  Log:
  - fixed RPL_ISUPPORT to accurately report the status of halfops, +eI and
    anonops
  
  Revision  Changes    Path
  1.23      +15 -6     ircd-hybrid-7/include/supported.h



lusky       2002/07/16 11:36:11 EDT	(20020716_1)

  Modified files:
    .                    RELNOTES 
    include              patchlevel.h 
  Log:
  - revved patchlevel to rc1
  
  Revision  Changes    Path
  1.37      +1 -1      ircd-hybrid-7/RELNOTES
  7.34      +1 -1      ircd-hybrid-7/include/patchlevel.h



leeh        2002/07/16 06:35:23 EDT	(20020716_0)

  Modified files:
    .                    INSTALL 
  Log:
  - added an efnut warning to INSTALL and noted the fact convertconf wont
    touch I:, you need convertilines for it.
  
  Revision  Changes    Path
  7.30      +11 -0     ircd-hybrid-7/INSTALL



db          2002/07/15 04:14:34 EDT	(20020715_3)

  Modified files:
    src                  linebuf.c 
  Log:
  - one more time. somehow the wrong code got committed.
  
  Revision  Changes    Path
  7.87      +21 -16    ircd-hybrid-7/src/linebuf.c



androsyn    2002/07/15 03:26:11 EDT	(20020715_2)

  Modified files:
    modules              m_cryptlink.c 
  Log:
  Fixed a bug where we would attempt to pass a NULL rsa key to RSA_size.
  
  Revision  Changes    Path
  1.33      +7 -2      ircd-hybrid-7/modules/m_cryptlink.c



db          2002/07/14 20:49:11 EDT	(20020715_1)

  Modified files:
    src                  linebuf.c 
  Log:
  - This does things right, but has an icky goto...
  
  Revision  Changes    Path
  7.86      +18 -23    ircd-hybrid-7/src/linebuf.c



db          2002/07/14 19:41:01 EDT	(20020715_0)

  Modified files:
    src                  linebuf.c 
  Log:
  - somehow some pre-increments got turned into post-increments
  - size of a \r\n buffer is 2. (apparently)
  
  Revision  Changes    Path
  7.85      +7 -5      ircd-hybrid-7/src/linebuf.c



leeh        2002/07/14 18:11:57 EDT	(20020714_5)

  Modified files:
    contrib              m_opme.c 
  Log:
  - revert the accidental commit of m_opme done earlier..
  
  Revision  Changes    Path
  1.27      +5 -5      ircd-hybrid-7/contrib/m_opme.c



db          2002/07/14 18:00:46 EDT	(20020714_4)

  Modified files:
    src                  linebuf.c 
  Log:
  - Don't try to work with a -1 index!
  
  Revision  Changes    Path
  7.84      +26 -15    ircd-hybrid-7/src/linebuf.c



androsyn    2002/07/14 16:19:45 EDT	(20020714_3)

  Modified files:
    src                  linebuf.c send.c 
  Log:
  Okay..lets try that again.  Changes for the goofy issue with va_list on
  Linux/Alpha and put a test inside #ifndef NDEBUG
  
  Revision  Changes    Path
  7.83      +5 -4      ircd-hybrid-7/src/linebuf.c
  7.202     +23 -23    ircd-hybrid-7/src/send.c



androsyn    2002/07/14 00:10:35 EDT	(20020714_2)

  Modified files:
    .                    configure 
    autoconf             configure.in 
  Log:
  Remove -W flags from the build for upcoming release
  
  Revision  Changes    Path
  7.147     +3 -1      ircd-hybrid-7/autoconf/configure.in
  7.150     +211 -209  ircd-hybrid-7/configure



androsyn    2002/07/13 21:30:29 EDT	(20020714_1)

  Modified files:
    .                    Hybrid-team 
  Log:
  Add scuzzy to Hybrid-team, he has helped us out with a lot of testing and
  debugging.
  
  Revision  Changes    Path
  7.52      +1 -0      ircd-hybrid-7/Hybrid-team



androsyn    2002/07/13 20:12:21 EDT	(20020714_0)

  Modified files:
    .                    configure 
  Log:
  Try that one more time
  
  Revision  Changes    Path
  7.149     +2 -2      ircd-hybrid-7/configure



androsyn    2002/07/13 18:58:52 EDT	(20020713_4)

  Modified files:
    autoconf             configure.in 
    contrib              m_opme.c 
  Log:
  Thats -DNDEBUG not -NDEBUG
  
  Revision  Changes    Path
  7.146     +2 -2      ircd-hybrid-7/autoconf/configure.in
  1.26      +5 -5      ircd-hybrid-7/contrib/m_opme.c



androsyn    2002/07/13 18:54:49 EDT	(20020713_3)

  Modified files:
    .                    configure 
    autoconf             configure.in 
    include              memory.h 
  Log:
  Disable asserts by default and fix a #endif in memory.h.  This should be
  it before -rc1
  
  Revision  Changes    Path
  7.145     +5 -2      ircd-hybrid-7/autoconf/configure.in
  7.148     +55 -52    ircd-hybrid-7/configure
  7.36      +1 -1      ircd-hybrid-7/include/memory.h



leeh        2002/07/13 07:42:03 EDT	(20020713_2)

  Modified files:
    modules/core         m_server.c 
  Log:
  - squitting leaves when a non-hub introduces one is bad.
  
  Revision  Changes    Path
  1.86      +4 -15     ircd-hybrid-7/modules/core/m_server.c



androsyn    2002/07/13 02:56:39 EDT	(20020713_1)

  Modified files:
    modules/core         m_message.c 
    src                  send.c 
  Log:
  Make PRIVMSG and NOTICE send UIDs for prefixes, when possible
  
  Revision  Changes    Path
  1.99      +6 -2      ircd-hybrid-7/modules/core/m_message.c
  7.201     +23 -10    ircd-hybrid-7/src/send.c



androsyn    2002/07/12 20:48:24 EDT	(20020713_0)

  Modified files:
    src                  client.c 
  Log:
  Make dead_link exit message consistant
  
  Revision  Changes    Path
  7.290     +9 -4      ircd-hybrid-7/src/client.c



androsyn    2002/07/12 15:42:29 EDT	(20020712_12)

  Modified files:
    contrib              lmh.diff 
  Log:
  Updated lmh.diff to apply cleanly
  
  Revision  Changes    Path
  1.8       +137 -124  ircd-hybrid-7/contrib/lmh.diff



androsyn    2002/07/12 12:33:11 EDT	(20020712_11)

  Modified files:
    include              tools.h 
  Log:
  Forgot some more inlines
  
  Revision  Changes    Path
  1.15      +3 -3      ircd-hybrid-7/include/tools.h



androsyn    2002/07/12 12:14:05 EDT	(20020712_10)

  Modified files:
    include              balloc.h 
  Log:
  Removed redudant #ifdefs
  
  Revision  Changes    Path
  1.12      +0 -2      ircd-hybrid-7/include/balloc.h



androsyn    2002/07/12 12:02:44 EDT	(20020712_9)

  Modified files:
    include              tools.h 
  Log:
  GCC called, it wanted its inline's back
  
  Revision  Changes    Path
  1.14      +4 -4      ircd-hybrid-7/include/tools.h



joant       2002/07/11 23:30:09 EDT	(20020712_8)

  Modified files:
    .                    configure 
    autoconf             configure.in 
    include              tools.h 
    modules              m_kline.c 
    modules/core         m_server.c 
    servlink             servlink.c 
    src                  channel_mode.c motd.c s_serv.c 
    tools                encspeed.c 
  Log:
  - Code cleanup thanks to Forte C v7 warnings.
  - Order of CFLAGS changed in configure to fix Forte problem.
  
  Revision  Changes    Path
  7.144     +5 -5      ircd-hybrid-7/autoconf/configure.in
  7.147     +5 -5      ircd-hybrid-7/configure
  1.13      +7 -7      ircd-hybrid-7/include/tools.h
  1.85      +5 -1      ircd-hybrid-7/modules/core/m_server.c
  1.106     +2 -2      ircd-hybrid-7/modules/m_kline.c
  1.24      +2 -2      ircd-hybrid-7/servlink/servlink.c
  7.43      +2 -2      ircd-hybrid-7/src/channel_mode.c
  7.25      +1 -1      ircd-hybrid-7/src/motd.c
  7.266     +1 -1      ircd-hybrid-7/src/s_serv.c
  7.5       +2 -2      ircd-hybrid-7/tools/encspeed.c



joant       2002/07/11 21:24:05 EDT	(20020712_7)

  Modified files:
    src                  channel.c 
  Log:
  casting pointer arithmetic, better living through pointers
  
  Revision  Changes    Path
  7.325     +1 -1      ircd-hybrid-7/src/channel.c



androsyn    2002/07/11 21:01:23 EDT	(20020712_6)

  Modified files:
    modules/core         m_quit.c 
  Log:
  Instead of saying Client Exit: say Quit:, to be a little more consistant
  with other networks
  
  Revision  Changes    Path
  1.26      +3 -3      ircd-hybrid-7/modules/core/m_quit.c



androsyn    2002/07/11 20:55:16 EDT	(20020712_5)

  Modified files:
    src                  send.c 
  Log:
  Reorder some code so it will get inlined.
  
  Revision  Changes    Path
  7.200     +66 -68    ircd-hybrid-7/src/send.c



androsyn    2002/07/11 20:51:11 EDT	(20020712_4)

  Modified files:
    include              s_conf.h 
    src                  ircd.c listener.c s_conf.c 
  Log:
  Remove the #ifdef for PACE_CONNECT, we define it unconditionally anyways
  so...
  
  Revision  Changes    Path
  7.182     +0 -3      ircd-hybrid-7/include/s_conf.h
  7.238     +0 -2      ircd-hybrid-7/src/ircd.c
  7.70      +0 -2      ircd-hybrid-7/src/listener.c
  7.310     +0 -15     ircd-hybrid-7/src/s_conf.c



androsyn    2002/07/11 20:43:26 EDT	(20020712_3)

  Modified files:
    .                    configure 
    autoconf             acconfig.h configure.in 
    include              balloc.h client.h ircd_defs.h list.h 
                         memory.h setup.h.in 
    src                  balloc.c client.c list.c memory.c 
  Log:
  Rip out the very, very ugly memdebug code..
  
  Revision  Changes    Path
  7.24      +0 -3      ircd-hybrid-7/autoconf/acconfig.h
  7.143     +0 -18     ircd-hybrid-7/autoconf/configure.in
  7.146     +222 -249  ircd-hybrid-7/configure
  1.11      +8 -0      ircd-hybrid-7/include/balloc.h
  7.152     +1 -1      ircd-hybrid-7/include/client.h
  7.31      +0 -13     ircd-hybrid-7/include/ircd_defs.h
  7.15      +3 -9      ircd-hybrid-7/include/list.h
  7.35      +7 -59     ircd-hybrid-7/include/memory.h
  7.56      +0 -3      ircd-hybrid-7/include/setup.h.in
  7.37      +2 -5      ircd-hybrid-7/src/balloc.c
  7.289     +1 -1      ircd-hybrid-7/src/client.c
  7.46      +4 -30     ircd-hybrid-7/src/list.c
  7.38      +3 -133    ircd-hybrid-7/src/memory.c



androsyn    2002/07/11 19:42:01 EDT	(20020712_2)

  Modified files:
    modules              m_accept.c 
  Log:
  Missing semicolon
  
  Revision  Changes    Path
  1.32      +2 -2      ircd-hybrid-7/modules/m_accept.c



leeh        2002/07/11 19:40:29 EDT	(20020712_1)

  Modified files:
    .                    RELNOTES 
    doc                  example.conf example.efnet.conf 
    include              parse.h s_conf.h 
    modules              m_help.c 
    src                  ircd_lexer.l ircd_parser.y parse.c 
                         s_conf.c 
    tools                Makefile.in convertconf.c 
  Log:
  - updated RELNOTES with whatever it is ive done
  - added ConfigFileEntry.use_help
  - ripped remnants of fixklines from tools/Makefile.in
  - some convertconf cleanups
  
  Revision  Changes    Path
  1.36      +2 -1      ircd-hybrid-7/RELNOTES
  7.166     +9 -0      ircd-hybrid-7/doc/example.conf
  7.3       +9 -0      ircd-hybrid-7/doc/example.efnet.conf
  7.15      +1 -0      ircd-hybrid-7/include/parse.h
  7.181     +1 -0      ircd-hybrid-7/include/s_conf.h
  1.33      +19 -12    ircd-hybrid-7/modules/m_help.c
  1.140     +1 -0      ircd-hybrid-7/src/ircd_lexer.l
  1.253     +12 -1     ircd-hybrid-7/src/ircd_parser.y
  7.130     +24 -3     ircd-hybrid-7/src/parse.c
  7.309     +6 -0      ircd-hybrid-7/src/s_conf.c
  7.32      +4 -9      ircd-hybrid-7/tools/Makefile.in
  1.34      +6 -1      ircd-hybrid-7/tools/convertconf.c



androsyn    2002/07/11 19:32:32 EDT	(20020712_0)

  Modified files:
    autoconf             configure.in 
    .                    configure 
  Log:
  Fixed formatting for ./configure --help
  
  Revision  Changes    Path
  7.142     +1 -1      ircd-hybrid-7/autoconf/configure.in
  7.145     +5 -5      ircd-hybrid-7/configure



leeh        2002/07/11 11:27:05 EDT	(20020711_6)

  Modified files:
    modules/core         m_nick.c 
  Log:
  - allow unregistered connections to change the case of their nickname
  
  Revision  Changes    Path
  1.92      +8 -3      ircd-hybrid-7/modules/core/m_nick.c



leeh        2002/07/11 11:01:58 EDT	(20020711_5)

  Modified files:
    .                    configure 
    autoconf             configure.in 
  Log:
  - Joans configure fixes for forte
  
  Revision  Changes    Path
  7.141     +5 -1      ircd-hybrid-7/autoconf/configure.in
  7.144     +216 -212  ircd-hybrid-7/configure



leeh        2002/07/11 09:26:58 EDT	(20020711_4)

  Modified files:
    doc                  example.conf 
    include              memory.h tools.h 
  Log:
  - wrap the inlines in #ifdef __GNUC__, this should fix forte.
  
  Revision  Changes    Path
  7.165     +1 -1      ircd-hybrid-7/doc/example.conf
  7.34      +36 -0     ircd-hybrid-7/include/memory.h
  1.12      +5 -2      ircd-hybrid-7/include/tools.h



leeh        2002/07/11 07:04:38 EDT	(20020711_3)

  Modified files:
    src                  client.c 
  Log:
  - fixed an error with a Debug(), found by sofit <sofit@mail.bg>
  
  Revision  Changes    Path
  7.288     +1 -1      ircd-hybrid-7/src/client.c



androsyn    2002/07/11 05:23:21 EDT	(20020711_2)

  Modified files:
    include              rsa.h 
  Log:
  Add a newline to the end of rsa.h
  
  Revision  Changes    Path
  7.11      +2 -1      ircd-hybrid-7/include/rsa.h



androsyn    2002/07/11 05:17:20 EDT	(20020711_1)

  Modified files:
    include              memory.h 
  Log:
  Remove the inlines from memory.h that were giving forte c problems..
  
  Revision  Changes    Path
  7.33      +0 -32     ircd-hybrid-7/include/memory.h



lusky       2002/07/10 22:29:03 EDT	(20020711_0)

  Modified files:
    .                    INSTALL RELNOTES 
  Log:
  - fixing hybrid@ subscription instructions
  
  Revision  Changes    Path
  7.29      +3 -3      ircd-hybrid-7/INSTALL
  1.35      +4 -4      ircd-hybrid-7/RELNOTES



leeh        2002/07/10 06:35:08 EDT	(20020710_5)

  Modified files:
    .                    configure 
    autoconf             configure.in 
    doc                  example.efnet.conf 
  Log:
  - but my autoconf changes back :P
  - fixed typo
  
  Revision  Changes    Path
  7.140     +6 -0      ircd-hybrid-7/autoconf/configure.in
  7.143     +6 -0      ircd-hybrid-7/configure
  7.2       +1 -1      ircd-hybrid-7/doc/example.efnet.conf



androsyn    2002/07/10 04:35:14 EDT	(20020710_4)

  Modified files:
    .                    RELNOTES 
  Log:
  Start updating RELNOTES for what *should* be -rc1
  
  Revision  Changes    Path
  1.34      +6 -11     ircd-hybrid-7/RELNOTES



androsyn    2002/07/10 04:31:15 EDT	(20020710_3)

  Modified files:
    include              ircd_defs.h 
  Log:
  Update comments to note that TOPICLEN isn't set here anymore..
  
  Revision  Changes    Path
  7.30      +1 -1      ircd-hybrid-7/include/ircd_defs.h



androsyn    2002/07/10 03:06:25 EDT	(20020710_2)

  Modified files:
    .                    configure 
    autoconf             acconfig.h configure.in 
    include              ircd_defs.h setup.h.in 
  Log:
  Make TOPICLEN configurable via autoconf
  
  Revision  Changes    Path
  7.23      +3 -0      ircd-hybrid-7/autoconf/acconfig.h
  7.139     +15 -0     ircd-hybrid-7/autoconf/configure.in
  7.142     +244 -223  ircd-hybrid-7/configure
  7.29      +0 -1      ircd-hybrid-7/include/ircd_defs.h
  7.55      +3 -0      ircd-hybrid-7/include/setup.h.in



androsyn    2002/07/10 02:48:25 EDT	(20020710_1)

  Modified files:
    .                    configure 
    autoconf             acconfig.h configure.in 
    include              setup.h.in 
  Log:
  Changes to configure for Forte C stuff also added a missing entry in
  acconfig.h for EFNET
  
  Revision  Changes    Path
  7.22      +3 -0      ircd-hybrid-7/autoconf/acconfig.h
  7.138     +8 -8      ircd-hybrid-7/autoconf/configure.in
  7.141     +220 -220  ircd-hybrid-7/configure
  7.54      +3 -3      ircd-hybrid-7/include/setup.h.in



leeh        2002/07/09 20:05:53 EDT	(20020710_0)

  Modified files:
    .                    configure 
    autoconf             configure.in 
    doc                  Makefile.in example.conf 
    include              client.h config.h 
  Added files:
    doc                  example.efnet.conf 
  Log:
  - added a default efnet config submitted by Disciple.
  - updated various places to reflect this
  - added back #define TS5_ONLY
  
  Revision  Changes    Path
  7.137     +5 -0      ircd-hybrid-7/autoconf/configure.in
  7.140     +5 -0      ircd-hybrid-7/configure
  7.17      +1 -1      ircd-hybrid-7/doc/Makefile.in
  7.164     +1 -1      ircd-hybrid-7/doc/example.conf
  7.1       +923 -0    ircd-hybrid-7/doc/example.efnet.conf (new)
  7.151     +4 -0      ircd-hybrid-7/include/client.h
  7.140     +11 -0     ircd-hybrid-7/include/config.h



leeh        2002/07/09 16:49:31 EDT	(20020709_0)

  Modified files:
    src                  hostmask.c 
  Log:
  - dont show spoofed auth {} during HIDE_SPOOF_IPS
  
  Revision  Changes    Path
  7.67      +5 -2      ircd-hybrid-7/src/hostmask.c



androsyn    2002/07/08 14:45:09 EDT	(20020708_2)

  Modified files:        (Branch: WIN32_WIP)
    adns                 event.c transmit.c 
    contrib              m_clearchan.c m_force.c m_jupe.c 
                         m_ltrace.c m_ojoin.c m_tburst.c 
    include              balloc.h channel.h channel_mode.h 
                         config.h config.h.dist hostmask.h ircd.h 
                         memory.h patchlevel.h s_log.h tools.h 
                         whowas.h 
    modules              Makefile.in m_join.c m_kline.c m_list.c 
                         m_ping.c m_pong.c m_stats.c m_topic.c 
                         m_trace.c m_unkline.c m_who.c 
    modules/core         m_message.c m_nick.c m_server.c m_sjoin.c 
    servlink             Makefile.in 
    src                  .depend adns.c balloc.c channel.c 
                         channel_mode.c fileio.c hash.c hook.c 
                         hostmask.c irc_string.c ircd_parser.y 
                         kdparse.c list.c match.c memory.c 
                         messages.tab modules.c parse.c 
                         s_bsd_devpoll.c s_bsd_kqueue.c s_gline.c 
                         s_log.c s_user.c sprintf_irc.c tools.c 
                         vchannel.c whowas.c 
    tools                Makefile.in 
  Log:
  Merge WIN32_WIP with HEAD
  
  Revision   Changes    Path
  1.15.2.1   +4 -1      ircd-hybrid-7/adns/event.c
  1.10.2.1   +2 -3      ircd-hybrid-7/adns/transmit.c
  1.29.2.1   +2 -3      ircd-hybrid-7/contrib/m_clearchan.c
  1.7.2.1    +184 -54   ircd-hybrid-7/contrib/m_force.c
  1.29.2.1   +6 -7      ircd-hybrid-7/contrib/m_jupe.c
  1.2.2.1    +35 -1     ircd-hybrid-7/contrib/m_ltrace.c
  1.7.2.1    +30 -17    ircd-hybrid-7/contrib/m_ojoin.c
  1.8.2.1    +8 -9      ircd-hybrid-7/contrib/m_tburst.c
  1.9.2.1    +0 -1      ircd-hybrid-7/include/balloc.h
  7.114.2.1  +6 -2      ircd-hybrid-7/include/channel.h
  7.9.2.1    +1 -11     ircd-hybrid-7/include/channel_mode.h
  7.133.2.1  +17 -0     ircd-hybrid-7/include/config.h
  7.57.2.1   +13 -0     ircd-hybrid-7/include/config.h.dist
  1.21.2.1   +2 -1      ircd-hybrid-7/include/hostmask.h
  7.50.2.1   +1 -0      ircd-hybrid-7/include/ircd.h
  7.30.2.1   +49 -15    ircd-hybrid-7/include/memory.h
  7.30.2.1   +1 -1      ircd-hybrid-7/include/patchlevel.h
  7.9.2.1    +1 -0      ircd-hybrid-7/include/s_log.h
  1.9.2.1    +143 -1    ircd-hybrid-7/include/tools.h
  7.8.2.1    +1 -5      ircd-hybrid-7/include/whowas.h
  1.67.2.1   +2 -4      ircd-hybrid-7/modules/Makefile.in
  1.92.2.1   +122 -81   ircd-hybrid-7/modules/core/m_message.c
  1.90.2.1   +9 -3      ircd-hybrid-7/modules/core/m_nick.c
  1.83.2.1   +9 -28     ircd-hybrid-7/modules/core/m_server.c
  1.139.2.1  +4 -4      ircd-hybrid-7/modules/core/m_sjoin.c
  1.85.2.1   +5 -2      ircd-hybrid-7/modules/m_join.c
  1.102.2.1  +92 -79    ircd-hybrid-7/modules/m_kline.c
  1.42.2.1   +7 -7      ircd-hybrid-7/modules/m_list.c
  1.28.2.1   +15 -11    ircd-hybrid-7/modules/m_ping.c
  1.26.2.1   +3 -3      ircd-hybrid-7/modules/m_pong.c
  1.109.2.1  +5 -3      ircd-hybrid-7/modules/m_stats.c
  1.52.2.1   +14 -26    ircd-hybrid-7/modules/m_topic.c
  1.46.2.1   +50 -3     ircd-hybrid-7/modules/m_trace.c
  1.45.2.1   +1 -1      ircd-hybrid-7/modules/m_unkline.c
  1.60.2.1   +37 -16    ircd-hybrid-7/modules/m_who.c
  1.12.2.1   +1 -1      ircd-hybrid-7/servlink/Makefile.in
  7.6.2.1    +0 -1      ircd-hybrid-7/src/.depend
  7.41.2.1   +14 -8     ircd-hybrid-7/src/adns.c
  7.32.2.1   +79 -40    ircd-hybrid-7/src/balloc.c
  7.316.2.1  +75 -2     ircd-hybrid-7/src/channel.c
  7.40.2.1   +381 -524  ircd-hybrid-7/src/channel_mode.c
  7.22.2.1   +45 -6     ircd-hybrid-7/src/fileio.c
  7.41.2.1   +26 -4     ircd-hybrid-7/src/hash.c
  7.15.2.1   +1 -2      ircd-hybrid-7/src/hook.c
  7.64.2.1   +4 -3      ircd-hybrid-7/src/hostmask.c
  7.53.2.1   +6 -0      ircd-hybrid-7/src/irc_string.c
  1.250.2.1  +0 -5      ircd-hybrid-7/src/ircd_parser.y
  7.7.2.1    +3 -2      ircd-hybrid-7/src/kdparse.c
  7.44.2.1   +3 -4      ircd-hybrid-7/src/list.c
  7.19.2.1   +1 -1      ircd-hybrid-7/src/match.c
  7.35.2.1   +3 -3      ircd-hybrid-7/src/memory.c
  7.67.2.1   +1 -2      ircd-hybrid-7/src/messages.tab
  7.102.2.1  +14 -7     ircd-hybrid-7/src/modules.c
  7.127.2.1  +9 -3      ircd-hybrid-7/src/parse.c
  7.14.2.1   +2 -0      ircd-hybrid-7/src/s_bsd_devpoll.c
  1.26.2.1   +1 -1      ircd-hybrid-7/src/s_bsd_kqueue.c
  1.20.2.1   +2 -0      ircd-hybrid-7/src/s_gline.c
  7.41.2.1   +30 -14    ircd-hybrid-7/src/s_log.c
  7.194.2.1  +50 -18    ircd-hybrid-7/src/s_user.c
  7.14.2.1   +6 -0      ircd-hybrid-7/src/sprintf_irc.c
  7.20.2.1   +3 -2      ircd-hybrid-7/src/tools.c
  7.64.2.1   +11 -0     ircd-hybrid-7/src/vchannel.c
  7.18.2.1   +3 -0      ircd-hybrid-7/src/whowas.c
  7.30.2.1   +1 -1      ircd-hybrid-7/tools/Makefile.in



leeh        2002/07/08 08:23:35 EDT	(20020708_1)

  Modified files:
    .                    Hybrid-team 
    contrib              README 
  Log:
  - updated my nick and the README to include andros patch.
  
  Revision  Changes    Path
  7.51      +1 -1      ircd-hybrid-7/Hybrid-team
  1.21      +3 -0      ircd-hybrid-7/contrib/README



androsyn    2002/07/07 20:10:33 EDT	(20020708_0)

  Added files:
    contrib              README.disable_identd disable_identd.diff 
  Log:
  Patch to disable identd requests
  
  Revision  Changes    Path
  1.1       +17 -0     ircd-hybrid-7/contrib/README.disable_identd (new)
  1.1       +87 -0     ircd-hybrid-7/contrib/disable_identd.diff (new)



leeh        2002/07/07 06:30:19 EDT	(20020707_1)

  Modified files:
    contrib              m_jupe.c 
  Log:
  - make_client() adds the new client to unknown_list, so we must search
    and remove it
  
  Revision  Changes    Path
  1.34      +9 -1      ircd-hybrid-7/contrib/m_jupe.c



db          2002/07/07 01:45:09 EDT	(20020707_0)

  Modified files:
    contrib              m_ltrace.c 
    modules              m_trace.c 
  Log:
  - m_ltrace.c was missing the previously global next_client_double()
    I've simply cut and pasted that code. That should shut up that error.
  - m_trace.c I simply tidied up the prototype, no need to split it into two lines.
  
  Revision  Changes    Path
  1.3       +35 -1     ircd-hybrid-7/contrib/m_ltrace.c
  1.50      +2 -3      ircd-hybrid-7/modules/m_trace.c



lusky       2002/07/06 18:25:11 EDT	(20020706_6)

  Modified files:
    include              patchlevel.h 
  Log:
  - revved patchlevel to beta18
  
  Revision  Changes    Path
  7.33      +1 -1      ircd-hybrid-7/include/patchlevel.h



leeh        2002/07/06 18:20:10 EDT	(20020706_5)

  Modified files:
    contrib              m_tburst.c 
  Log:
  - bug in tburst, found by MoeBass
  
  Revision  Changes    Path
  1.11      +4 -2      ircd-hybrid-7/contrib/m_tburst.c



leeh        2002/07/06 16:14:35 EDT	(20020706_4)

  Modified files:
    .                    BUGS RELNOTES 
    contrib              lmh.diff 
    modules              m_kline.c 
  Log:
  - updated RELNOTES and BUGS
  - fixed a truth val in m_kline.c
  - updated my patch wrt the m_kline.c updates
  
  Revision  Changes    Path
  7.50      +1 -4      ircd-hybrid-7/BUGS
  1.33      +11 -11    ircd-hybrid-7/RELNOTES
  1.7       +53 -54    ircd-hybrid-7/contrib/lmh.diff
  1.105     +2 -2      ircd-hybrid-7/modules/m_kline.c



db          2002/07/06 12:58:59 EDT	(20020706_3)

  Modified files:
    modules              m_kline.c 
    src                  hostmask.c kdparse.c 
  Log:
  - This fixes non-redundant dlines for IPV4 at least. The IPV6 dline code is still
    incomplete. I also fixed a number of style problems.
  
  Revision  Changes    Path
  1.104     +92 -79    ircd-hybrid-7/modules/m_kline.c
  7.66      +3 -2      ircd-hybrid-7/src/hostmask.c
  7.8       +3 -2      ircd-hybrid-7/src/kdparse.c



leeh        2002/07/06 10:03:56 EDT	(20020706_2)

  Modified files:
    src                  vchannel.c 
  Log:
  - we dont put ;'s on the end of if()s ;p
  
  Revision  Changes    Path
  7.66      +1 -1      ircd-hybrid-7/src/vchannel.c



leeh        2002/07/06 07:15:30 EDT	(20020706_1)

  Modified files:
    .                    BUGS 
  Log:
  - updated BUGS with the multiple dline bug.
  
  Revision  Changes    Path
  7.49      +2 -3      ircd-hybrid-7/BUGS



leeh        2002/07/06 07:05:04 EDT	(20020706_0)

  Modified files:
    modules              m_ping.c 
  Log:
  - fixed ping for LL
  
  Revision  Changes    Path
  1.29      +15 -11    ircd-hybrid-7/modules/m_ping.c



leeh        2002/07/04 19:21:56 EDT	(20020705_0)

  Modified files:
    contrib              m_jupe.c 
  Log:
  - unused var.
  
  Revision  Changes    Path
  1.33      +1 -2      ircd-hybrid-7/contrib/m_jupe.c



db          2002/07/04 12:07:32 EDT	(20020704_3)

  Modified files:
    contrib              m_jupe.c 
  Log:
  - there is no way we are going to find a client struct we just created
    on the unknowns list!
  
  Revision  Changes    Path
  1.32      +1 -10     ircd-hybrid-7/contrib/m_jupe.c



androsyn    2002/07/04 12:07:25 EDT	(20020704_2)

  Modified files:
    modules/core         m_sjoin.c 
  Log:
  The second half of that goofy spaces in SJOIN bug..
  
  Revision  Changes    Path
  1.140     +4 -4      ircd-hybrid-7/modules/core/m_sjoin.c



androsyn    2002/07/04 09:32:57 EDT	(20020704_1)

  Modified files:
    contrib              m_jupe.c 
  Log:
  If the length of a servername goes over hostlen, it surely is bogus.
  
  Revision  Changes    Path
  1.31      +2 -2      ircd-hybrid-7/contrib/m_jupe.c



androsyn    2002/07/04 09:13:48 EDT	(20020704_0)

  Modified files:
    contrib              m_jupe.c 
  Log:
  This seems to fix the jupe issue..
  
  Revision  Changes    Path
  1.30      +3 -2      ircd-hybrid-7/contrib/m_jupe.c



leeh        2002/07/03 11:03:10 EDT	(20020703_3)

  Modified files:
    modules              m_who.c 
  Log:
  - fixed an issue with invisible users being shown in a /who output.
    this whole code needs a rewrite, but.
  
  Revision  Changes    Path
  1.61      +37 -16    ircd-hybrid-7/modules/m_who.c



leeh        2002/07/03 08:31:31 EDT	(20020703_2)

  Modified files:
    .                    configure 
    autoconf             configure.in 
  Log:
  - retard proofing, it seems the concept of actually specifying a param
    in --with-maxclients is beyond some people.
  
  Revision  Changes    Path
  7.136     +2 -2      ircd-hybrid-7/autoconf/configure.in
  7.139     +2 -2      ircd-hybrid-7/configure



db          2002/07/02 19:58:14 EDT	(20020703_1)

  Modified files:
    modules/core         m_message.c 
  Log:
  - fixed off by one error in too many recipients code in m_message.c
  
  Revision  Changes    Path
  1.98      +9 -12     ircd-hybrid-7/modules/core/m_message.c



db          2002/07/02 19:24:24 EDT	(20020703_0)

  Modified files:
    modules/core         m_message.c 
  Log:
  - fixed stupid bug I introduced with @# oops
  
  Revision  Changes    Path
  1.97      +17 -18    ircd-hybrid-7/modules/core/m_message.c



db          2002/07/02 18:25:02 EDT	(20020702_2)

  Modified files:
    modules/core         m_message.c 
  Log:
  - fix redundant nick/message handling. duplicate nicks/messages should
    simply be ignored. i.e. /msg #channel,#channel hi
    results in "hi" to #channel
  - fix so it properly reports too many targets.
  
  Revision  Changes    Path
  1.96      +54 -42    ircd-hybrid-7/modules/core/m_message.c



leeh        2002/07/02 06:35:28 EDT	(20020702_1)

  Modified files:
    contrib              lmh.diff 
  Log:
  - use CASEMAP instead of CHARSET
  
  Revision  Changes    Path
  1.6       +6 -6      ircd-hybrid-7/contrib/lmh.diff



leeh        2002/07/02 06:22:27 EDT	(20020702_0)

  Modified files:
    contrib              README.LMH lmh.diff 
  Log:
  - updated lmh.diff with andros USE_ASCII_CASEMAP
  
  Revision  Changes    Path
  1.3       +14 -0     ircd-hybrid-7/contrib/README.LMH
  1.5       +182 -87   ircd-hybrid-7/contrib/lmh.diff



db          2002/06/29 00:34:53 EDT	(20020629_0)

  Modified files:
    include              client.h 
    modules              m_trace.c 
    modules/core         m_message.c 
    src                  client.c 
  Log:
  - in fixing m_privmsg.c I noticed a function it used was only used by m_privmsg.c
    moved it from client.c into m_privmsg.c (I bad, I couldn't help it)
    I also noticed a function used in m_trace.c only used in m_trace.c, so
    moved that as well.
  
  Revision  Changes    Path
  7.150     +1 -5      ircd-hybrid-7/include/client.h
  1.95      +47 -15    ircd-hybrid-7/modules/core/m_message.c
  1.49      +38 -1     ircd-hybrid-7/modules/m_trace.c
  7.287     +3 -67     ircd-hybrid-7/src/client.c



db          2002/06/28 14:48:07 EDT	(20020628_1)

  Modified files:
    modules/core         m_message.c 
  Log:
  - fixed other style problems, removed unnecessary casts
  
  Revision  Changes    Path
  1.94      +9 -8      ircd-hybrid-7/modules/core/m_message.c



db          2002/06/28 14:18:51 EDT	(20020628_0)

  Modified files:
    modules/core         m_message.c 
    src                  client.c messages.tab 
  Log:
  - ERR_TOOMANYRECIPIENTS 407 reply was bogus we no longer give
    actual number of recipients actually processed.
  - Fixed a few style problems, and removed unnecessary casts
  
  Revision  Changes    Path
  1.93      +11 -11    ircd-hybrid-7/modules/core/m_message.c
  7.286     +4 -4      ircd-hybrid-7/src/client.c
  7.68      +1 -2      ircd-hybrid-7/src/messages.tab



leeh        2002/06/27 11:16:40 EDT	(20020627_3)

  Modified files:
    include              config.h 
    src                  client.c 
  Log:
  - well fix the QS stuff in 7.1 (agreed with andro)
  
  Revision  Changes    Path
  7.139     +0 -6      ircd-hybrid-7/include/config.h
  7.285     +15 -60    ircd-hybrid-7/src/client.c



androsyn    2002/06/26 22:14:40 EDT	(20020627_2)

  Modified files:
    src                  client.c 
  Log:
  Got the logic on that assert() backwards..how embarrassing
  
  Revision  Changes    Path
  7.284     +1 -1      ircd-hybrid-7/src/client.c



androsyn    2002/06/26 20:01:30 EDT	(20020627_1)

  Modified files:
    src                  client.c 
  Log:
  Those should be source_p not client_p
  
  Revision  Changes    Path
  7.283     +4 -4      ircd-hybrid-7/src/client.c



leeh        2002/06/26 19:38:59 EDT	(20020627_0)

  Modified files:
    modules              m_kline.c m_unkline.c 
  Log:
  - synced these up to show the same
  
  Revision  Changes    Path
  1.103     +2 -2      ircd-hybrid-7/modules/m_kline.c
  1.47      +3 -3      ircd-hybrid-7/modules/m_unkline.c



androsyn    2002/06/26 18:01:36 EDT	(20020626_7)

  Modified files:
    include              config.h 
    src                  client.c 
  Log:
  Minor little changes regarding the value that we should use for pending
  remote exits
  
  Revision  Changes    Path
  7.138     +6 -0      ircd-hybrid-7/include/config.h
  7.282     +1 -6      ircd-hybrid-7/src/client.c



leeh        2002/06/26 17:35:29 EDT	(20020626_6)

  Modified files:
    src                  client.c 
  Log:
  - exit 15000 clients at once if compiled for efnut.
  
  Revision  Changes    Path
  7.281     +5 -0      ircd-hybrid-7/src/client.c



androsyn    2002/06/26 17:16:15 EDT	(20020626_5)

  Modified files:
    src                  client.c 
  Log:
  Fixed the issue with quit storms making the server completely unresponsive.
  Basically what we do now is, add the clients that need exited to a linked
  list then have an event that will exit them 1500 at a time, rather than
  trying to exit say, 50000 clients at once.
  
  Revision  Changes    Path
  7.280     +60 -15    ircd-hybrid-7/src/client.c



androsyn    2002/06/26 10:20:19 EDT	(20020626_4)

  Modified files:
    src                  client.c 
  Log:
  Add some assert()'s to exit_client() and changed the error message for
  abort_list clients from "Dead link" to "Write error: connection closed"
  
  Revision  Changes    Path
  7.279     +8 -1      ircd-hybrid-7/src/client.c



leeh        2002/06/26 08:16:22 EDT	(20020626_3)

  Modified files:
    modules              m_unkline.c 
  Log:
  - consistency with hyb6 and /kline, only use sptr->name in the notice, not
    n!u@h{o}
  
  Revision  Changes    Path
  1.46      +3 -3      ircd-hybrid-7/modules/m_unkline.c



androsyn    2002/06/25 23:05:48 EDT	(20020626_2)

  Modified files:
    include              ircd.h s_log.h 
    src                  ircd.c ircd_signal.c s_conf.c s_log.c 
  Log:
  Make ircd.log close and open itself on rehash or SIGHUP.  Also clean up some
  formatting
  
  Revision  Changes    Path
  7.51      +1 -0      ircd-hybrid-7/include/ircd.h
  7.10      +1 -0      ircd-hybrid-7/include/s_log.h
  7.237     +1 -1      ircd-hybrid-7/src/ircd.c
  7.12      +10 -5     ircd-hybrid-7/src/ircd_signal.c
  7.308     +1 -0      ircd-hybrid-7/src/s_conf.c
  7.43      +28 -14    ircd-hybrid-7/src/s_log.c



leeh        2002/06/25 19:08:36 EDT	(20020626_1)

  Modified files:
    .                    ChangeLog 
  Log:
  - more updates.
  
  Revision  Changes    Path
  7.3806    +1 -4      ircd-hybrid-7/ChangeLog



leeh        2002/06/25 19:06:55 EDT	(20020626_0)

  Modified files:
    .                    ChangeLog 
    doc                  example.conf index.txt 
  Log:
  - doc updates
  
  Revision  Changes    Path
  7.3804    +13 -53    ircd-hybrid-7/ChangeLog
  7.163     +1 -1      ircd-hybrid-7/doc/example.conf
  1.17      +0 -2      ircd-hybrid-7/doc/index.txt



leeh        2002/06/24 18:06:13 EDT	(20020624_3)

  Modified files:
    modules              m_join.c 
  Log:
  - the juped channel notices wandered off.
  
  Revision  Changes    Path
  1.87      +4 -1      ircd-hybrid-7/modules/m_join.c



leeh        2002/06/24 14:12:22 EDT	(20020624_2)

  Modified files:
    modules/core         m_server.c 
  Log:
  - exit the server that introduced the existing server to us always.
  
  Revision  Changes    Path
  1.84      +9 -28     ircd-hybrid-7/modules/core/m_server.c



db          2002/06/24 00:28:05 EDT	(20020624_1)

  Modified files:
    src                  s_serv.c 
  Log:
  - pure consistency in naming. use local_server_p to keep it obvious.
  
  Revision  Changes    Path
  7.265     +6 -8      ircd-hybrid-7/src/s_serv.c



leeh        2002/06/23 19:02:44 EDT	(20020624_0)

  Modified files:
    src                  send.c 
  Log:
  - removed a spurious IsClosing() that broke sending error messages et al
    to the client.
  
  Revision  Changes    Path
  7.199     +1 -1      ircd-hybrid-7/src/send.c



leeh        2002/06/23 05:22:02 EDT	(20020623_0)

  Modified files:
    help/opers           rehash 
  Log:
  - there is no rehash help (Hwy)
  
  Revision  Changes    Path
  1.2       +0 -1      ircd-hybrid-7/help/opers/rehash



db          2002/06/22 18:39:09 EDT	(20020622_2)

  Modified files:
    src                  s_serv.c 
  Log:
  - same bug was in add_lazylinkchannel() grrr
  
  Revision  Changes    Path
  7.264     +1 -4      ircd-hybrid-7/src/s_serv.c



db          2002/06/22 17:23:08 EDT	(20020622_1)

  Modified files:
    src                  s_serv.c 
  Log:
  - duh. make the comments agree with the arguments to the function.
  
  Revision  Changes    Path
  7.263     +2 -2      ircd-hybrid-7/src/s_serv.c



db          2002/06/22 16:27:45 EDT	(20020622_0)

  Modified files:
    src                  s_serv.c 
  Log:
  - add_lazylinkclient had the wrong assert. Its not a client in the
    first arg, it should always be a locally connected leaf server.
    Changed comments and parm names to make this clear, changed bogus assert.
  
  Revision  Changes    Path
  7.262     +5 -6      ircd-hybrid-7/src/s_serv.c



lusky       2002/06/20 22:33:13 EDT	(20020621_0)

  Modified files:
    include              patchlevel.h 
  Log:
  - revved patchlevel to beta17
  
  Revision  Changes    Path
  7.32      +1 -1      ircd-hybrid-7/include/patchlevel.h



leeh        2002/06/20 17:39:58 EDT	(20020620_1)

  Modified files:
    contrib              README.LMH lmh.diff 
  Log:
  - added true no oper flood to my diff.
  
  Revision  Changes    Path
  1.2       +22 -3     ircd-hybrid-7/contrib/README.LMH
  1.4       +170 -92   ircd-hybrid-7/contrib/lmh.diff



leeh        2002/06/20 14:00:42 EDT	(20020620_0)

  Modified files:
    include              config.h 
    src                  s_conf.c 
  Log:
  - dont allow spoof notices if HIDE_SPOOF_IPS.
  
  Revision  Changes    Path
  7.137     +2 -2      ircd-hybrid-7/include/config.h
  7.307     +2 -0      ircd-hybrid-7/src/s_conf.c



leeh        2002/06/19 16:49:56 EDT	(20020619_3)

  Modified files:
    modules              m_trace.c 
  Log:
  - audited the IP stuff in relation to spoofing and /trace
  
  Revision  Changes    Path
  1.48      +10 -2     ircd-hybrid-7/modules/m_trace.c



leeh        2002/06/19 16:39:07 EDT	(20020619_2)

  Modified files:
    .                    RELNOTES 
    modules              m_trace.c 
    src                  parse.c 
  Log:
  - updated RELNOTES
  - dont show an IP in /trace if HIDE_SPOOF_IPS.
  
  Revision  Changes    Path
  1.32      +12 -10    ircd-hybrid-7/RELNOTES
  1.47      +5 -2      ircd-hybrid-7/modules/m_trace.c
  7.129     +1 -1      ircd-hybrid-7/src/parse.c



leeh        2002/06/19 16:26:39 EDT	(20020619_1)

  Modified files:
    src                  client.c 
  Log:
  - I think ive got this right, hide the IP for servers always if defined
    hide it for spoofs only if SHOW_IP (HIDE_IP would give the spoofed host)
  
  Revision  Changes    Path
  7.278     +1 -2      ircd-hybrid-7/src/client.c



leeh        2002/06/19 16:17:49 EDT	(20020619_0)

  Modified files:
    include              config.h config.h.dist 
    src                  client.c 
  Log:
  - I think I was on craq when I did the HIDE_SERVERS_IPS define.  fixed it.
  - added HIDE_SPOOF_IPS, for efnut.
  - fixed the dead link/sendq notice for servers
  
  Revision  Changes    Path
  7.136     +10 -0     ircd-hybrid-7/include/config.h
  7.58      +13 -0     ircd-hybrid-7/include/config.h.dist
  7.277     +11 -3     ircd-hybrid-7/src/client.c



leeh        2002/06/18 15:16:00 EDT	(20020618_3)

  Modified files:
    .                    README.PLATFORMS 
  Log:
  - update julifuq's contact info.
  
  Revision  Changes    Path
  7.14      +11 -11    ircd-hybrid-7/README.PLATFORMS



androsyn    2002/06/18 13:34:15 EDT	(20020618_2)

  Modified files:
    src                  channel.c channel_mode.c 
  Log:
  Fixed that stupid space showing up in SJOINS
  
  Revision  Changes    Path
  7.324     +1 -4      ircd-hybrid-7/src/channel.c
  7.42      +1 -1      ircd-hybrid-7/src/channel_mode.c



androsyn    2002/06/18 13:25:59 EDT	(20020618_1)

  Modified files:
    src                  channel.c 
  Log:
  Document the goofy mysterious SJOIN space
  
  Revision  Changes    Path
  7.323     +3 -0      ircd-hybrid-7/src/channel.c



leeh        2002/06/18 09:54:20 EDT	(20020618_0)

  Modified files:
    contrib              lmh.diff 
  Log:
  - updated my diff to keep the ip hash table always, for pace connect.
  
  Revision  Changes    Path
  1.3       +122 -98   ircd-hybrid-7/contrib/lmh.diff



leeh        2002/06/17 08:32:59 EDT	(20020617_2)

  Modified files:
    src                  tools.c 
  Log:
  - aaaaaand in tools.c
  
  Revision  Changes    Path
  7.22      +0 -1      ircd-hybrid-7/src/tools.c



db          2002/06/16 22:57:03 EDT	(20020617_1)

  Modified files:
    src                  s_bsd_devpoll.c 
  Log:
  -missing include (reported by Wendy)
  
  Revision  Changes    Path
  7.15      +2 -0      ircd-hybrid-7/src/s_bsd_devpoll.c



db          2002/06/16 22:54:51 EDT	(20020617_0)

  Modified files:
    include              tools.h 
  Log:
  in tools.h we had:
  m->next = NULL;
  m->next = list->head;
  
  That was daft. (spotted by Lee, but we forgot to fix earlier)
  removing the redundant assign might speed things up slightly.
  
  Revision  Changes    Path
  1.11      +0 -1      ircd-hybrid-7/include/tools.h



db          2002/06/16 13:23:55 EDT	(20020616_3)

  Modified files:
    src                  balloc.c 
  Log:
  - fixed a number of style problems. We want function names to begin
    at first char.
    we want to be consistent with if (foo) { oneline; } etc.
    and we want to be consistent with return needing () or not.
  - fixed bug with elemsize causing odd address SIGBUS failures esp. on solaris.
  
  Revision  Changes    Path
  7.36      +66 -32    ircd-hybrid-7/src/balloc.c



leeh        2002/06/16 12:31:30 EDT	(20020616_2)

  Modified files:
    modules              .cvsignore .depend Makefile.in 
    src                  .depend Makefile.in 
  Log:
  - patch via hwy:
    Id is not needed in .depends, when you lose the dependency files (from
    that .cvsignore) you'll have problems recreating them.
  
  Revision  Changes    Path
  1.3       +0 -1      ircd-hybrid-7/modules/.cvsignore
  1.8       +0 -1      ircd-hybrid-7/modules/.depend
  1.69      +1 -3      ircd-hybrid-7/modules/Makefile.in
  7.7       +0 -1      ircd-hybrid-7/src/.depend
  7.112     +1 -4      ircd-hybrid-7/src/Makefile.in



leeh        2002/06/16 10:55:20 EDT	(20020616_1)

  Modified files:
    .                    configure 
    autoconf             configure.in 
  Log:
  - from hwy:
    The enclosed patch fixes the detection of nanosleep(), when it's
    non-existant, it'll actually enable select for the delay loop.
  
  Revision  Changes    Path
  7.135     +1 -1      ircd-hybrid-7/autoconf/configure.in
  7.138     +1 -1      ircd-hybrid-7/configure



leeh        2002/06/15 19:07:53 EDT	(20020616_0)

  Modified files:
    include              config.h 
  Log:
  - define HIDE_SERVERS_IPS by default for efnut.
  
  Revision  Changes    Path
  7.135     +5 -0      ircd-hybrid-7/include/config.h



leeh        2002/06/15 09:09:48 EDT	(20020615_6)

  Modified files:
    modules              m_stats.c 
  Log:
  - hwys fix to correctly show oper/admin status on stats p.
  
  Revision  Changes    Path
  1.110     +5 -3      ircd-hybrid-7/modules/m_stats.c



leeh        2002/06/15 08:54:51 EDT	(20020615_5)

  Modified files:
    contrib              lmh.diff 
  Log:
  - patching in .orig files is bad
  - added a kludge to install xline.conf, as diff doesnt want to add a 0
    byte file.
  
  Revision  Changes    Path
  1.2       +78 -2587  ircd-hybrid-7/contrib/lmh.diff



leeh        2002/06/15 08:33:28 EDT	(20020615_4)

  Modified files:
    contrib              README 
  Added files:
    contrib              README.LMH lmh.diff 
  Removed files:
    contrib              remote-unkline.diff temp-dline.diff 
  Log:
  - nuked my old patches, added my shiny new one along with a readme.
  
  Revision  Changes    Path
  1.20      +8 -6      ircd-hybrid-7/contrib/README
  1.1       +135 -0    ircd-hybrid-7/contrib/README.LMH (new)
  1.1       +4888 -0   ircd-hybrid-7/contrib/lmh.diff (new)
  1.3       +0 -373    ircd-hybrid-7/contrib/remote-unkline.diff (dead)
  1.5       +0 -533    ircd-hybrid-7/contrib/temp-dline.diff (dead)



androsyn    2002/06/15 03:35:52 EDT	(20020615_3)

  Modified files:
    include              memory.h 
  Log:
  Oops..I'll get this right :)
  
  Revision  Changes    Path
  7.32      +19 -12    ircd-hybrid-7/include/memory.h



androsyn    2002/06/15 03:30:44 EDT	(20020615_2)

  Modified files:
    include              memory.h 
    src                  memory.c 
  Log:
  Added inline versions MyMalloc and friends
  
  Revision  Changes    Path
  7.31      +31 -4     ircd-hybrid-7/include/memory.h
  7.37      +2 -2      ircd-hybrid-7/src/memory.c



androsyn    2002/06/15 03:24:50 EDT	(20020615_1)

  Modified files:
    src                  memory.c 
  Log:
  Silly kids, realloc returns a void * not a char *.
  
  Revision  Changes    Path
  7.36      +1 -1      ircd-hybrid-7/src/memory.c



androsyn    2002/06/15 03:20:00 EDT	(20020615_0)

  Modified files:
    src                  fdlist.c hook.c hostmask.c list.c 
                         listener.c s_bsd_kqueue.c s_conf.c 
  Log:
  Remove a few unneeded memset()'s as MyMalloc does this for us already.  Also
  cleaned up a few ugly looking things.
  
  Revision  Changes    Path
  7.31      +0 -1      ircd-hybrid-7/src/fdlist.c
  7.16      +1 -2      ircd-hybrid-7/src/hook.c
  7.65      +1 -1      ircd-hybrid-7/src/hostmask.c
  7.45      +3 -4      ircd-hybrid-7/src/list.c
  7.69      +0 -1      ircd-hybrid-7/src/listener.c
  1.27      +1 -1      ircd-hybrid-7/src/s_bsd_kqueue.c
  7.306     +3 -4      ircd-hybrid-7/src/s_conf.c



leeh        2002/06/14 15:38:12 EDT	(20020614_2)

  Modified files:
    include              client.h 
  Log:
  - unused variable, splat.
  
  Revision  Changes    Path
  7.149     +0 -1      ircd-hybrid-7/include/client.h



leeh        2002/06/14 15:18:51 EDT	(20020614_1)

  Modified files:
    doc                  convertconf-example.conf example.conf 
  Log:
  - doc updates, anonops isnt broken
  
  Revision  Changes    Path
  7.5       +1 -3      ircd-hybrid-7/doc/convertconf-example.conf
  7.162     +1 -3      ircd-hybrid-7/doc/example.conf



leeh        2002/06/14 13:20:00 EDT	(20020614_0)

  Modified files:
    include              channel_mode.h 
    src                  channel_mode.c 
  Log:
  - adxs patch to fix +a and numerous channel_mode.c bugs
  
    as far as im aware, this fixes all of the problems with +a, but we need
    more testing.
  
  Revision  Changes    Path
  7.10      +1 -11     ircd-hybrid-7/include/channel_mode.h
  7.41      +380 -523  ircd-hybrid-7/src/channel_mode.c



db          2002/06/12 15:29:39 EDT	(20020612_3)

  Modified files:
    src                  ircd_parser.y s_conf.c 
  Log:
  - moved yy_aconf back into ircd-parser.y, its not needed in s_conf.c at all
  
  Revision  Changes    Path
  1.252     +0 -2      ircd-hybrid-7/src/ircd_parser.y
  7.305     +0 -1      ircd-hybrid-7/src/s_conf.c



androsyn    2002/06/12 14:57:53 EDT	(20020612_2)

  Modified files:
    src                  sprintf_irc.c 
  Log:
  Make %lu spit out a 0 for 0 instead of 000000000
  
  Revision  Changes    Path
  7.15      +6 -0      ircd-hybrid-7/src/sprintf_irc.c



androsyn    2002/06/11 21:40:23 EDT	(20020612_1)

  Modified files:
    src                  s_user.c 
  Log:
  Revert that last change..i'm not thinking :P
  
  Revision  Changes    Path
  7.201     +10 -6     ircd-hybrid-7/src/s_user.c



androsyn    2002/06/11 20:53:38 EDT	(20020612_0)

  Modified files:
    src                  s_user.c 
  Log:
  Make that not so ugly
  
  Revision  Changes    Path
  7.200     +6 -10     ircd-hybrid-7/src/s_user.c



leeh        2002/06/11 17:37:10 EDT	(20020611_9)

  Modified files:
    src                  s_user.c 
  Log:
  - aaaaand to unidented clients too.  this is slightly unoptimal, but.
  
  Revision  Changes    Path
  7.199     +16 -11    ircd-hybrid-7/src/s_user.c



leeh        2002/06/11 16:29:08 EDT	(20020611_8)

  Modified files:
    src                  s_auth.c 
  Log:
  - auth tweaks.  strip *all* ['s
    strip ~ and ^ from the beginning of the ident
  
  Revision  Changes    Path
  7.97      +5 -1      ircd-hybrid-7/src/s_auth.c



androsyn    2002/06/10 21:49:26 EDT	(20020611_7)

  Modified files:
    contrib              m_clearchan.c m_force.c m_ojoin.c 
                         m_tburst.c 
    include              channel.h 
    src                  channel.c 
  Log:
  Fix contrib related topic things
  
  Revision  Changes    Path
  1.30      +2 -3      ircd-hybrid-7/contrib/m_clearchan.c
  1.14      +2 -2      ircd-hybrid-7/contrib/m_force.c
  1.11      +2 -2      ircd-hybrid-7/contrib/m_ojoin.c
  1.10      +5 -5      ircd-hybrid-7/contrib/m_tburst.c
  7.117     +3 -0      ircd-hybrid-7/include/channel.h
  7.322     +2 -2      ircd-hybrid-7/src/channel.c



androsyn    2002/06/10 21:42:36 EDT	(20020611_6)

  Modified files:
    src                  channel.c 
  Log:
  Don't bother to free the topic if its not set
  
  Revision  Changes    Path
  7.321     +2 -0      ircd-hybrid-7/src/channel.c



androsyn    2002/06/10 21:41:29 EDT	(20020611_5)

  Modified files:
    src                  channel.c 
  Log:
  Free the topic if we are destroying the channel
  
  Revision  Changes    Path
  7.320     +2 -0      ircd-hybrid-7/src/channel.c



androsyn    2002/06/10 21:39:43 EDT	(20020611_4)

  Modified files:
    contrib              m_tburst.c 
    include              channel.h 
    modules              m_topic.c 
    src                  channel.c 
  Log:
  More of the topic changes
  
  Revision  Changes    Path
  1.9       +2 -5      ircd-hybrid-7/contrib/m_tburst.c
  7.116     +1 -3      ircd-hybrid-7/include/channel.h
  1.54      +13 -45    ircd-hybrid-7/modules/m_topic.c
  7.319     +25 -3     ircd-hybrid-7/src/channel.c



androsyn    2002/06/10 21:02:33 EDT	(20020611_3)

  Modified files:
    include              channel.h config.h 
    modules              m_join.c m_list.c m_topic.c 
    src                  channel.c s_serv.c 
  Log:
  Allocate topics from the block heap instead of being part of struct Channel
  
  Revision  Changes    Path
  7.115     +5 -2      ircd-hybrid-7/include/channel.h
  7.134     +2 -0      ircd-hybrid-7/include/config.h
  1.86      +2 -2      ircd-hybrid-7/modules/m_join.c
  1.43      +7 -7      ircd-hybrid-7/modules/m_list.c
  1.53      +43 -23    ircd-hybrid-7/modules/m_topic.c
  7.318     +45 -0     ircd-hybrid-7/src/channel.c
  7.261     +2 -2      ircd-hybrid-7/src/s_serv.c



androsyn    2002/06/10 20:55:13 EDT	(20020611_2)

  Modified files:
    src                  s_user.c 
  Log:
  Missed a random_ping
  
  Revision  Changes    Path
  7.198     +1 -1      ircd-hybrid-7/src/s_user.c



androsyn    2002/06/10 20:00:11 EDT	(20020611_1)

  Modified files:
    include              client.h 
    modules              m_pong.c 
    src                  s_user.c 
  Log:
  Move random_ping into struct LocalUser where it belongs
  
  Revision  Changes    Path
  7.148     +2 -1      ircd-hybrid-7/include/client.h
  1.27      +3 -3      ircd-hybrid-7/modules/m_pong.c
  7.197     +2 -2      ircd-hybrid-7/src/s_user.c



androsyn    2002/06/10 19:56:48 EDT	(20020611_0)

  Modified files:
    include              balloc.h 
    src                  balloc.c 
  Log:
  Remove an unnecessary member of struct MemBlock
  
  Revision  Changes    Path
  1.10      +0 -1      ircd-hybrid-7/include/balloc.h
  7.35      +2 -3      ircd-hybrid-7/src/balloc.c



leeh        2002/06/09 08:03:28 EDT	(20020609_1)

  Modified files:
    contrib              README temp-dline.diff 
  Log:
  - updates to my temp-dline patch, itll now split tdlines/tklines into
    four lists, those to check every minute, hour, day, week - which should
    make them more efficient and help to cope with the demand for longer
    tklines.
  
  Revision  Changes    Path
  1.19      +2 -1      ircd-hybrid-7/contrib/README
  1.4       +257 -77   ircd-hybrid-7/contrib/temp-dline.diff



androsyn    2002/06/08 20:22:30 EDT	(20020609_0)

  Modified files:
    src                  client.c 
  Log:
  We shouldn't call  remove_dependents if source_p->serv == NULL, why
  source_p->serv == NULL i'm not sure
  
  Revision  Changes    Path
  7.276     +2 -1      ircd-hybrid-7/src/client.c



leeh        2002/06/07 19:38:36 EDT	(20020608_2)

  Modified files:
    src                  s_serv.c 
  Log:
  - move the sendto_realops_flags() down till after the server is made
    so the IO doesnt trigger an exit for a server that doesnt have a
    cptr->serv yet.
  
  Revision  Changes    Path
  7.260     +10 -10    ircd-hybrid-7/src/s_serv.c



androsyn    2002/06/07 19:37:39 EDT	(20020608_1)

  Modified files:
    src                  client.c 
  Log:
  We could potentially add a client twice to the abort_list
  
  Revision  Changes    Path
  7.275     +1 -1      ircd-hybrid-7/src/client.c



leeh        2002/06/07 19:13:51 EDT	(20020608_0)

  Modified files:
    contrib              m_force.c 
  Log:
  - err, forcejoin fixes.. cant remember what tho.
  
  Revision  Changes    Path
  1.13      +5 -1      ircd-hybrid-7/contrib/m_force.c



androsyn    2002/06/07 17:59:19 EDT	(20020607_1)

  Modified files:
    src                  hash.c 
  Log:
  Remove a very hideous ugly stupid hack
  
  Revision  Changes    Path
  7.43      +2 -2      ircd-hybrid-7/src/hash.c



leeh        2002/06/07 10:22:46 EDT	(20020607_0)

  Modified files:
    contrib              m_force.c 
  Log:
  - diff by adx for forcepart param thingy
  
  Revision  Changes    Path
  1.12      +2 -2      ircd-hybrid-7/contrib/m_force.c



leeh        2002/06/06 15:28:51 EDT	(20020606_0)

  Modified files:
    include              whowas.h 
  Log:
  - removed a duplicated id for scuzzy.
  
  Revision  Changes    Path
  7.9       +1 -5      ircd-hybrid-7/include/whowas.h



leeh        2002/06/05 09:49:56 EDT	(20020605_0)

  Modified files:
    doc                  example.conf
  Log:
  - doc update, compressed is disabled by default.
  
  Revision  Changes    Path
  7.161     +2 -2      ircd-hybrid-7/doc/example.conf



androsyn    2002/06/04 01:30:18 EDT	(20020604_1)

  Modified files:
    src                  ircd.c modules.c 
  Log:
  Set a default path for modules.  Also do not allow the user to specify a
  particular pathname of a module to load.  They should only be allowed to
  load modules in the search path.  Also reject things with ".." in them.
  
  Revision  Changes    Path
  7.236     +5 -0      ircd-hybrid-7/src/ircd.c
  7.103     +14 -7     ircd-hybrid-7/src/modules.c



androsyn    2002/06/04 00:33:04 EDT	(20020604_0)

  Modified files:
    include              hostmask.h 
  Log:
  Add a newline to the end of the file to make recent versions of gcc shut up.
  
  Revision  Changes    Path
  1.22      +2 -1      ircd-hybrid-7/include/hostmask.h



androsyn    2002/06/03 15:24:16 EDT	(20020603_5)

  Modified files:
    adns                 event.c 
    src                  adns.c 
  Log:
  Minor adns fixes.
  
  Revision  Changes    Path
  1.17      +1 -2      ircd-hybrid-7/adns/event.c
  7.45      +3 -2      ircd-hybrid-7/src/adns.c



androsyn    2002/06/03 14:54:23 EDT	(20020603_4)

  Modified files:
    src                  adns.c 
  Log:
  Doh..left the TCP resolver turned on.
  
  Revision  Changes    Path
  7.44      +2 -2      ircd-hybrid-7/src/adns.c



leeh        2002/06/03 12:04:39 EDT	(20020603_3)

  Modified files:
    contrib              m_force.c temp-dline.diff 
  Log:
  - more contrib updates.
  
  Revision  Changes    Path
  1.11      +7 -1      ircd-hybrid-7/contrib/m_force.c
  1.3       +32 -32    ircd-hybrid-7/contrib/temp-dline.diff



leeh        2002/06/03 11:42:53 EDT	(20020603_2)

  Modified files:
    contrib              m_force.c m_ojoin.c 
  Log:
  - updates.
  
  Revision  Changes    Path
  1.10      +79 -103   ircd-hybrid-7/contrib/m_force.c
  1.10      +24 -20    ircd-hybrid-7/contrib/m_ojoin.c



leeh        2002/06/03 08:15:14 EDT	(20020603_1)

  Modified files:
    modules              Makefile.in 
    servlink             Makefile.in 
    src                  Makefile.in 
    tools                Makefile.in 
  Log:
  - hwys lint fixes
  
  Revision  Changes    Path
  1.68      +1 -1      ircd-hybrid-7/modules/Makefile.in
  1.13      +1 -1      ircd-hybrid-7/servlink/Makefile.in
  7.111     +1 -1      ircd-hybrid-7/src/Makefile.in
  7.31      +1 -1      ircd-hybrid-7/tools/Makefile.in



lusky       2002/06/02 19:23:23 EDT	(20020603_0)

  Modified files:
    include              patchlevel.h 
  Log:
  revved patchlevel to b16
  
  Revision  Changes    Path
  7.31      +1 -1      ircd-hybrid-7/include/patchlevel.h



leeh        2002/06/02 15:38:33 EDT	(20020602_1)

  Added files:
    doc/technical        ts5.txt 
  Log:
  - added ts5 doc, typed in a very very scary looking log prompt..
  
  Revision  Changes    Path
  1.1       +151 -0    ircd-hybrid-7/doc/technical/ts5.txt (new)



leeh        2002/06/02 10:08:10 EDT	(20020602_0)

  Modified files:
    contrib              m_force.c 
  Log:
  - hunt_server returns an int (!= HUNTED_ISME)
  
  Revision  Changes    Path
  1.9       +3 -3      ircd-hybrid-7/contrib/m_force.c



androsyn    2002/06/01 17:58:52 EDT	(20020601_5)

  Modified files:
    .                    RELNOTES 
  Log:
  Updated RELNOTES again
  
  Revision  Changes    Path
  1.31      +1 -0      ircd-hybrid-7/RELNOTES



androsyn    2002/06/01 17:56:35 EDT	(20020601_4)

  Modified files:
    .                    BUGS 
  Log:
  Remove the TCP resolver bug from the list as I fixed it last night
  
  Revision  Changes    Path
  7.48      +1 -5      ircd-hybrid-7/BUGS



androsyn    2002/06/01 17:49:48 EDT	(20020601_3)

  Modified files:
    include              tools.h 
    src                  tools.c 
  Log:
  Inline versions of the dlink functions
  
  Revision  Changes    Path
  1.10      +144 -1    ircd-hybrid-7/include/tools.h
  7.21      +3 -1      ircd-hybrid-7/src/tools.c



db          2002/06/01 14:47:27 EDT	(20020601_2)

  Modified files:
    contrib              m_ojoin.c 
  Log:
  - fixed minor bug in m_ojoin.c
    patch by adx
  
  Revision  Changes    Path
  1.9       +4 -4      ircd-hybrid-7/contrib/m_ojoin.c



androsyn    2002/06/01 01:28:07 EDT	(20020601_1)

  Modified files:
    adns                 event.c transmit.c 
    src                  adns.c 
  Log:
  Fixed the adns tcp resolver.
  
  Revision  Changes    Path
  1.16      +6 -2      ircd-hybrid-7/adns/event.c
  1.11      +2 -3      ircd-hybrid-7/adns/transmit.c
  7.43      +2 -3      ircd-hybrid-7/src/adns.c



androsyn    2002/05/31 22:32:17 EDT	(20020601_0)

  Modified files:
    contrib              m_force.c 
  Log:
  Scuzzy's modifications to allow the forcing of a user into a new channel.
  Also adds support for remote forcing.
  
  Revision  Changes    Path
  1.8       +162 -18   ircd-hybrid-7/contrib/m_force.c



androsyn    2002/05/31 00:49:25 EDT	(20020531_14)

  Modified files:
    src                  s_serv.c 
  Log:
  Doh..another one..
  
  Revision  Changes    Path
  7.259     +1 -1      ircd-hybrid-7/src/s_serv.c



androsyn    2002/05/31 00:44:56 EDT	(20020531_13)

  Modified files:
    src                  s_user.c 
  Log:
  Fixed some inverted if() statements
  
  Revision  Changes    Path
  7.196     +3 -3      ircd-hybrid-7/src/s_user.c



androsyn    2002/05/31 00:16:22 EDT	(20020531_12)

  Modified files:
    contrib              m_ojoin.c 
  Log:
  Fix from scuzzy to make ojoin send the topic to the joining user.
  
  Revision  Changes    Path
  1.8       +10 -1     ircd-hybrid-7/contrib/m_ojoin.c



androsyn    2002/05/30 22:59:26 EDT	(20020531_11)

  Modified files:
    modules/core         m_nick.c 
  Log:
  Add a non-assert failure check
  
  Revision  Changes    Path
  1.91      +9 -3      ircd-hybrid-7/modules/core/m_nick.c



androsyn    2002/05/30 22:21:12 EDT	(20020531_10)

  Modified files:
    src                  client.c hash.c irc_string.c linebuf.c 
                         listener.c match.c packet.c parse.c 
                         s_auth.c s_bsd.c s_conf.c s_gline.c 
                         s_log.c s_serv.c s_user.c vchannel.c 
                         whowas.c 
  Log:
  The rest of the non-assert failure checks..
  
  Revision  Changes    Path
  7.274     +1 -1      ircd-hybrid-7/src/client.c
  7.42      +24 -2     ircd-hybrid-7/src/hash.c
  7.54      +6 -0      ircd-hybrid-7/src/irc_string.c
  7.82      +3 -0      ircd-hybrid-7/src/linebuf.c
  7.68      +11 -5     ircd-hybrid-7/src/listener.c
  7.20      +1 -1      ircd-hybrid-7/src/match.c
  7.84      +5 -1      ircd-hybrid-7/src/packet.c
  7.128     +8 -2      ircd-hybrid-7/src/parse.c
  7.96      +2 -0      ircd-hybrid-7/src/s_auth.c
  7.170     +2 -1      ircd-hybrid-7/src/s_bsd.c
  7.304     +11 -2     ircd-hybrid-7/src/s_conf.c
  1.21      +2 -0      ircd-hybrid-7/src/s_gline.c
  7.42      +2 -0      ircd-hybrid-7/src/s_log.c
  7.258     +19 -4     ircd-hybrid-7/src/s_serv.c
  7.195     +31 -4     ircd-hybrid-7/src/s_user.c
  7.65      +11 -0     ircd-hybrid-7/src/vchannel.c
  7.19      +3 -0      ircd-hybrid-7/src/whowas.c



androsyn    2002/05/30 21:35:41 EDT	(20020531_9)

  Modified files:
    src                  fileio.c 
  Log:
  More non assert failure cleanups..
  
  Revision  Changes    Path
  7.23      +45 -6     ircd-hybrid-7/src/fileio.c



androsyn    2002/05/30 21:29:04 EDT	(20020531_8)

  Modified files:
    src                  fdlist.c 
  Log:
  Remove a pointless assert()
  
  Revision  Changes    Path
  7.30      +1 -2      ircd-hybrid-7/src/fdlist.c



androsyn    2002/05/30 20:36:38 EDT	(20020531_7)

  Modified files:
    src                  client.c 
  Log:
  Same story as before..add non-assert failure checks..
  
  Revision  Changes    Path
  7.273     +5 -2      ircd-hybrid-7/src/client.c



androsyn    2002/05/30 20:32:24 EDT	(20020531_6)

  Modified files:
    src                  channel.c 
  Log:
  Add non-assert failure code..
  
  Revision  Changes    Path
  7.317     +3 -1      ircd-hybrid-7/src/channel.c



androsyn    2002/05/30 20:29:47 EDT	(20020531_5)

  Modified files:
    src                  balloc.c 
  Log:
  Added some non-assert failure code
  
  Revision  Changes    Path
  7.34      +6 -0      ircd-hybrid-7/src/balloc.c



androsyn    2002/05/30 20:25:43 EDT	(20020531_4)

  Modified files:
    src                  adns.c 
  Log:
  Added some failure code in the case of non debug compiles
  
  Revision  Changes    Path
  7.42      +11 -5     ircd-hybrid-7/src/adns.c



androsyn    2002/05/30 20:22:53 EDT	(20020531_3)

  Modified files:
    src                  s_serv.c 
  Log:
  If a you are trying to register a server and its not on the unknown list
  something very bad has happened.  assert() if debugging..exit the client
  otherwise
  
  Revision  Changes    Path
  7.257     +4 -0      ircd-hybrid-7/src/s_serv.c



androsyn    2002/05/30 20:12:36 EDT	(20020531_2)

  Modified files:
    src                  s_serv.c 
  Log:
  Changed "Lost C-Line" to "Lost connect{} block" as we don't have C lines
  anymore...
  
  Revision  Changes    Path
  7.256     +3 -3      ircd-hybrid-7/src/s_serv.c



androsyn    2002/05/30 20:08:43 EDT	(20020531_1)

  Modified files:
    src                  packet.c 
  Log:
  Macros is your friend
  
  Revision  Changes    Path
  7.83      +1 -1      ircd-hybrid-7/src/packet.c



androsyn    2002/05/30 19:55:50 EDT	(20020531_0)

  Modified files:
    src                  client.c 
  Log:
  Don't send QUIT to remote servers for unregistered clients
  
  Revision  Changes    Path
  7.272     +29 -30    ircd-hybrid-7/src/client.c



leeh        2002/05/30 16:14:01 EDT	(20020530_0)

  Modified files:
    src                  client.c 
  Log:
  - fix for the idle client bug found by scuzzy <scuzzy@aniverse.net>
  
    I *think* this is the right fix, but my server decided the idlelimit
    wasnt worth bothering with anymore anyway.
  
  Revision  Changes    Path
  7.271     +1 -1      ircd-hybrid-7/src/client.c



db          2002/05/29 12:13:43 EDT	(20020529_0)

  Modified files:
    src                  balloc.c 
  Log:
  - fixed goof spotted by Jusuf
  
  Revision  Changes    Path
  7.33      +5 -5      ircd-hybrid-7/src/balloc.c



leeh        2002/05/27 18:48:15 EDT	(20020527_1)

  Removed files:
    contrib              vms_lex_yy.c vms_y_tab.c vms_y_tab.h 
  Log:
  - removed for larne
  
  Revision  Changes    Path
  1.4       +0 -3530   ircd-hybrid-7/contrib/vms_lex_yy.c (dead)
  1.5       +0 -4454   ircd-hybrid-7/contrib/vms_y_tab.c (dead)
  1.4       +0 -195    ircd-hybrid-7/contrib/vms_y_tab.h (dead)



leeh        2002/05/27 08:14:54 EDT	(20020527_0)

  Modified files:
    src                  ircd_parser.y 
  Log:
  - dont enable compressed links by default, only when someone sets
    compressed=yes;
  
  Revision  Changes    Path
  1.251     +0 -3      ircd-hybrid-7/src/ircd_parser.y



leeh        2002/05/26 18:49:58 EDT	(20020526_10)

  Modified files:
    contrib              remote-unkline.diff 
  Log:
  - working remote unkline patch
  
  Revision  Changes    Path
  1.2       +68 -89    ircd-hybrid-7/contrib/remote-unkline.diff



androsyn    2002/05/26 17:19:10 EDT	(20020526_9)

  Modified files:        (Branch: WIN32_WIP)
    include              fdlist.h 
    src                  io_unix.c io_win32.c linebuf.c listener.c 
                         s_auth.c s_bsd_select.c 
  Log:
  Yet some more IO changes :)
  
  Revision  Changes    Path
  7.25.2.3  +1 -2      ircd-hybrid-7/include/fdlist.h
  1.1.2.4   +60 -26    ircd-hybrid-7/src/io_unix.c
  1.1.2.3   +43 -16    ircd-hybrid-7/src/io_win32.c
  7.81.2.2  +3 -6      ircd-hybrid-7/src/linebuf.c
  7.67.2.3  +1 -1      ircd-hybrid-7/src/listener.c
  7.95.2.3  +6 -9      ircd-hybrid-7/src/s_auth.c
  7.26.2.2  +22 -24    ircd-hybrid-7/src/s_bsd_select.c



androsyn    2002/05/26 16:13:18 EDT	(20020526_8)

  Modified files:        (Branch: WIN32_WIP)
    include              client.h fdlist.h 
    src                  io_unix.c 
  Log:
  More IO layer stuff..
  
  Revision   Changes    Path
  7.147.2.1  +3 -1      ircd-hybrid-7/include/client.h
  7.25.2.2   +3 -3      ircd-hybrid-7/include/fdlist.h
  1.1.2.3    +58 -12    ircd-hybrid-7/src/io_unix.c



androsyn    2002/05/26 14:54:14 EDT	(20020526_7)

  Modified files:        (Branch: WIN32_WIP)
    src                  io_unix.c io_win32.c listener.c 
  Log:
  Some additional changes on the new IO abstraction layer...
  
  Revision  Changes    Path
  1.1.2.2   +45 -4     ircd-hybrid-7/src/io_unix.c
  1.1.2.2   +36 -4     ircd-hybrid-7/src/io_win32.c
  7.67.2.2  +2 -2      ircd-hybrid-7/src/listener.c



androsyn    2002/05/26 06:56:01 EDT	(20020526_6)

  Modified files:        (Branch: WIN32_WIP)
    include              fdlist.h 
    src                  fdlist.c listener.c s_auth.c s_bsd.c 
                         win32.c 
  Added files:           (Branch: WIN32_WIP)
    include              win32_defs.h 
    src                  io_unix.c io_win32.c 
  Log:
  Started the basic framework for correctly abstracting the IO layer.
  
  Revision   Changes    Path
  7.25.2.1   +19 -0     ircd-hybrid-7/include/fdlist.h
  1.1.2.1    +48 -0     ircd-hybrid-7/include/win32_defs.h (new)
  7.29.2.2   +13 -1     ircd-hybrid-7/src/fdlist.c
  1.1.2.1    +142 -0    ircd-hybrid-7/src/io_unix.c (new)
  1.1.2.1    +178 -0    ircd-hybrid-7/src/io_win32.c (new)
  7.67.2.1   +3 -3      ircd-hybrid-7/src/listener.c
  7.95.2.2   +2 -2      ircd-hybrid-7/src/s_auth.c
  7.169.2.2  +4 -3      ircd-hybrid-7/src/s_bsd.c
  1.1.2.2    +1 -0      ircd-hybrid-7/src/win32.c



androsyn    2002/05/26 03:16:01 EDT	(20020526_5)

  Modified files:        (Branch: WIN32_WIP)
    src                  send.c 
  Log:
  Merge changes from mainline
  
  Revision   Changes    Path
  7.197.2.2  +1 -9      ircd-hybrid-7/src/send.c



androsyn    2002/05/26 03:11:16 EDT	(20020526_4)

  Modified files:
    src                  send.c 
  Log:
  That was an ugly bit of code..
  
  Revision  Changes    Path
  7.198     +1 -8      ircd-hybrid-7/src/send.c



androsyn    2002/05/26 03:04:02 EDT	(20020526_3)

  Modified files:        (Branch: WIN32_WIP)
    .                    configure 
    autoconf             configure.in 
    include              s_conf.h setup.h.in stdinc.h 
    src                  Makefile.in client.c fdlist.c ircd.c 
                         ircd_signal.c linebuf.c md5.c packet.c 
                         s_auth.c s_bsd.c s_bsd_select.c s_conf.c 
                         s_debug.c s_serv.c send.c 
  Log:
  Wad of changes for win32..
  
  Revision   Changes    Path
  7.134.2.1  +1 -1      ircd-hybrid-7/autoconf/configure.in
  7.137.2.1  +1 -1      ircd-hybrid-7/configure
  7.180.2.1  +1 -1      ircd-hybrid-7/include/s_conf.h
  7.53.2.1   +18 -3     ircd-hybrid-7/include/setup.h.in
  1.1.2.1    +16 -1     ircd-hybrid-7/include/stdinc.h
  7.110.2.1  +2 -1      ircd-hybrid-7/src/Makefile.in
  7.270.2.1  +1 -0      ircd-hybrid-7/src/client.c
  7.29.2.1   +8 -1      ircd-hybrid-7/src/fdlist.c
  7.235.2.1  +18 -6     ircd-hybrid-7/src/ircd.c
  7.11.2.1   +5 -1      ircd-hybrid-7/src/ircd_signal.c
  7.81.2.1   +5 -1      ircd-hybrid-7/src/linebuf.c
  1.14.2.1   +1 -1      ircd-hybrid-7/src/md5.c
  7.82.2.1   +6 -0      ircd-hybrid-7/src/packet.c
  7.95.2.1   +3 -2      ircd-hybrid-7/src/s_auth.c
  7.169.2.1  +18 -4     ircd-hybrid-7/src/s_bsd.c
  7.26.2.1   +3 -2      ircd-hybrid-7/src/s_bsd_select.c
  7.303.2.1  +2 -2      ircd-hybrid-7/src/s_conf.c
  7.67.2.1   +5 -4      ircd-hybrid-7/src/s_debug.c
  7.255.2.1  +2 -2      ircd-hybrid-7/src/s_serv.c
  7.197.2.1  +7 -0      ircd-hybrid-7/src/send.c



androsyn    2002/05/26 01:56:21 EDT	(20020526_2)

  Modified files:
    .                    ChangeLog 
  Log:
  Test commit...
  
  Revision  Changes    Path
  7.3700    +4 -1      ircd-hybrid-7/ChangeLog





androsyn    2002/05/26 01:51:24 EDT	(20020526_1)

  Modified files:
    .                    ChangeLog 
  Log:
  Dumb ChangeLog script didn't understand branches...
  
  Revision  Changes    Path
  7.3698    +1 -12     ircd-hybrid-7/ChangeLog




androsyn    2002/05/25 05:05:56 EDT	(20020525_13)

  Modified files:
    src                  s_bsd_sigio.c 
  Log:
  Added a missing mask_our_signal()
  
  Revision  Changes    Path
  7.23      +1 -0      ircd-hybrid-7/src/s_bsd_sigio.c



androsyn    2002/05/25 05:00:16 EDT	(20020525_12)

  Modified files:
    src                  ircd_signal.c s_bsd_sigio.c 
  Log:
  Minor cleanups to RT Sigio
  
  Revision  Changes    Path
  7.11      +0 -5      ircd-hybrid-7/src/ircd_signal.c
  7.22      +5 -16     ircd-hybrid-7/src/s_bsd_sigio.c



>>>>>>> 7.3699
androsyn    2002/05/25 02:52:50 EDT	(20020525_11)

  Modified files:
    adns                 setup.c 
  Log:
  Make adns use the generic set non blocking routine
  
  Revision  Changes    Path
  1.27      +2 -10     ircd-hybrid-7/adns/setup.c



androsyn    2002/05/24 23:06:31 EDT	(20020525_10)

  Modified files:
    src                  linebuf.c packet.c send.c 
  Log:
  Change a few write() and read() calls to send() and recv()
  
  Revision  Changes    Path
  7.81      +2 -2      ircd-hybrid-7/src/linebuf.c
  7.82      +5 -5      ircd-hybrid-7/src/packet.c
  7.197     +2 -2      ircd-hybrid-7/src/send.c



androsyn    2002/05/24 21:55:22 EDT	(20020525_9)

  Modified files:
    src                  ircd_lexer.l 
  Log:
  Replace index() with strchr()
  
  Revision  Changes    Path
  1.139     +3 -3      ircd-hybrid-7/src/ircd_lexer.l



androsyn    2002/05/24 21:42:56 EDT	(20020525_8)

  Modified files:
    src                  s_bsd_select.c 
  Log:
  bcopy() people still use bcopy()?!?  Replaced those with memcpy()
  
  Revision  Changes    Path
  7.26      +2 -2      ircd-hybrid-7/src/s_bsd_select.c



androsyn    2002/05/24 21:38:11 EDT	(20020525_7)

  Modified files:
    include              modules.h 
  Log:
  Added missing prototypes..
  
  Revision  Changes    Path
  7.31      +2 -1      ircd-hybrid-7/include/modules.h



androsyn    2002/05/24 21:35:11 EDT	(20020525_6)

  Modified files:
    src                  md5.c 
  Log:
  Seed with something a bit more useful than pids
  
  Revision  Changes    Path
  1.14      +2 -2      ircd-hybrid-7/src/md5.c



androsyn    2002/05/24 21:24:53 EDT	(20020525_5)

  Modified files:
    src                  balloc.c 
  Log:
  Fix the non mmap() case of the block allocator
  
  Revision  Changes    Path
  7.32      +11 -9     ircd-hybrid-7/src/balloc.c



androsyn    2002/05/24 21:22:46 EDT	(20020525_4)

  Modified files:
    src                  event.c ircd.c s_user.c 
  Log:
  Change srandom/random to srand/rand which is a little more common
  
  Revision  Changes    Path
  7.28      +1 -1      ircd-hybrid-7/src/event.c
  7.235     +1 -1      ircd-hybrid-7/src/ircd.c
  7.194     +1 -1      ircd-hybrid-7/src/s_user.c



androsyn    2002/05/24 19:48:39 EDT	(20020525_3)

  Modified files:
    contrib              Makefile.in example_module.c 
                         m_clearchan.c m_flags.c m_force.c 
                         m_jupe.c m_ltrace.c m_map.c m_mkpasswd.c 
                         m_ojoin.c m_opme.c m_tburst.c 
                         spy_admin_notice.c spy_info_notice.c 
                         spy_links_notice.c spy_motd_notice.c 
                         spy_stats_notice.c spy_stats_p_notice.c 
                         spy_trace_notice.c spy_whois_notice.c 
  Log:
  Update contrib for the header changes and update .depend as well
  
  Revision  Changes    Path
  1.33      +1 -1      ircd-hybrid-7/contrib/Makefile.in
  1.6       +2 -3      ircd-hybrid-7/contrib/example_module.c
  1.29      +2 -2      ircd-hybrid-7/contrib/m_clearchan.c
  1.9       +2 -4      ircd-hybrid-7/contrib/m_flags.c
  1.7       +2 -2      ircd-hybrid-7/contrib/m_force.c
  1.29      +2 -2      ircd-hybrid-7/contrib/m_jupe.c
  1.2       +2 -3      ircd-hybrid-7/contrib/m_ltrace.c
  1.12      +2 -4      ircd-hybrid-7/contrib/m_map.c
  1.9       +2 -1      ircd-hybrid-7/contrib/m_mkpasswd.c
  1.7       +2 -1      ircd-hybrid-7/contrib/m_ojoin.c
  1.25      +2 -2      ircd-hybrid-7/contrib/m_opme.c
  1.8       +2 -2      ircd-hybrid-7/contrib/m_tburst.c
  1.6       +2 -2      ircd-hybrid-7/contrib/spy_admin_notice.c
  1.6       +2 -2      ircd-hybrid-7/contrib/spy_info_notice.c
  1.11      +2 -2      ircd-hybrid-7/contrib/spy_links_notice.c
  1.6       +2 -2      ircd-hybrid-7/contrib/spy_motd_notice.c
  1.12      +2 -2      ircd-hybrid-7/contrib/spy_stats_notice.c
  1.4       +2 -2      ircd-hybrid-7/contrib/spy_stats_p_notice.c
  1.6       +2 -2      ircd-hybrid-7/contrib/spy_trace_notice.c
  1.10      +2 -2      ircd-hybrid-7/contrib/spy_whois_notice.c



androsyn    2002/05/24 19:40:18 EDT	(20020525_2)

  Modified files:
    modules              .depend 
    src                  .depend 
  Log:
  Update .depend
  
  Revision  Changes    Path
  1.7       +712 -1    ircd-hybrid-7/modules/.depend
  7.6       +469 -480  ircd-hybrid-7/src/.depend



androsyn    2002/05/24 19:39:15 EDT	(20020525_1)

  Added files:
    include              stdinc.h 
  Log:
  Add stdinc.h
  
  Revision  Changes    Path
  1.1       +101 -0    ircd-hybrid-7/include/stdinc.h (new)



androsyn    2002/05/24 19:35:09 EDT	(20020525_0)

  Modified files:
    adns                 Makefile.in adns.h check.c event.c 
                         general.c parse.c query.c reply.c setup.c 
                         transmit.c types.c 
    include              balloc.h channel.h channel_mode.h 
                         client.h event.h fdlist.h fileio.h hash.h 
                         hostmask.h irc_string.h ircd.h 
                         ircd_defs.h ircd_getopt.h linebuf.h 
                         listener.h m_info.h memory.h modules.h 
                         motd.h msg.h numeric.h packet.h res.h 
                         resv.h rsa.h s_auth.h s_bsd.h s_conf.h 
                         s_debug.h s_gline.h s_misc.h s_serv.h 
                         s_stats.h s_user.h s_zip.h send.h 
                         sprintf_irc.h vchannel.h whowas.h 
    modules              Makefile.in m_accept.c m_admin.c m_away.c 
                         m_capab.c m_cburst.c m_challenge.c 
                         m_cjoin.c m_close.c m_connect.c 
                         m_cryptlink.c m_dmem.c m_drop.c m_eob.c 
                         m_gline.c m_help.c m_info.c m_invite.c 
                         m_ison.c m_join.c m_kline.c m_knock.c 
                         m_links.c m_list.c m_lljoin.c m_llnick.c 
                         m_locops.c m_lusers.c m_motd.c m_names.c 
                         m_nburst.c m_oper.c m_operwall.c m_pass.c 
                         m_ping.c m_pong.c m_post.c m_rehash.c 
                         m_restart.c m_resv.c m_set.c m_stats.c 
                         m_svinfo.c m_testline.c m_time.c 
                         m_topic.c m_trace.c m_unkline.c m_user.c 
                         m_userhost.c m_users.c m_version.c 
                         m_wallops.c m_who.c m_whois.c m_whowas.c 
    modules/core         m_die.c m_kick.c m_kill.c m_message.c 
                         m_mode.c m_nick.c m_part.c m_quit.c 
                         m_server.c m_sjoin.c m_squit.c 
    src                  Makefile.in adns.c balloc.c channel.c 
                         channel_mode.c class.c client.c crypt.c 
                         dynlink.c event.c fdlist.c fileio.c 
                         getopt.c hash.c hook.c hostmask.c 
                         irc_string.c ircd.c ircd_lexer.l 
                         ircd_parser.y ircd_signal.c ircdauth.c 
                         kdparse.c linebuf.c list.c listener.c 
                         m_error.c match.c md5.c memory.c 
                         modules.c motd.c numeric.c packet.c 
                         parse.c restart.c resv.c rsa.c s_auth.c 
                         s_bsd.c s_bsd_devpoll.c s_bsd_kqueue.c 
                         s_bsd_poll.c s_bsd_select.c s_bsd_sigio.c 
                         s_conf.c s_debug.c s_gline.c s_log.c 
                         s_misc.c s_serv.c s_stats.c s_user.c 
                         scache.c send.c snprintf.c sprintf_irc.c 
                         tools.c vchannel.c whowas.c 
  Log:
  Cleaned up the includes a *lot*.  System level includes are(mostly) going
  in include/stdinc.h
  
  Revision  Changes    Path
  1.13      +1 -1      ircd-hybrid-7/adns/Makefile.in
  1.7       +1 -8      ircd-hybrid-7/adns/adns.h
  1.6       +1 -0      ircd-hybrid-7/adns/check.c
  1.15      +1 -9      ircd-hybrid-7/adns/event.c
  1.11      +2 -7      ircd-hybrid-7/adns/general.c
  1.5       +2 -1      ircd-hybrid-7/adns/parse.c
  1.12      +2 -7      ircd-hybrid-7/adns/query.c
  1.8       +2 -3      ircd-hybrid-7/adns/reply.c
  1.26      +1 -13     ircd-hybrid-7/adns/setup.c
  1.10      +2 -6      ircd-hybrid-7/adns/transmit.c
  1.6       +2 -8      ircd-hybrid-7/adns/types.c
  1.9       +7 -14     ircd-hybrid-7/include/balloc.h
  7.114     +0 -7      ircd-hybrid-7/include/channel.h
  7.9       +0 -6      ircd-hybrid-7/include/channel_mode.h
  7.147     +0 -10     ircd-hybrid-7/include/client.h
  1.12      +3 -3      ircd-hybrid-7/include/event.h
  7.25      +0 -9      ircd-hybrid-7/include/fdlist.h
  7.11      +0 -11     ircd-hybrid-7/include/fileio.h
  7.18      +0 -4      ircd-hybrid-7/include/hash.h
  1.21      +4 -0      ircd-hybrid-7/include/hostmask.h
  7.36      +1 -11     ircd-hybrid-7/include/irc_string.h
  7.50      +0 -3      ircd-hybrid-7/include/ircd.h
  7.28      +2 -5      ircd-hybrid-7/include/ircd_defs.h
  1.3       +1 -1      ircd-hybrid-7/include/ircd_getopt.h
  1.23      +0 -2      ircd-hybrid-7/include/linebuf.h
  7.10      +2 -11     ircd-hybrid-7/include/listener.h
  7.40      +1 -2      ircd-hybrid-7/include/m_info.h
  7.30      +0 -2      ircd-hybrid-7/include/memory.h
  7.30      +1 -3      ircd-hybrid-7/include/modules.h
  7.10      +1 -8      ircd-hybrid-7/include/motd.h
  7.41      +1 -6      ircd-hybrid-7/include/msg.h
  7.27      +1 -2      ircd-hybrid-7/include/numeric.h
  7.16      +1 -4      ircd-hybrid-7/include/packet.h
  7.20      +1 -6      ircd-hybrid-7/include/res.h
  1.7       +0 -4      ircd-hybrid-7/include/resv.h
  7.10      +4 -0      ircd-hybrid-7/include/rsa.h
  7.16      +1 -6      ircd-hybrid-7/include/s_auth.h
  7.36      +1 -7      ircd-hybrid-7/include/s_bsd.h
  7.180     +0 -4      ircd-hybrid-7/include/s_conf.h
  7.4       +0 -4      ircd-hybrid-7/include/s_debug.h
  7.11      +1 -8      ircd-hybrid-7/include/s_gline.h
  7.7       +0 -4      ircd-hybrid-7/include/s_misc.h
  7.66      +1 -6      ircd-hybrid-7/include/s_serv.h
  7.7       +0 -3      ircd-hybrid-7/include/s_stats.h
  7.16      +1 -6      ircd-hybrid-7/include/s_user.h
  7.5       +1 -6      ircd-hybrid-7/include/s_zip.h
  7.57      +1 -2      ircd-hybrid-7/include/send.h
  7.8       +0 -1      ircd-hybrid-7/include/sprintf_irc.h
  7.20      +1 -11     ircd-hybrid-7/include/vchannel.h
  7.8       +0 -1      ircd-hybrid-7/include/whowas.h
  1.67      +1 -1      ircd-hybrid-7/modules/Makefile.in
  1.24      +2 -1      ircd-hybrid-7/modules/core/m_die.c
  1.44      +2 -2      ircd-hybrid-7/modules/core/m_kick.c
  1.64      +2 -2      ircd-hybrid-7/modules/core/m_kill.c
  1.92      +2 -2      ircd-hybrid-7/modules/core/m_message.c
  1.53      +2 -1      ircd-hybrid-7/modules/core/m_mode.c
  1.90      +2 -4      ircd-hybrid-7/modules/core/m_nick.c
  1.56      +3 -6      ircd-hybrid-7/modules/core/m_part.c
  1.25      +2 -1      ircd-hybrid-7/modules/core/m_quit.c
  1.83      +2 -3      ircd-hybrid-7/modules/core/m_server.c
  1.139     +2 -4      ircd-hybrid-7/modules/core/m_sjoin.c
  1.45      +2 -2      ircd-hybrid-7/modules/core/m_squit.c
  1.31      +2 -1      ircd-hybrid-7/modules/m_accept.c
  1.34      +2 -1      ircd-hybrid-7/modules/m_admin.c
  1.30      +2 -2      ircd-hybrid-7/modules/m_away.c
  1.28      +2 -1      ircd-hybrid-7/modules/m_capab.c
  1.41      +2 -3      ircd-hybrid-7/modules/m_cburst.c
  1.36      +3 -4      ircd-hybrid-7/modules/m_challenge.c
  1.54      +2 -3      ircd-hybrid-7/modules/m_cjoin.c
  1.23      +2 -1      ircd-hybrid-7/modules/m_close.c
  1.37      +2 -3      ircd-hybrid-7/modules/m_connect.c
  1.32      +3 -6      ircd-hybrid-7/modules/m_cryptlink.c
  1.15      +2 -1      ircd-hybrid-7/modules/m_dmem.c
  1.24      +2 -3      ircd-hybrid-7/modules/m_drop.c
  1.31      +2 -1      ircd-hybrid-7/modules/m_eob.c
  1.78      +2 -10     ircd-hybrid-7/modules/m_gline.c
  1.32      +2 -1      ircd-hybrid-7/modules/m_help.c
  1.57      +2 -5      ircd-hybrid-7/modules/m_info.c
  1.45      +2 -1      ircd-hybrid-7/modules/m_invite.c
  1.28      +2 -1      ircd-hybrid-7/modules/m_ison.c
  1.85      +2 -4      ircd-hybrid-7/modules/m_join.c
  1.102     +2 -9      ircd-hybrid-7/modules/m_kline.c
  1.50      +2 -2      ircd-hybrid-7/modules/m_knock.c
  1.36      +2 -3      ircd-hybrid-7/modules/m_links.c
  1.42      +2 -4      ircd-hybrid-7/modules/m_list.c
  1.57      +2 -4      ircd-hybrid-7/modules/m_lljoin.c
  1.20      +2 -4      ircd-hybrid-7/modules/m_llnick.c
  1.27      +2 -1      ircd-hybrid-7/modules/m_locops.c
  1.22      +2 -1      ircd-hybrid-7/modules/m_lusers.c
  1.29      +2 -4      ircd-hybrid-7/modules/m_motd.c
  1.42      +2 -4      ircd-hybrid-7/modules/m_names.c
  1.17      +2 -4      ircd-hybrid-7/modules/m_nburst.c
  1.46      +2 -3      ircd-hybrid-7/modules/m_oper.c
  1.29      +2 -1      ircd-hybrid-7/modules/m_operwall.c
  1.23      +2 -1      ircd-hybrid-7/modules/m_pass.c
  1.28      +2 -1      ircd-hybrid-7/modules/m_ping.c
  1.26      +2 -1      ircd-hybrid-7/modules/m_pong.c
  1.11      +2 -1      ircd-hybrid-7/modules/m_post.c
  1.40      +2 -1      ircd-hybrid-7/modules/m_rehash.c
  1.23      +2 -1      ircd-hybrid-7/modules/m_restart.c
  1.16      +2 -1      ircd-hybrid-7/modules/m_resv.c
  1.45      +2 -2      ircd-hybrid-7/modules/m_set.c
  1.109     +3 -3      ircd-hybrid-7/modules/m_stats.c
  1.34      +2 -5      ircd-hybrid-7/modules/m_svinfo.c
  1.25      +2 -2      ircd-hybrid-7/modules/m_testline.c
  1.25      +2 -1      ircd-hybrid-7/modules/m_time.c
  1.52      +2 -4      ircd-hybrid-7/modules/m_topic.c
  1.46      +2 -3      ircd-hybrid-7/modules/m_trace.c
  1.45      +2 -5      ircd-hybrid-7/modules/m_unkline.c
  1.23      +2 -2      ircd-hybrid-7/modules/m_user.c
  1.37      +2 -2      ircd-hybrid-7/modules/m_userhost.c
  1.25      +2 -1      ircd-hybrid-7/modules/m_users.c
  1.38      +2 -2      ircd-hybrid-7/modules/m_version.c
  1.29      +2 -1      ircd-hybrid-7/modules/m_wallops.c
  1.60      +3 -3      ircd-hybrid-7/modules/m_who.c
  1.77      +3 -6      ircd-hybrid-7/modules/m_whois.c
  1.27      +2 -4      ircd-hybrid-7/modules/m_whowas.c
  7.110     +1 -1      ircd-hybrid-7/src/Makefile.in
  7.41      +3 -1      ircd-hybrid-7/src/adns.c
  7.31      +14 -16    ircd-hybrid-7/src/balloc.c
  7.316     +2 -3      ircd-hybrid-7/src/channel.c
  7.40      +3 -3      ircd-hybrid-7/src/channel_mode.c
  7.36      +3 -2      ircd-hybrid-7/src/class.c
  7.270     +2 -8      ircd-hybrid-7/src/client.c
  7.4       +1 -3      ircd-hybrid-7/src/crypt.c
  7.3       +1 -16     ircd-hybrid-7/src/dynlink.c
  7.27      +2 -1      ircd-hybrid-7/src/event.c
  7.29      +2 -7      ircd-hybrid-7/src/fdlist.c
  7.22      +2 -8      ircd-hybrid-7/src/fileio.c
  7.14      +1 -4      ircd-hybrid-7/src/getopt.c
  7.41      +1 -11     ircd-hybrid-7/src/hash.c
  7.15      +1 -3      ircd-hybrid-7/src/hook.c
  7.64      +1 -2      ircd-hybrid-7/src/hostmask.c
  7.53      +1 -19     ircd-hybrid-7/src/irc_string.c
  7.234     +1 -28     ircd-hybrid-7/src/ircd.c
  1.138     +1 -17     ircd-hybrid-7/src/ircd_lexer.l
  1.250     +1 -6      ircd-hybrid-7/src/ircd_parser.y
  7.10      +1 -3      ircd-hybrid-7/src/ircd_signal.c
  7.48      +1 -13     ircd-hybrid-7/src/ircdauth.c
  7.7       +1 -6      ircd-hybrid-7/src/kdparse.c
  7.80      +1 -7      ircd-hybrid-7/src/linebuf.c
  7.44      +1 -3      ircd-hybrid-7/src/list.c
  7.67      +1 -8      ircd-hybrid-7/src/listener.c
  7.25      +1 -0      ircd-hybrid-7/src/m_error.c
  7.19      +2 -5      ircd-hybrid-7/src/match.c
  1.13      +1 -6      ircd-hybrid-7/src/md5.c
  7.35      +1 -9      ircd-hybrid-7/src/memory.c
  7.102     +1 -15     ircd-hybrid-7/src/modules.c
  7.24      +1 -4      ircd-hybrid-7/src/motd.c
  7.20      +1 -7      ircd-hybrid-7/src/numeric.c
  7.81      +1 -5      ircd-hybrid-7/src/packet.c
  7.127     +1 -5      ircd-hybrid-7/src/parse.c
  7.21      +1 -2      ircd-hybrid-7/src/restart.c
  7.16      +1 -3      ircd-hybrid-7/src/resv.c
  7.25      +1 -3      ircd-hybrid-7/src/rsa.c
  7.95      +1 -11     ircd-hybrid-7/src/s_auth.c
  7.169     +1 -18     ircd-hybrid-7/src/s_bsd.c
  7.14      +4 -19     ircd-hybrid-7/src/s_bsd_devpoll.c
  1.26      +4 -20     ircd-hybrid-7/src/s_bsd_kqueue.c
  7.54      +4 -22     ircd-hybrid-7/src/s_bsd_poll.c
  7.25      +3 -22     ircd-hybrid-7/src/s_bsd_select.c
  7.21      +3 -22     ircd-hybrid-7/src/s_bsd_sigio.c
  7.303     +1 -15     ircd-hybrid-7/src/s_conf.c
  7.67      +1 -17     ircd-hybrid-7/src/s_debug.c
  1.20      +1 -6      ircd-hybrid-7/src/s_gline.c
  7.41      +6 -11     ircd-hybrid-7/src/s_log.c
  7.29      +1 -9      ircd-hybrid-7/src/s_misc.c
  7.255     +1 -12     ircd-hybrid-7/src/s_serv.c
  7.20      +1 -4      ircd-hybrid-7/src/s_stats.c
  7.193     +1 -12     ircd-hybrid-7/src/s_user.c
  7.15      +1 -2      ircd-hybrid-7/src/scache.c
  7.196     +1 -11     ircd-hybrid-7/src/send.c
  1.6       +1 -6      ircd-hybrid-7/src/snprintf.c
  7.14      +1 -1      ircd-hybrid-7/src/sprintf_irc.c
  7.20      +1 -4      ircd-hybrid-7/src/tools.c
  7.64      +1 -3      ircd-hybrid-7/src/vchannel.c
  7.18      +1 -6      ircd-hybrid-7/src/whowas.c



db          2002/05/24 07:23:45 EDT	(20020524_3)

  Modified files:
    src                  client.c s_bsd.c 
  Log:
  <adx> first, we don't need to send queued data at the beginning of
  +exit_client, because it's going to be sent in close_connection..
  <adx> second, setting a client as dead before calling close_connection is not
  +a good idea
  <adx> because then he/she won't receive a Closing Link message
  <adx> client is set as dead in exit_one_client anyway..
  <adx> there is also sth in s_bsd.c, we're setting client as dead but it is
  +done by exit_client too
  
  - approved db
  
  Revision  Changes    Path
  7.269     +0 -4      ircd-hybrid-7/src/client.c
  7.168     +0 -1      ircd-hybrid-7/src/s_bsd.c



androsyn    2002/05/23 22:39:17 EDT	(20020524_2)

  Modified files:
    modules              m_post.c 
    src                  modules.c 
  Log:
  Add PUT and GET to m_post
  
  Revision  Changes    Path
  1.10      +19 -6     ircd-hybrid-7/modules/m_post.c
  7.101     +2 -0      ircd-hybrid-7/src/modules.c



leeh        2002/05/23 20:31:53 EDT	(20020524_1)

  Modified files:
    modules              m_cjoin.c 
  Log:
  - better fix
  
  Revision  Changes    Path
  1.53      +5 -4      ircd-hybrid-7/modules/m_cjoin.c



androsyn    2002/05/23 20:28:27 EDT	(20020524_0)

  Modified files:
    modules              m_cjoin.c 
  Log:
  /me beats lee over the head with a #endif
  
  Revision  Changes    Path
  1.52      +1 -2      ircd-hybrid-7/modules/m_cjoin.c



leeh        2002/05/23 18:20:17 EDT	(20020523_1)

  Modified files:
    .                    Hybrid-team 
    include              packet.h 
    modules              descrip.mms m_cjoin.c m_kline.c 
    src                  descrip.mms modules.c 
  Log:
  - larnes vms fixes
  - made flood prot a little less anal
  
  Revision  Changes    Path
  7.50      +1 -0      ircd-hybrid-7/Hybrid-team
  7.15      +2 -2      ircd-hybrid-7/include/packet.h
  1.6       +6 -1      ircd-hybrid-7/modules/descrip.mms
  1.51      +7 -1      ircd-hybrid-7/modules/m_cjoin.c
  1.101     +2 -4      ircd-hybrid-7/modules/m_kline.c
  7.10      +3 -2      ircd-hybrid-7/src/descrip.mms
  7.100     +2 -0      ircd-hybrid-7/src/modules.c



leeh        2002/05/23 12:52:21 EDT	(20020523_0)

  Modified files:
    include              setup.h_vms 
    src                  s_debug.c 
  Log:
  - fixes for memory count
  - vms fixes for larne
  
  Revision  Changes    Path
  7.10      +6 -0      ircd-hybrid-7/include/setup.h_vms
  7.66      +4 -6      ircd-hybrid-7/src/s_debug.c



leeh        2002/05/22 09:52:45 EDT	(20020522_0)

  Modified files:
    .                    RELNOTES 
    src                  client.c messages.tab 
  Log:
  - relnotes updates
  - misplaced : in messages.tab
  - an extern shouldnt really be static.. should it?
  
  Revision  Changes    Path
  1.28      +6 -5      ircd-hybrid-7/RELNOTES
  7.268     +3 -2      ircd-hybrid-7/src/client.c
  7.67      +1 -1      ircd-hybrid-7/src/messages.tab



androsyn    2002/05/20 19:07:42 EDT	(20020521_0)

  Modified files:
    include              client.h ircd.h send.h 
    src                  client.c packet.c send.c 
  Log:
  Okay..the abort_list is back.  Someday we will fix this properly *sigh*
  
  Revision  Changes    Path
  7.146     +1 -0      ircd-hybrid-7/include/client.h
  7.49      +1 -0      ircd-hybrid-7/include/ircd.h
  7.56      +0 -2      ircd-hybrid-7/include/send.h
  7.267     +35 -3     ircd-hybrid-7/src/client.c
  7.80      +3 -1      ircd-hybrid-7/src/packet.c
  7.195     +11 -97    ircd-hybrid-7/src/send.c



androsyn    2002/05/20 13:53:54 EDT	(20020520_5)

  Modified files:
    include              channel.h 
    src                  channel.c send.c 
  Log:
  Don't attempt to send to channels you just freed..dumbass
  
  Revision  Changes    Path
  7.113     +1 -1      ircd-hybrid-7/include/channel.h
  7.315     +9 -5      ircd-hybrid-7/src/channel.c
  7.194     +8 -6      ircd-hybrid-7/src/send.c



androsyn    2002/05/20 13:28:43 EDT	(20020520_4)

  Modified files:
    src                  send.c 
  Log:
  Another sanity check
  
  Revision  Changes    Path
  7.193     +3 -1      ircd-hybrid-7/src/send.c



androsyn    2002/05/20 13:11:24 EDT	(20020520_3)

  Modified files:
    src                  send.c 
  Log:
  Add another NULL dlink head check
  
  Revision  Changes    Path
  7.192     +1 -1      ircd-hybrid-7/src/send.c



androsyn    2002/05/20 12:41:15 EDT	(20020520_2)

  Modified files:
    include              client.h ircd.h send.h 
    src                  client.c packet.c send.c 
  Log:
  Remove the abort_list, it was the wrong fix.  Basically what we do now is,
  remove the user from the channel *before* we send the QUIT message to it.
  This new function is called sendto_remove_channels_local().  This function
  does this, also it checks to make sure that while doing the for() loop,
  list->head doesn't end up NULL.
  
  Revision  Changes    Path
  7.145     +0 -1      ircd-hybrid-7/include/client.h
  7.48      +0 -1      ircd-hybrid-7/include/ircd.h
  7.55      +2 -0      ircd-hybrid-7/include/send.h
  7.266     +3 -35     ircd-hybrid-7/src/client.c
  7.79      +1 -3      ircd-hybrid-7/src/packet.c
  7.191     +67 -7     ircd-hybrid-7/src/send.c



androsyn    2002/05/19 20:26:09 EDT	(20020520_1)

  Modified files:
    src                  client.c 
  Log:
  Add a sanity check.
  
  Revision  Changes    Path
  7.265     +1 -0      ircd-hybrid-7/src/client.c



androsyn    2002/05/19 20:22:45 EDT	(20020520_0)

  Modified files:
    src                  client.c 
  Log:
  Don't add clients with IsClosing set to the abort_list
  
  Revision  Changes    Path
  7.264     +4 -0      ircd-hybrid-7/src/client.c



androsyn    2002/05/18 23:42:25 EDT	(20020519_1)

  Modified files:
    src                  client.c ircd.c 
  Log:
  Put the stupid dead_list back..damnit
  
  Revision  Changes    Path
  7.263     +34 -3     ircd-hybrid-7/src/client.c
  7.233     +0 -1      ircd-hybrid-7/src/ircd.c



androsyn    2002/05/18 19:39:01 EDT	(20020519_0)

  Modified files:
    .                    RELNOTES 
  Log:
  Updated RELNOTES
  
  Revision  Changes    Path
  1.27      +1 -0      ircd-hybrid-7/RELNOTES



androsyn    2002/05/18 17:50:58 EDT	(20020518_4)

  Modified files:
    src                  s_auth.c 
  Log:
  Make unlink_auth_request use dlinkFind()
  
  Revision  Changes    Path
  7.93      +5 -15     ircd-hybrid-7/src/s_auth.c



androsyn    2002/05/18 16:58:34 EDT	(20020518_3)

  Modified files:
    src                  client.c 
  Log:
  Remove a stray prototype
  
  Revision  Changes    Path
  7.261     +0 -1      ircd-hybrid-7/src/client.c



androsyn    2002/05/18 16:53:54 EDT	(20020518_2)

  Modified files:
    include              client.h 
    src                  client.c ircd.c 
  Log:
  Remove the dead_list
  
  Revision  Changes    Path
  7.144     +0 -14     ircd-hybrid-7/include/client.h
  7.260     +2 -74     ircd-hybrid-7/src/client.c
  7.232     +0 -1      ircd-hybrid-7/src/ircd.c



androsyn    2002/05/18 03:12:10 EDT	(20020518_1)

  Modified files:
    include              client.h ircd.h 
    src                  client.c ircd.c packet.c send.c 
  Log:
  This *really* fixes the problem of clients getting freed more than once.
  
  Revision  Changes    Path
  7.143     +2 -1      ircd-hybrid-7/include/client.h
  7.47      +1 -1      ircd-hybrid-7/include/ircd.h
  7.259     +55 -0     ircd-hybrid-7/src/client.c
  7.231     +1 -1      ircd-hybrid-7/src/ircd.c
  7.77      +4 -1      ircd-hybrid-7/src/packet.c
  7.190     +47 -80    ircd-hybrid-7/src/send.c



androsyn    2002/05/18 01:42:21 EDT	(20020518_0)

  Modified files:
    src                  listener.c 
  Log:
  Removed bogus warning..
  
  Revision  Changes    Path
  7.66      +0 -12     ircd-hybrid-7/src/listener.c



db          2002/05/17 14:58:53 EDT	(20020517_3)

  Modified files:
    src                  send.c 
  Log:
  ptr->next should be ptr_next
  one never knows when a client will go dead underneath us in a send
  
  Revision  Changes    Path
  7.189     +21 -7     ircd-hybrid-7/src/send.c



db          2002/05/17 14:09:18 EDT	(20020517_2)

  Modified files:
    src                  send.c 
  Log:
  - Don't trust a pointer that can change underneath us
  
  Revision  Changes    Path
  7.188     +7 -3      ircd-hybrid-7/src/send.c



androsyn    2002/05/17 12:08:11 EDT	(20020517_1)

  Modified files:
    src                  client.c 
  Log:
  Removed a few of now redudant mem_frob()'s
  
  Revision  Changes    Path
  7.258     +0 -6      ircd-hybrid-7/src/client.c



androsyn    2002/05/17 12:07:14 EDT	(20020517_0)

  Modified files:
    include              tools.h 
    src                  balloc.c 
  Log:
  Adds a mem_frob() into BlockHeapFree()
  
  Revision  Changes    Path
  1.9       +4 -0      ircd-hybrid-7/include/tools.h
  7.30      +1 -0      ircd-hybrid-7/src/balloc.c



leeh        2002/05/16 15:38:02 EDT	(20020516_7)

  Modified files:
    contrib              m_opme.c 
  Log:
  - *cough*cough* that was a locptr, in my head..
  
  Revision  Changes    Path
  1.24      +6 -6      ircd-hybrid-7/contrib/m_opme.c



leeh        2002/05/16 15:14:49 EDT	(20020516_6)

  Modified files:
    contrib              m_clearchan.c m_force.c m_ojoin.c 
                         m_opme.c 
    modules/core         m_kick.c 
    src                  channel_mode.c 
  Log:
  - fixed a bug in channel_mode.c where to_list instead of loc_to_list was
    being checked.
  - contrib module fixes for #ifdef HALFOPS/VCHANS
  - unused variable in m_kick.c with #undef VCHANS
  
  Revision  Changes    Path
  1.28      +14 -1     ircd-hybrid-7/contrib/m_clearchan.c
  1.6       +3 -1      ircd-hybrid-7/contrib/m_force.c
  1.6       +11 -2     ircd-hybrid-7/contrib/m_ojoin.c
  1.23      +8 -1      ircd-hybrid-7/contrib/m_opme.c
  1.43      +3 -1      ircd-hybrid-7/modules/core/m_kick.c
  7.39      +5 -5      ircd-hybrid-7/src/channel_mode.c



androsyn    2002/05/16 10:45:11 EDT	(20020516_5)

  Modified files:
    src                  balloc.c 
  Log:
  Minor changes to the block heap.
  
  Revision  Changes    Path
  7.29      +12 -7     ircd-hybrid-7/src/balloc.c



androsyn    2002/05/16 09:57:28 EDT	(20020516_4)

  Modified files:
    src                  balloc.c 
  Log:
  This should make the failure case of BlockHeapAlloc() a bit more robust.  If
  we end up with an out of memory condition, we attempt to garbage collect
  the heap and see if that frees anything.
  
  Revision  Changes    Path
  7.28      +10 -12    ircd-hybrid-7/src/balloc.c



androsyn    2002/05/16 06:18:09 EDT	(20020516_3)

  Modified files:
    src                  client.c 
  Log:
  Oops..had the logic backwards...
  
  Revision  Changes    Path
  7.257     +1 -1      ircd-hybrid-7/src/client.c



androsyn    2002/05/16 06:15:47 EDT	(20020516_2)

  Modified files:
    src                  channel.c 
  Log:
  Go awayy stupid #endif
  
  Revision  Changes    Path
  7.314     +0 -1      ircd-hybrid-7/src/channel.c



androsyn    2002/05/16 02:17:43 EDT	(20020516_1)

  Modified files:
    src                  client.c 
  Log:
  Don't do send_queued_write() if the connection is dead.
  
  Revision  Changes    Path
  7.256     +1 -1      ircd-hybrid-7/src/client.c



androsyn    2002/05/16 01:53:14 EDT	(20020516_0)

  Modified files:
    src                  channel.c 
  Log:
  Fixed a bug where we would not fully take care of removing a user from a
  channel.  Also added an assert if the usercount in a channel goes below 0
  in sub1_from_channel
  
  Revision  Changes    Path
  7.313     +6 -3      ircd-hybrid-7/src/channel.c



leeh        2002/05/14 07:41:41 EDT	(20020514_1)

  Modified files:
    include              channel.h vchannel.h 
    modules              m_cjoin.c m_invite.c m_join.c m_knock.c 
                         m_list.c m_lljoin.c m_names.c m_topic.c 
                         m_who.c m_whois.c 
    modules/core         m_kick.c m_message.c m_mode.c m_part.c 
                         m_sjoin.c 
    src                  channel.c ircd_parser.y s_serv.c 
                         vchannel.c 
  Log:
  - put vchans under #ifdef VCHANS
  
  Revision  Changes    Path
  7.112     +4 -0      ircd-hybrid-7/include/channel.h
  7.19      +7 -0      ircd-hybrid-7/include/vchannel.h
  1.42      +3 -1      ircd-hybrid-7/modules/core/m_kick.c
  1.91      +6 -3      ircd-hybrid-7/modules/core/m_message.c
  1.52      +6 -2      ircd-hybrid-7/modules/core/m_mode.c
  1.55      +3 -1      ircd-hybrid-7/modules/core/m_part.c
  1.138     +14 -6     ircd-hybrid-7/modules/core/m_sjoin.c
  1.50      +5 -1      ircd-hybrid-7/modules/m_cjoin.c
  1.44      +11 -2     ircd-hybrid-7/modules/m_invite.c
  1.84      +17 -6     ircd-hybrid-7/modules/m_join.c
  1.49      +17 -4     ircd-hybrid-7/modules/m_knock.c
  1.41      +12 -4     ircd-hybrid-7/modules/m_list.c
  1.56      +22 -4     ircd-hybrid-7/modules/m_lljoin.c
  1.41      +13 -3     ircd-hybrid-7/modules/m_names.c
  1.51      +7 -2      ircd-hybrid-7/modules/m_topic.c
  1.59      +14 -3     ircd-hybrid-7/modules/m_who.c
  1.76      +6 -2      ircd-hybrid-7/modules/m_whois.c
  7.312     +13 -1     ircd-hybrid-7/src/channel.c
  1.249     +5 -1      ircd-hybrid-7/src/ircd_parser.y
  7.254     +12 -2     ircd-hybrid-7/src/s_serv.c
  7.63      +3 -0      ircd-hybrid-7/src/vchannel.c



leeh        2002/05/13 19:34:06 EDT	(20020514_0)

  Modified files:
    src                  channel_mode.c 
  Log:
  - splitting if()'s up is BAD.
  
    hotfuq as punishment..?
  
  Revision  Changes    Path
  7.38      +6 -7      ircd-hybrid-7/src/channel_mode.c



androsyn    2002/05/13 00:21:19 EDT	(20020513_1)

  Modified files:
    src                  client.c 
  Log:
  Some more cleanups...
  
  Revision  Changes    Path
  7.255     +2 -6      ircd-hybrid-7/src/client.c



androsyn    2002/05/13 00:04:18 EDT	(20020513_0)

  Modified files:
    src                  client.c 
  Log:
  Added SetDead() to exit_one_client() maybe this will fix this goofy thing
  
  Revision  Changes    Path
  7.254     +1 -1      ircd-hybrid-7/src/client.c



leeh        2002/05/12 17:37:10 EDT	(20020512_4)

  Modified files:
    modules/core         m_sjoin.c 
  Log:
  - yes! align bits of code where I cant see them!
  
  Revision  Changes    Path
  1.137     +2 -2      ircd-hybrid-7/modules/core/m_sjoin.c



leeh        2002/05/12 12:43:52 EDT	(20020512_3)

  Modified files:
    src                  channel.c 
  Log:
  - better channel_member_names for #undef ANONOPS
  
  Revision  Changes    Path
  7.311     +81 -0     ircd-hybrid-7/src/channel.c



leeh        2002/05/12 10:50:53 EDT	(20020512_2)

  Modified files:
    include              channel.h channel_mode.h 
    modules              m_who.c 
    modules/core         m_kick.c m_sjoin.c 
    src                  channel.c channel_mode.c ircd_parser.y 
                         s_serv.c vchannel.c 
  Log:
  - adxs fix for an inverted if() in ircd_parser.y
  - bigger and badder HALFOPS and ANONOPS fixes, run children, run for your
    lives*!&(£!£
  
  Revision  Changes    Path
  7.111     +6 -0      ircd-hybrid-7/include/channel.h
  7.8       +3 -1      ircd-hybrid-7/include/channel_mode.h
  1.41      +5 -1      ircd-hybrid-7/modules/core/m_kick.c
  1.136     +51 -17    ircd-hybrid-7/modules/core/m_sjoin.c
  1.58      +61 -7     ircd-hybrid-7/modules/m_who.c
  7.310     +22 -0     ircd-hybrid-7/src/channel.c
  7.37      +25 -5     ircd-hybrid-7/src/channel_mode.c
  1.248     +1 -1      ircd-hybrid-7/src/ircd_parser.y
  7.253     +8 -0      ircd-hybrid-7/src/s_serv.c
  7.62      +2 -0      ircd-hybrid-7/src/vchannel.c



leeh        2002/05/12 08:28:17 EDT	(20020512_1)

  Modified files:
    include              channel.h 
  Log:
  - and ve call zis, an invisdible function.
  
  Revision  Changes    Path
  7.110     +0 -15     ircd-hybrid-7/include/channel.h



leeh        2002/05/12 08:15:24 EDT	(20020512_0)

  Modified files:
    .                    README.PLATFORMS 
    include              channel_mode.h config.h config.h.dist 
    src                  channel_mode.c ircd_parser.y s_conf.c 
                         s_debug.c send.c 
  Log:
  - updated README.PLATFORMS for NEXTSTEP
  - added defines for ANONOPS and HALFOPS which will comment out most of the
    actual code.  #ifdef EFNET will #undef these
  
    ill do vchans later.
  
  Revision  Changes    Path
  7.13      +3 -0      ircd-hybrid-7/README.PLATFORMS
  7.7       +5 -0      ircd-hybrid-7/include/channel_mode.h
  7.133     +16 -0     ircd-hybrid-7/include/config.h
  7.57      +16 -0     ircd-hybrid-7/include/config.h.dist
  7.36      +121 -13   ircd-hybrid-7/src/channel_mode.c
  1.247     +4 -0      ircd-hybrid-7/src/ircd_parser.y
  7.302     +4 -0      ircd-hybrid-7/src/s_conf.c
  7.65      +2 -0      ircd-hybrid-7/src/s_debug.c
  7.187     +8 -0      ircd-hybrid-7/src/send.c



leeh        2002/05/11 17:53:34 EDT	(20020511_3)

  Modified files:
    .                    configure 
  Log:
  - rebuilt configure, cheers hwy
  
  Revision  Changes    Path
  7.137     +244 -223  ircd-hybrid-7/configure



leeh        2002/05/11 17:07:28 EDT	(20020511_2)

  Modified files:
    autoconf             configure.in 
    include              setup.h.in 
  Log:
  - fixes.  can somebody please rebuild configure with autoconf2.1x?
  
  Revision  Changes    Path
  7.134     +12 -10    ircd-hybrid-7/autoconf/configure.in
  7.53      +3 -0      ircd-hybrid-7/include/setup.h.in



leeh        2002/05/11 16:43:10 EDT	(20020511_1)

  Modified files:
    autoconf             configure.in 
  Log:
  - added --efnet, will have to rebuild this in a sec on another box
  
  Revision  Changes    Path
  7.133     +10 -0     ircd-hybrid-7/autoconf/configure.in



lusky       2002/05/11 13:23:18 EDT	(20020511_0)

  Modified files:
    include              patchlevel.h 
  Log:
  - rev patchlevel to beta15
  
  Revision  Changes    Path
  7.30      +1 -1      ircd-hybrid-7/include/patchlevel.h



leeh        2002/05/10 15:24:53 EDT	(20020510_0)

  Modified files:
    modules/core         m_server.c 
  Log:
  - commented out the remote squitting of the newly introduced server, this
    wont work at all on large networks without causing havoc.
  
  Approved by:    db
  
  Revision  Changes    Path
  1.82      +16 -5     ircd-hybrid-7/modules/core/m_server.c



leeh        2002/05/09 07:06:55 EDT	(20020509_1)

  Modified files:
    contrib              temp-dline.diff 
  Log:
  - max tdlines at 7days, same as hyb6 patch
  
  Revision  Changes    Path
  1.2       +2 -2      ircd-hybrid-7/contrib/temp-dline.diff



leeh        2002/05/09 06:06:35 EDT	(20020509_0)

  Modified files:
    contrib              m_opme.c 
  Log:
  - reusing ptrs is bad.  silly fl_
  
  Revision  Changes    Path
  1.22      +9 -8      ircd-hybrid-7/contrib/m_opme.c



leeh        2002/05/08 10:40:30 EDT	(20020508_2)

  Modified files:
    contrib              m_opme.c 
  Log:
  - missing +ov stuff, missing local list stuff
  
  Revision  Changes    Path
  1.21      +24 -2     ircd-hybrid-7/contrib/m_opme.c



leeh        2002/05/08 08:19:52 EDT	(20020508_1)

  Modified files:
    contrib              README 
  Added files:
    contrib              temp-dline.diff 
  Log:
  - added my temp dline patch to contrib/
  
  Revision  Changes    Path
  1.18      +1 -0      ircd-hybrid-7/contrib/README
  1.1       +353 -0    ircd-hybrid-7/contrib/temp-dline.diff (new)



androsyn    2002/05/07 22:54:04 EDT	(20020508_0)

  Modified files:
    src                  getopt.c ircd.c 
  Log:
  Remove some remains of DEBUGMODE
  
  Revision  Changes    Path
  7.13      +0 -19     ircd-hybrid-7/src/getopt.c
  7.230     +0 -4      ircd-hybrid-7/src/ircd.c



leeh        2002/05/07 08:50:48 EDT	(20020507_1)

  Modified files:
    modules              m_challenge.c 
  Log:
  - move the IsOper check up, and make it send omotd
  
  Revision  Changes    Path
  1.35      +17 -11    ircd-hybrid-7/modules/m_challenge.c



db          2002/05/07 08:26:29 EDT	(20020507_0)

  Modified files:
    modules              m_challenge.c 
  Log:
  Hi,
  
      The attached diff fixes a bug in the challenge command that will let
  you oper more than once using PK authentication:
  submitted by "wiz", Jason Dambrosio
  
  approved db
  
  Revision  Changes    Path
  1.34      +11 -7     ircd-hybrid-7/modules/m_challenge.c



androsyn    2002/05/06 01:48:48 EDT	(20020506_0)

  Modified files:
    src                  s_bsd_sigio.c 
  Log:
  Add some logging about RT signal queue overflows.  It might be useful for
  this to get noticed by the admin.
  
  Revision  Changes    Path
  7.20      +1 -0      ircd-hybrid-7/src/s_bsd_sigio.c



leeh        2002/05/02 12:58:14 EDT	(20020502_0)

  Modified files:
    doc                  example.conf kline.txt 
                         whats-new.txt 
  Log:
  - misc documentation fixes and updates
  
  Revision  Changes    Path
  7.160     +2 -3      ircd-hybrid-7/doc/example.conf
  1.5       +69 -56    ircd-hybrid-7/doc/kline.txt
  7.36      +39 -17    ircd-hybrid-7/doc/whats-new.txt



leeh        2002/05/01 13:24:05 EDT	(20020501_1)

  Modified files:
    doc                  example.conf
    src                  channel_mode.c s_conf.c 
  Log:
  - added back code that makes restricted do something
  - fixed errors in the config (hi larne!)
  
  Revision  Changes    Path
  7.159     +6 -6      ircd-hybrid-7/doc/example.conf
  7.35      +11 -0     ircd-hybrid-7/src/channel_mode.c
  7.301     +3 -0      ircd-hybrid-7/src/s_conf.c



leeh        2002/05/01 12:36:08 EDT	(20020501_0)

  Modified files:
    doc                  convertconf-example.conf example.conf 
    tools                convertconf.c 
  Log:
  - rewrote nearly all of the config.  ugh.  its still horribly horribly
    long tho.. altho I shaved about 200 lines off.
  - added a '-b' (basic) option to convertconf that wont pull in the other
    blocks.
  - DAMNATION TO THE BRITISH.
  
  Revision  Changes    Path
  7.4       +209 -308  ircd-hybrid-7/doc/convertconf-example.conf
  7.158     +387 -612  ircd-hybrid-7/doc/example.conf
  1.33      +28 -9     ircd-hybrid-7/tools/convertconf.c



leeh        2002/04/30 13:43:20 EDT	(20020430_8)

  Modified files:
    src                  channel_mode.c 
  Log:
  - when +eI are disabled, send RPL_ENDOF(EXCEPT|INVITE)LIST so a client
    doesnt stall.
  
  Revision  Changes    Path
  7.34      +22 -0     ircd-hybrid-7/src/channel_mode.c



leeh        2002/04/30 13:21:25 EDT	(20020430_7)

  Modified files:
    doc                  convertconf-example.conf example.conf 
    src                  packet.c 
  Log:
  - fixed a > that shouldve been >=
  - added back flood control for opers.  will allow a burst of 16 lines,
    then 2 per second afterward.
  
  Revision  Changes    Path
  7.3       +3 -1      ircd-hybrid-7/doc/convertconf-example.conf
  7.157     +3 -1      ircd-hybrid-7/doc/example.conf
  7.76      +21 -4     ircd-hybrid-7/src/packet.c



leeh        2002/04/30 11:18:01 EDT	(20020430_6)

  Modified files:
    modules/core         m_sjoin.c 
  Log:
  - removed the nick chase crap from sjoin
  - better fake direction tracking
  
  Revision  Changes    Path
  1.135     +4 -11     ircd-hybrid-7/modules/core/m_sjoin.c



leeh        2002/04/30 10:29:17 EDT	(20020430_5)

  Modified files:
    src                  ircd_parser.y 
  Log:
  - added code for silly people who dont know that cryptlinks need rsa
    keys, and normal confs need passwords :P
  
  Revision  Changes    Path
  1.246     +23 -5     ircd-hybrid-7/src/ircd_parser.y



leeh        2002/04/30 08:45:03 EDT	(20020430_4)

  Modified files:
    tools                README convertilines.c 
  Log:
  - added a license and updated readme
  
  Revision  Changes    Path
  7.10      +2 -1      ircd-hybrid-7/tools/README
  7.2       +25 -1     ircd-hybrid-7/tools/convertilines.c



leeh        2002/04/30 07:35:02 EDT	(20020430_3)

  Modified files:
    src                  ircd_parser.y 
  Log:
  - missing "r"
  
  Revision  Changes    Path
  1.245     +1 -1      ircd-hybrid-7/src/ircd_parser.y



leeh        2002/04/30 06:46:53 EDT	(20020430_2)

  Modified files:
    src                  ircd_parser.y 
  Log:
  - dont allow vhost="" in the connect {}; not when it sets aftype.
  - when we handle RSA stuff in oper {};, do it in yy_achead, then copy
    it to the other confs for multi user="".
  
  Revision  Changes    Path
  1.244     +27 -15    ircd-hybrid-7/src/ircd_parser.y



leeh        2002/04/29 19:57:26 EDT	(20020430_1)

  Modified files:
    doc                  example.conf
  Log:
  - we dont negotiate ciphers anymore.
  
  Revision  Changes    Path
  7.156     +3 -2      ircd-hybrid-7/doc/example.conf



leeh        2002/04/29 19:05:08 EDT	(20020430_0)

  Modified files:
    doc                  example.conf
  Log:
  - added a warning that example.conf is not for efnet.
  
  Revision  Changes    Path
  7.155     +17 -10    ircd-hybrid-7/doc/example.conf



leeh        2002/04/29 18:30:25 EDT	(20020429_3)

  Modified files:
    include              Makefile.in 
  Log:
  - larnes makefile fix.
  
  Revision  Changes    Path
  1.5       +2 -0      ircd-hybrid-7/include/Makefile.in



androsyn    2002/04/29 18:12:37 EDT	(20020429_2)

  Modified files:
    .                    configure 
    include              setup.h.in 
  Log:
  Rebuilt configure with autoconf 2.13
  
  Revision  Changes      Path
  7.136     +3077 -7081  ircd-hybrid-7/configure
  7.52      +1 -1        ircd-hybrid-7/include/setup.h.in



leeh        2002/04/29 15:59:07 EDT	(20020429_1)

  Modified files:
    include              hostmask.h 
  Log:
  - a 25 line single space indented struct with no linebreaks doesnt
    follow the normal coding style of ircd-hybrid.
  
  Revision  Changes    Path
  1.20      +27 -19    ircd-hybrid-7/include/hostmask.h



leeh        2002/04/29 12:58:07 EDT	(20020429_0)

  Modified files:
    modules              m_operwall.c m_wallops.c 
    modules/core         m_message.c 
  Log:
  - notice opers@server returned to hyb6 methods
  - prefix both a wallops/operwall done by an oper with "OPERWALL -",
    differentiating is pointless.
  
  Revision  Changes    Path
  1.90      +3 -7      ircd-hybrid-7/modules/core/m_message.c
  1.28      +3 -3      ircd-hybrid-7/modules/m_operwall.c
  1.28      +3 -3      ircd-hybrid-7/modules/m_wallops.c



leeh        2002/04/28 12:47:55 EDT	(20020428_7)

  Modified files:
    src                  messages.tab 
  Log:
  - shifted a %d so its a parameter
  
  Revision  Changes    Path
  7.66      +1 -1      ircd-hybrid-7/src/messages.tab



leeh        2002/04/28 12:38:24 EDT	(20020428_6)

  Modified files:
    include              supported.h 
  Log:
  - CASEMAPPING or CHARSET?  who cares, send both.
  
  Revision  Changes    Path
  1.22      +1 -0      ircd-hybrid-7/include/supported.h



leeh        2002/04/28 09:03:45 EDT	(20020428_5)

  Modified files:
    .                    configure 
    autoconf             configure.in 
  Log:
  - set nicklen to (n+1) so nicklen*2 works.
    reported by adx
  
  Revision  Changes      Path
  7.132     +2 -2        ircd-hybrid-7/autoconf/configure.in
  7.135     +7081 -3077  ircd-hybrid-7/configure



androsyn    2002/04/28 04:14:28 EDT	(20020428_4)

  Modified files:
    src                  s_conf.c 
  Log:
  Fixed a potential NULL dereference in the DNS handling code...
  
  Revision  Changes    Path
  7.300     +1 -1      ircd-hybrid-7/src/s_conf.c



leeh        2002/04/27 21:29:09 EDT	(20020428_3)

  Modified files:
    src                  resv.c 
  Log:
  - removed an unneeded +len in MyMalloc()
  
  Revision  Changes    Path
  7.15      +2 -2      ircd-hybrid-7/src/resv.c



androsyn    2002/04/27 20:50:27 EDT	(20020428_2)

  Modified files:
    .                    configure 
    autoconf             configure.in 
  Log:
  Fix the nanosleep check..
  
  Revision  Changes    Path
  7.131     +1 -1      ircd-hybrid-7/autoconf/configure.in
  7.134     +1 -1      ircd-hybrid-7/configure



leeh        2002/04/27 20:26:09 EDT	(20020428_1)

  Modified files:
    .                    README.FIRST README.PLATFORMS RELNOTES 
    modules              m_stats.c 
    src                  s_serv.c 
  Log:
  Fix for GCC on SPARC compiling in 32-bit mode.  The solution is to not let
  GCC move things from the structure pointers in to a register, it apparently
  is too broken to figure out how to do this properly.  Instead, memcpy the
  structure to a local one on the stack, and use it.
  
  The GCC people were given a bug report on this and did nothing.  Considering
  the popularity of the SPARC platform, some shame should go around that a
  lowly IRCD coder had to spend some months trying to work around this, and
  that despite a bug report, the GCC people did/said nothing.
  
  Anyway, this now makes ircd-hybrid-7 work on SPARC systems with GCC.  Great!
  
  Submitted by:   virtual jmallett vDD (with superhotfuq support)
  Reviewed by:    db/leeh
  
  Revision  Changes    Path
  7.33      +0 -7      ircd-hybrid-7/README.FIRST
  7.12      +3 -3      ircd-hybrid-7/README.PLATFORMS
  1.25      +2 -0      ircd-hybrid-7/RELNOTES
  1.108     +9 -7      ircd-hybrid-7/modules/m_stats.c
  7.252     +35 -33    ircd-hybrid-7/src/s_serv.c



leeh        2002/04/27 19:55:49 EDT	(20020428_0)

  Modified files:
    .                    RELNOTES 
  Log:
  - we now have flood control
  
  Revision  Changes    Path
  1.24      +1 -1      ircd-hybrid-7/RELNOTES



db          2002/04/27 16:36:22 EDT	(20020427_4)

  Modified files:
    src                  client.c packet.c 
  Log:
  - ripped out #if 0 code. it looks horrible, and we have copies in cvs repo anyway.
  
  Revision  Changes    Path
  7.253     +0 -20     ircd-hybrid-7/src/client.c
  7.75      +0 -39     ircd-hybrid-7/src/packet.c



leeh        2002/04/27 16:34:34 EDT	(20020427_3)

  Modified files:
    src                  channel_mode.c 
  Log:
  - dont allow users to set unlimited +/-h modes.  if they want to set them,
    they can abide MAXMODEPARAMS and the flood protection.
  
  Approved by:    virtual dianora v2.1
  
  Revision  Changes    Path
  7.33      +1 -2      ircd-hybrid-7/src/channel_mode.c



leeh        2002/04/27 13:59:37 EDT	(20020427_2)

  Modified files:
    include              packet.h 
    modules              m_away.c m_topic.c 
    modules/core         m_message.c m_mode.c m_nick.c m_part.c 
    src                  packet.c s_auth.c s_user.c 
  Log:
  - flood code.
  
  Revision  Changes    Path
  7.14      +10 -4     ircd-hybrid-7/include/packet.h
  1.89      +3 -2      ircd-hybrid-7/modules/core/m_message.c
  1.51      +3 -2      ircd-hybrid-7/modules/core/m_mode.c
  1.89      +4 -2      ircd-hybrid-7/modules/core/m_nick.c
  1.54      +3 -3      ircd-hybrid-7/modules/core/m_part.c
  1.29      +5 -1      ircd-hybrid-7/modules/m_away.c
  1.50      +5 -1      ircd-hybrid-7/modules/m_topic.c
  7.74      +48 -12    ircd-hybrid-7/src/packet.c
  7.92      +1 -1      ircd-hybrid-7/src/s_auth.c
  7.192     +2 -2      ircd-hybrid-7/src/s_user.c



leeh        2002/04/27 08:20:38 EDT	(20020427_1)

  Modified files:
    doc                  vchans.txt 
  Log:
  - brought the vchan doc up to date with how they currently work.
  
  Revision  Changes    Path
  1.2       +54 -76    ircd-hybrid-7/doc/vchans.txt



leeh        2002/04/27 05:30:52 EDT	(20020427_0)

  Modified files:
    contrib              m_jupe.c 
    doc                  whats-new.txt 
    include              supported.h 
  Log:
  - added the 'CALLERID' token to 005, for +g, as agreed with austhex
    developers
  - idiot proofing, dont allow people to jupe their own server.
  
  Revision  Changes    Path
  1.28      +9 -2      ircd-hybrid-7/contrib/m_jupe.c
  7.35      +1 -0      ircd-hybrid-7/doc/whats-new.txt
  1.21      +2 -1      ircd-hybrid-7/include/supported.h



leeh        2002/04/26 11:27:34 EDT	(20020426_5)

  Modified files:
    modules/core         m_nick.c 
    src                  parse.c 
  Log:
  - added an ID collision check, which nukes both clients.
  - ignore ERR_UNKNOWNNICK directed at us from servers.  until we can
    guarantee both servers will do the "right thing" on a nick collision,
    we have to kill both clients, ours and theirs.  unfortunately if BOTH
    servers do this, we get ERR_UNKNOWNNICK.
  
    ugh.
  
  Revision  Changes    Path
  1.88      +26 -2     ircd-hybrid-7/modules/core/m_nick.c
  7.126     +14 -3     ircd-hybrid-7/src/parse.c



leeh        2002/04/26 09:26:30 EDT	(20020426_4)

  Modified files:
    contrib              README 
  Added files:
    contrib              remote-unkline.diff 
  Log:
  - added a patch to give support for remote-unklines.  too late to go in
    src/, so here it is.
  
  Revision  Changes    Path
  1.17      +34 -2     ircd-hybrid-7/contrib/README
  1.1       +394 -0    ircd-hybrid-7/contrib/remote-unkline.diff (new)



leeh        2002/04/26 08:30:38 EDT	(20020426_3)

  Modified files:
    src                  m_error.c 
  Log:
  - only call exit_client() if MyClient(), else you have the situation where
    if you get a command from a remote server we dont know, we exit the
    client, the other server doesnt, and you get a desync.
  
  Revision  Changes    Path
  7.24      +3 -1      ircd-hybrid-7/src/m_error.c



leeh        2002/04/26 07:51:21 EDT	(20020426_2)

  Modified files:
    modules              m_kline.c 
  Log:
  - remote servers cant set klines, we need to be checking !MyClient(), not
    IsServer().
  
  Revision  Changes    Path
  1.100     +5 -4      ircd-hybrid-7/modules/m_kline.c



leeh        2002/04/26 06:52:12 EDT	(20020426_1)

  Modified files:
    modules/core         m_sjoin.c 
  Log:
  - added back the notices for TS change in SJOIN that ran away from home.
  
  Revision  Changes    Path
  1.134     +15 -1     ircd-hybrid-7/modules/core/m_sjoin.c



leeh        2002/04/25 20:47:37 EDT	(20020426_0)

  Modified files:
    .                    RELNOTES 
  Log:
  - brought relnotes upto date
  
  Revision  Changes    Path
  1.23      +9 -0      ircd-hybrid-7/RELNOTES



leeh        2002/04/25 15:37:48 EDT	(20020425_6)

  Modified files:
    modules/core         m_sjoin.c 
  Log:
  - only allow +a in sjoin if enabled.
  
  Revision  Changes    Path
  1.133     +3 -2      ircd-hybrid-7/modules/core/m_sjoin.c



leeh        2002/04/25 13:57:43 EDT	(20020425_5)

  Modified files:
    modules              m_info.c 
  Log:
  - and /info..
  
  Revision  Changes    Path
  1.56      +7 -1      ircd-hybrid-7/modules/m_info.c



leeh        2002/04/25 13:55:22 EDT	(20020425_4)

  Modified files:
    doc                  convertconf-example.conf 
  Log:
  - add it to the example conf convertconf uses too
  
  Revision  Changes    Path
  7.2       +13 -0     ircd-hybrid-7/doc/convertconf-example.conf



leeh        2002/04/25 13:53:25 EDT	(20020425_3)

  Modified files:
    doc                  example.conf
    include              s_conf.h 
    src                  channel_mode.c ircd.c ircd_lexer.l 
                         ircd_parser.y s_conf.c 
  Log:
  - changed the sendto_realops_flags() when +h has changed status to an
    ilog(), we dont want this *every* time we unkline something, ugh.
  - added use_anonops, disabled by default with comments reflecting theyre
    slightly broken.
  - made the use_invex/halfops/anonops/except actually ignore the modes
    from local users if theyre unset (duh!)
  
  Revision  Changes    Path
  7.154     +13 -0     ircd-hybrid-7/doc/example.conf
  7.179     +1 -0      ircd-hybrid-7/include/s_conf.h
  7.32      +39 -9     ircd-hybrid-7/src/channel_mode.c
  7.229     +4 -0      ircd-hybrid-7/src/ircd.c
  1.137     +2 -1      ircd-hybrid-7/src/ircd_lexer.l
  1.243     +31 -6     ircd-hybrid-7/src/ircd_parser.y
  7.299     +6 -3      ircd-hybrid-7/src/s_conf.c



leeh        2002/04/25 12:25:05 EDT	(20020425_2)

  Modified files:
    contrib              m_clearchan.c 
  Log:
  - incrementing sptr->user->joined then calling add_user_to_channel which
    also increments it isnt exactly a good idea
  
  Revision  Changes    Path
  1.27      +1 -3      ircd-hybrid-7/contrib/m_clearchan.c



leeh        2002/04/25 05:38:40 EDT	(20020425_1)

  Modified files:
    src                  client.c 
  Log:
  - ints need a return number..
  
  Revision  Changes    Path
  7.252     +1 -1      ircd-hybrid-7/src/client.c



leeh        2002/04/25 04:54:50 EDT	(20020425_0)

  Modified files:
    src                  client.c 
  Log:
  - a1kmms fix for the core
  
  Revision  Changes    Path
  7.251     +6 -0      ircd-hybrid-7/src/client.c



leeh        2002/04/23 10:26:31 EDT	(20020423_2)

  Modified files:
    include              defaults.h ircd.h 
    modules              m_set.c 
    src                  ircd.c s_auth.c 
  Log:
  - commited my/joans ident stuff
  
  Approved by:    diane
  
  Revision  Changes    Path
  7.5       +2 -0      ircd-hybrid-7/include/defaults.h
  7.46      +1 -0      ircd-hybrid-7/include/ircd.h
  1.44      +25 -1     ircd-hybrid-7/modules/m_set.c
  7.228     +2 -0      ircd-hybrid-7/src/ircd.c
  7.91      +3 -1      ircd-hybrid-7/src/s_auth.c



leeh        2002/04/23 10:25:24 EDT	(20020423_1)

  Modified files:
    contrib              README spy_admin_notice.c 
                         spy_info_notice.c spy_links_notice.c 
                         spy_motd_notice.c 
  Log:
  - updated README wrt ltrace
  - removed some bogus MyConnect(source_p)
  
  Revision  Changes    Path
  1.16      +6 -2      ircd-hybrid-7/contrib/README
  1.5       +2 -3      ircd-hybrid-7/contrib/spy_admin_notice.c
  1.5       +2 -3      ircd-hybrid-7/contrib/spy_info_notice.c
  1.10      +2 -3      ircd-hybrid-7/contrib/spy_links_notice.c
  1.5       +2 -3      ircd-hybrid-7/contrib/spy_motd_notice.c



leeh        2002/04/23 06:34:59 EDT	(20020423_0)

  Modified files:
    contrib              Makefile.in spy_trace_notice.c 
  Added files:
    contrib              m_ltrace.c 
  Log:
  - added a very cutdown version of ltrace, modded spy_trace_notice to
    watch for ltrace too.
  
  Revision  Changes    Path
  1.32      +1 -0      ircd-hybrid-7/contrib/Makefile.in
  1.1       +337 -0    ircd-hybrid-7/contrib/m_ltrace.c (new)
  1.5       +16 -5     ircd-hybrid-7/contrib/spy_trace_notice.c



leeh        2002/04/22 18:16:59 EDT	(20020422_2)

  Modified files:
    src                  s_conf.c 
  Log:
  - english spellings vs american spellings.. made them all the same
  
  Revision  Changes    Path
  7.298     +2 -2      ircd-hybrid-7/src/s_conf.c



leeh        2002/04/22 16:50:18 EDT	(20020422_1)

  Modified files:
    src                  channel.c channel_mode.c 
  Log:
  - fixed two bugs reported by ShadowDog <esast@shadow.no>
    - an +ov user being sent +nick on a +a channel
    - server 'resynced' an opped users +v mode on +a channel, they can
      already see it as theyre opped.
  
  Revision  Changes    Path
  7.309     +8 -0      ircd-hybrid-7/src/channel.c
  7.31      +2 -5      ircd-hybrid-7/src/channel_mode.c



leeh        2002/04/22 13:26:57 EDT	(20020422_0)

  Modified files:
    src                  channel_mode.c 
  Log:
  - re-enabled mode counting for +v
  - moved the post increments to pre increments, to bring the limit back
    down to MAXMODEPARAMS
  - took a couple of magic numbers out back and shot them.
  
  Revision  Changes    Path
  7.30      +7 -8      ircd-hybrid-7/src/channel_mode.c



androsyn    2002/04/21 13:18:23 EDT	(20020421_1)

  Modified files:
    .                    RELNOTES 
  Log:
  Test
  
  Revision  Changes    Path
  1.22      +1 -1      ircd-hybrid-7/RELNOTES



leeh        2002/04/21 08:59:40 EDT	(20020421_0)

  Modified files:
    help/opers           knock 
  Log:
  - s/+s/+p for when you cant knock
  
  Revision  Changes    Path
  1.2       +1 -1      ircd-hybrid-7/help/opers/knock



leeh        2002/04/20 13:47:50 EDT	(20020420_2)

  Modified files:
    include              channel.h 
  Log:
  - redefine REQUIRE_OANDV
  
  Revision  Changes    Path
  7.109     +1 -1      ircd-hybrid-7/include/channel.h



leeh        2002/04/20 13:47:17 EDT	(20020420_1)

  Modified files:
    src                  channel.c 
  Log:
  - add @+users to chptr->chanops when #ifndef REQUIRE_OANDV
  
  Revision  Changes    Path
  7.308     +6 -0      ircd-hybrid-7/src/channel.c



leeh        2002/04/20 13:34:00 EDT	(20020420_0)

  Modified files:
    include              channel.h 
    modules              m_who.c 
    modules/core         m_sjoin.c 
  Log:
  - wrapped some +ov stuff in #ifdef's.
  - removed chptr->ts_winner
  
  Revision  Changes    Path
  7.108     +0 -1      ircd-hybrid-7/include/channel.h
  1.132     +10 -6     ircd-hybrid-7/modules/core/m_sjoin.c
  1.57      +3 -1      ircd-hybrid-7/modules/m_who.c



leeh        2002/04/19 12:21:08 EDT	(20020419_0)

  Modified files:
    include              channel.h 
    modules/core         m_nick.c 
  Log:
  - wrapped chanops_voiced list in an #ifdef
  - mark grace period complete on nickchange
  
  Revision  Changes    Path
  7.107     +3 -1      ircd-hybrid-7/include/channel.h
  1.87      +4 -1      ircd-hybrid-7/modules/core/m_nick.c



leeh        2002/04/18 15:11:10 EDT	(20020418_2)

  Modified files:
    modules              m_who.c 
  Log:
  - dont allow people to use /who <server> when serverhide is enabled.
  
  Revision  Changes    Path
  1.56      +6 -2      ircd-hybrid-7/modules/m_who.c



db          2002/04/18 12:12:15 EDT	(20020418_1)

  Modified files:
    contrib              m_clearchan.c 
    src                  channel.c 
  Log:
  Two patches sent in by adx
  - clear +ov members in channel.c
  - use block heap free in m_clearchan.c
  
  approved db
  
  Revision  Changes    Path
  1.26      +3 -2      ircd-hybrid-7/contrib/m_clearchan.c
  7.307     +6 -0      ircd-hybrid-7/src/channel.c



leeh        2002/04/18 09:15:53 EDT	(20020418_0)

  Modified files:
    modules/core         m_mode.c 
  Log:
  - only call SetFloodDone() when a client sets a mode in a channel, not
    when they set a usermode/query a channels mode
  
  Revision  Changes    Path
  1.50      +7 -3      ircd-hybrid-7/modules/core/m_mode.c



leeh        2002/04/16 22:25:47 EDT	(20020417_2)

  Modified files:
    contrib              m_tburst.c 
    doc                  modes.txt 
    include              channel_mode.h 
    modules              m_invite.c 
  Log:
  - documented in modes.txt that +p also restricts halfops +/-h'ing
  - I commited some debugging stuff to m_tburst.c, removed
  - added macro ParanoidChannel, checks +pi, not just +p
  - made invite use above macro.
  - biscuits.
  
  Revision  Changes    Path
  1.7       +1 -5      ircd-hybrid-7/contrib/m_tburst.c
  7.8       +3 -2      ircd-hybrid-7/doc/modes.txt
  7.6       +3 -0      ircd-hybrid-7/include/channel_mode.h
  1.43      +3 -3      ircd-hybrid-7/modules/m_invite.c



leeh        2002/04/16 21:02:22 EDT	(20020417_1)

  Modified files:
    contrib              m_tburst.c 
    include              channel.h ircd_defs.h 
    src                  channel_mode.c 
  Log:
  - added a strcmp() to tburst, to take account of deltas
  - bumped KEYLEN to 24 (23+1), resolving the problem with the strlcpy()
    only copying 22 chars
  - send chptr->mode.key out (the truncated key) instead of key
    (what was sent in the mode)
  
  Revision  Changes    Path
  1.6       +5 -1      ircd-hybrid-7/contrib/m_tburst.c
  7.106     +1 -1      ircd-hybrid-7/include/channel.h
  7.27      +3 -1      ircd-hybrid-7/include/ircd_defs.h
  7.29      +2 -2      ircd-hybrid-7/src/channel_mode.c



leeh        2002/04/16 20:05:13 EDT	(20020417_0)

  Modified files:
    include              irc_string.h 
    src                  ircd_parser.y match.c s_conf.c 
  Log:
  - duplicated match() into match_esc() and collapse() into collapse_esc()
  - removed escaping from match() and collapse()
  - run collapse_esc() before we add a gecos {};
  - make gecos {}; use match_esc()
  
  Revision  Changes    Path
  7.35      +8 -0      ircd-hybrid-7/include/irc_string.h
  1.242     +1 -0      ircd-hybrid-7/src/ircd_parser.y
  7.18      +122 -39   ircd-hybrid-7/src/match.c
  7.297     +1 -1      ircd-hybrid-7/src/s_conf.c



leeh        2002/04/15 18:51:43 EDT	(20020415_7)

  Modified files:
    .                    RELNOTES 
  Log:
  - updated RELNOTES
  
  Revision  Changes    Path
  1.21      +4 -18     ircd-hybrid-7/RELNOTES



leeh        2002/04/15 14:15:15 EDT	(20020415_6)




leeh        2002/04/15 12:31:41 EDT	(20020415_5)

  Modified files:
    src                  client.c 
  Log:
  - mistook an ifdef for an ifndef
  
  Revision  Changes    Path
  7.250     +2 -2      ircd-hybrid-7/src/client.c



db          2002/04/15 10:17:01 EDT	(20020415_4)

  Modified files:
    doc                  serverhide.txt 
  Log:
  - updated serverhide.txt as amended by Wendy
  approved db
  
  Revision  Changes    Path
  7.4       +1 -4      ircd-hybrid-7/doc/serverhide.txt



db          2002/04/15 02:13:30 EDT	(20020415_3)

  Modified files:
    contrib              m_tburst.c 
  Log:
  speeeeeeeeeelllllliiiinnnnnggggggggg
  
  Revision  Changes    Path
  1.5       +2 -2      ircd-hybrid-7/contrib/m_tburst.c



leeh        2002/04/14 21:14:43 EDT	(20020415_2)

  Modified files:
    src                  client.c s_bsd.c 
  Log:
  - my attempt at the ctrlfd core fix
  
  Revision  Changes    Path
  7.249     +16 -2     ircd-hybrid-7/src/client.c
  7.166     +9 -7      ircd-hybrid-7/src/s_bsd.c



leeh        2002/04/14 20:05:49 EDT	(20020415_1)

  Modified files:
    modules              m_post.c m_resv.c 
    src                  event.c hook.c linebuf.c resv.c 
                         s_bsd_devpoll.c s_bsd_kqueue.c 
                         s_bsd_poll.c s_bsd_select.c s_bsd_sigio.c 
  Log:
  - added more credits back
  
  Approved by: diane
  
  Revision  Changes    Path
  1.9       +2 -2      ircd-hybrid-7/modules/m_post.c
  1.15      +2 -2      ircd-hybrid-7/modules/m_resv.c
  7.26      +20 -1     ircd-hybrid-7/src/event.c
  7.14      +1 -1      ircd-hybrid-7/src/hook.c
  7.79      +2 -1      ircd-hybrid-7/src/linebuf.c
  7.14      +1 -1      ircd-hybrid-7/src/resv.c
  7.13      +2 -1      ircd-hybrid-7/src/s_bsd_devpoll.c
  1.25      +2 -1      ircd-hybrid-7/src/s_bsd_kqueue.c
  7.53      +2 -1      ircd-hybrid-7/src/s_bsd_poll.c
  7.24      +2 -1      ircd-hybrid-7/src/s_bsd_select.c
  7.19      +3 -1      ircd-hybrid-7/src/s_bsd_sigio.c



leeh        2002/04/14 19:46:48 EDT	(20020415_0)

  Modified files:
    src                  crypt.c 
  Log:
  - changing the licenses other people put coder under is a Bad Thing (tm)
  
  Revision  Changes    Path
  7.3       +7 -17     ircd-hybrid-7/src/crypt.c



androsyn    2002/04/14 18:13:49 EDT	(20020414_9)

  Modified files:
    src                  balloc.c 
  Log:
  Fixed the credit lines on this.  Joan originally wrote and she should get
  credit for it.
  
  Revision  Changes    Path
  7.27      +6 -0      ircd-hybrid-7/src/balloc.c



androsyn    2002/04/14 18:10:42 EDT	(20020414_8)

  Modified files:
    src                  adns.c 
  Log:
  Put back my original copyright line....
  
  Revision  Changes    Path
  7.40      +1 -0      ircd-hybrid-7/src/adns.c



leeh        2002/04/14 17:50:17 EDT	(20020414_7)

  Modified files:
    src                  numeric.c 
  Log:
  - hwys fix for the gettext/message locale stuff
  
  Revision  Changes    Path
  7.19      +1 -1      ircd-hybrid-7/src/numeric.c



leeh        2002/04/14 15:42:37 EDT	(20020414_6)

  Modified files:
    contrib              m_force.c m_tburst.c 
  Log:
  - added a license
  
  Revision  Changes    Path
  1.5       +25 -1     ircd-hybrid-7/contrib/m_force.c
  1.4       +25 -1     ircd-hybrid-7/contrib/m_tburst.c



leeh        2002/04/14 10:56:34 EDT	(20020414_5)

  Modified files:
    contrib              m_clearchan.c m_force.c m_ojoin.c 
                         m_opme.c 
    src                  client.c 
  Log:
  - fixed some headers and copyrights.
  
  Revision  Changes    Path
  1.25      +3 -7      ircd-hybrid-7/contrib/m_clearchan.c
  1.4       +2 -2      ircd-hybrid-7/contrib/m_force.c
  1.5       +3 -8      ircd-hybrid-7/contrib/m_ojoin.c
  1.20      +3 -8      ircd-hybrid-7/contrib/m_opme.c
  7.248     +4 -7      ircd-hybrid-7/src/client.c



leeh        2002/04/14 07:06:48 EDT	(20020414_4)

  Modified files:
    modules/core         m_kill.c 
  Log:
  - fixed a bug with only sending :nick KILL instead of :nick!user@host KILL
    to target, reported by jv.
  
  Revision  Changes    Path
  1.63      +17 -8     ircd-hybrid-7/modules/core/m_kill.c



leeh        2002/04/14 05:50:02 EDT	(20020414_3)

  Modified files:
    contrib              m_clearchan.c m_force.c 
  Log:
  - adx's patches to fix clearchan/force.
  
  Revision  Changes    Path
  1.24      +23 -10    ircd-hybrid-7/contrib/m_clearchan.c
  1.3       +2 -2      ircd-hybrid-7/contrib/m_force.c



leeh        2002/04/14 05:39:33 EDT	(20020414_2)

  Modified files:
    src                  channel_mode.c 
  Log:
  - commited a1kmms fix for mode changes:
  
    Looking at that code it seems that nc and mc are mixed up in
    some places. nc should be the number of modes, mc should be
    the number of parameters, so should only get incremented
    when there is an argument to the mode.
  
  Revision  Changes    Path
  7.28      +10 -12    ircd-hybrid-7/src/channel_mode.c



lusky       2002/04/13 23:28:19 EDT	(20020414_1)

  Modified files:
    include              patchlevel.h 
  Log:
  - revved patchlevel to 7beta14
  
  Revision  Changes    Path
  7.29      +1 -1      ircd-hybrid-7/include/patchlevel.h



leeh        2002/04/13 20:11:49 EDT	(20020414_0)

  Modified files:
    .                    RELNOTES 
  Log:
  - brought RELNOTES into sync, cleared b13 notes.
  
  Revision  Changes    Path
  1.20      +4 -11     ircd-hybrid-7/RELNOTES



leeh        2002/04/13 17:12:48 EDT	(20020413_7)

  Modified files:
    include              patchlevel.h 
  Log:
  - nuked release names, playtimes over :(
  
  Revision  Changes    Path
  7.28      +1 -3      ircd-hybrid-7/include/patchlevel.h



androsyn    2002/04/13 11:37:10 EDT	(20020413_6)

  Modified files:
    contrib              m_tburst.c 
  Log:
  Make things a little more consistant.
  
  Revision  Changes    Path
  1.3       +3 -3      ircd-hybrid-7/contrib/m_tburst.c



leeh        2002/04/13 11:30:34 EDT	(20020413_5)

  Modified files:
    contrib              Makefile.in README 
  Log:
  - updated README/Makefile for the modules thatve been repo moved.
  
  Revision  Changes    Path
  1.31      +6 -2      ircd-hybrid-7/contrib/Makefile.in
  1.15      +20 -1     ircd-hybrid-7/contrib/README



leeh        2002/04/13 10:58:02 EDT	(20020413_4)

  Modified files:
    contrib              Makefile.in 
  Log:
  - updated the Makefile to include m_tburst.c, which has been repo moved
  
  Revision  Changes    Path
  1.30      +1 -0      ircd-hybrid-7/contrib/Makefile.in



leeh        2002/04/13 10:46:02 EDT	(20020413_3)

  Modified files:
    src                  ircd.c 
  Log:
  - initialise default_server_capabs to CAP_MASK when we declare it..
    this allows tburst to work.
  
  Revision  Changes    Path
  7.227     +1 -4      ircd-hybrid-7/src/ircd.c



leeh        2002/04/13 09:18:34 EDT	(20020413_2)

  Modified files:
    src                  fileio.c 
    include              fileio.h 
  Log:
  - made file_open and file_close extern, theyre needed by other things
  
  Revision  Changes    Path
  7.10      +3 -0      ircd-hybrid-7/include/fileio.h
  7.21      +2 -2      ircd-hybrid-7/src/fileio.c



leeh        2002/04/13 07:46:07 EDT	(20020413_1)

  Modified files:
    modules              m_topic.c 
  Log:
  - if a *server* is setting a topic, dont try to send a n!u@h
  - why is this code even here?  old tburst code?
  
  Revision  Changes    Path
  1.49      +5 -15     ircd-hybrid-7/modules/m_topic.c



db          2002/04/13 04:36:57 EDT	(20020413_0)

  Modified files:
    .                    Hybrid-team 
    src                  channel_mode.c 
  Log:
  - <adx> +ov users are not shown on /names reply after joining a channel
    <adx> if the channel is +a
  
  - also added adx to list of contributors
  
  approved by db
  
  Revision  Changes    Path
  7.49      +1 -0      ircd-hybrid-7/Hybrid-team
  7.27      +6 -0      ircd-hybrid-7/src/channel_mode.c



db          2002/04/12 17:44:45 EDT	(20020412_1)

  Modified files:
    src                  channel_mode.c 
  Log:
  - Corrected one off error in mode handling code, found by adx
  
  approved -db
  
  Revision  Changes    Path
  7.26      +4 -4      ircd-hybrid-7/src/channel_mode.c



androsyn    2002/04/11 21:05:07 EDT	(20020412_0)

  Modified files:
    doc                  Makefile.in 
    tools                convertconf.c 
  Added files:
    doc                  convertconf-example.conf 
  Log:
  Lee's convertconf patch
  
  Revision  Changes    Path
  7.16      +4 -1      ircd-hybrid-7/doc/Makefile.in
  7.1       +559 -0    ircd-hybrid-7/doc/convertconf-example.conf (new)
  1.32      +19 -20    ircd-hybrid-7/tools/convertconf.c



db          2002/04/11 01:33:40 EDT	(20020411_1)

  Modified files:
    include              patchlevel.h 
  Log:
  - more sensible patchlevel.
  
  Revision  Changes    Path
  7.27      +1 -1      ircd-hybrid-7/include/patchlevel.h



db          2002/04/10 20:07:30 EDT	(20020411_0)

  Modified files:
    modules              m_cburst.c 
    src                  channel.c 
    tools                convertconf.c 
  Log:
  - patches by Lee hardy to fix channel persist
  - and to fix convertconf
  
  Approved db
  
  Revision  Changes    Path
  1.40      +1 -2      ircd-hybrid-7/modules/m_cburst.c
  7.306     +1 -7      ircd-hybrid-7/src/channel.c
  1.31      +0 -189    ircd-hybrid-7/tools/convertconf.c



androsyn    2002/04/10 16:17:40 EDT	(20020410_2)

  Modified files:
    tools                .cvsignore 
  Log:
  Added convertinlines to cvsignore at Hwy's request.
  
  Revision  Changes    Path
  1.2       +1 -0      ircd-hybrid-7/tools/.cvsignore



db          2002/04/10 08:33:09 EDT	(20020410_1)

  Modified files:
    modules/core         m_sjoin.c 
  Log:
  - Committed bug fix sent in by user
  
  WarKnite found out it was caused in
   <WarKnite> m_sjoin.c:813 &chptr->peons should be &chptr->locpeons
  
  Bug found by WarKnite and Stacy. Fix found by WarKnite
  Stacy Schane stacyschane@cox.net
  WarKnite warknite@swbell.net
